linux (4.19.152-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.147
    - [arm64,armhf] dsa: Allow forwarding of redirected IGMP traffic
    - scsi: qla2xxx: Update rscn_rcvd field to more meaningful scan_needed
    - scsi: qla2xxx: Move rport registration out of internal work_list
    - scsi: qla2xxx: Reduce holding sess_lock to prevent CPU lock-up
    - net: handle the return value of pskb_carve_frag_list() correctly
    - [x86] hv_netvsc: Remove "unlikely" from netvsc_select_queue
    - NFSv4.1 handle ERR_DELAY error reclaiming locking state on delegation
      recall
    - scsi: pm8001: Fix memleak in pm8001_exec_internal_task_abort
    - scsi: libfc: Fix for double free()
    - scsi: lpfc: Fix FLOGI/PLOGI receive race condition in pt2pt discovery
    - [arm64] regulator: pwm: Fix machine constraints application
    - NFS: Zero-stateid SETATTR should first return delegation
    - SUNRPC: stop printk reading past end of string
    - nvme-fc: cancel async events before freeing event struct
    - nvme-rdma: cancel async events before freeing event struct
    - f2fs: fix indefinite loop scanning for free nid
    - f2fs: Return EOF on unaligned end of file DIO read
    - i2c: algo: pca: Reapply i2c bus settings after reset
    - spi: Fix memory leak on splited transfers
    - [arm64,armhf] clk: rockchip: Fix initialization of mux_pll_src_4plls_p
    - [arm64] ASoC: qcom: Set card->owner to avoid warnings
    - [x86] Drivers: hv: vmbus: Add timeout to vmbus_wait_for_unload
    - fbcon: Fix user font detection test at fbcon_resize().
    - USB: quirks: Add USB_QUIRK_IGNORE_REMOTE_WAKEUP quirk for BYD zhaoxin
      notebook
    - USB: UAS: fix disconnect by unplugging a hub
    - usblp: fix race between disconnect() and read()
    - [x86] i2c: i801: Fix resume bug
    - Revert "ALSA: hda - Fix silent audio output and corrupted input on MSI
      X570-A PRO"
    - percpu: fix first chunk size calculation for populated bitmap
    - Input: trackpoint - add new trackpoint variant IDs
    - serial: 8250_pci: Add Realtek 816a and 816b
    - ehci-hcd: Move include to keep CRC stable
    - [powerpc*] dma: Fix dma_map_ops::get_required_mask
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.148
    - af_key: pfkey_dump needs parameter validation
    - KVM: fix memory leak in kvm_io_bus_unregister_dev()
    - kprobes: fix kill kprobe which has been marked as gone
    - mm/thp: fix __split_huge_pmd_locked() for migration PMD
    - cxgb4: Fix offset when clearing filter byte counters
    - geneve: add transport ports in route lookup for geneve (CVE-2020-25645)
    - [x86,ppc64el] hdlc_ppp: add range checks in ppp_cp_parse_cr()
      (CVE-2020-25643)
    - ip: fix tos reflection in ack and reset packets
    - ipv6: avoid lockdep issue in fib6_del()
    - net: DCB: Validate DCB_ATTR_DCB_BUFFER argument
    - net: ipv6: fix kconfig dependency warning for IPV6_SEG6_HMAC
    - net: sch_generic: aviod concurrent reset and enqueue op for lockless
      qdisc
    - nfp: use correct define to return NONE fec
    - tipc: Fix memory leak in tipc_group_create_member()
    - tipc: fix shutdown() of connection oriented socket
    - tipc: use skb_unshare() instead in tipc_buf_append()
    - bnxt_en: return proper error codes in bnxt_show_temp
    - bnxt_en: Protect bnxt_set_eee() and bnxt_set_pauseparam() with mutex.
    - net: phy: Avoid NPD upon phy_detach() when driver is unbound
    - net: add __must_check to skb_put_padto()
    - ipv4: Update exception handling for multipath routes via same device
    - kbuild: add OBJSIZE variable for the size tool
    - mm: memcg: fix memcg reclaim soft lockup
    - tcp_bbr: refactor bbr_target_cwnd() for general inflight provisioning
    - tcp_bbr: adapt cwnd based on ack aggregation estimation
    - serial: 8250: Avoid error message on reprobe
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.149
    - selinux: allow labeling before policy is loaded
    - media: mc-device.c: fix memleak in media_device_register_entity
    - dma-fence: Serialise signal enabling (dma_fence_enable_sw_signaling)
    - ath10k: fix array out-of-bounds access
    - ath10k: fix memory leak for tpc_stats_final
    - mm: fix double page fault on arm64 if PTE_AF is cleared
    - scsi: aacraid: fix illegal IO beyond last LBA
    - [x86] gma/gma500: fix a memory disclosure bug due to uninitialized bytes
    - [armel,armhf] ASoC: kirkwood: fix IRQ error handling
    - [amd64] arch/x86/lib/usercopy_64.c: fix __copy_user_flushcache() cache
      writeback
    - [x86] ioapic: Unbreak check_timer()
    - ALSA: usb-audio: Add delay quirk for H570e USB headsets
    - ALSA: hda/realtek - Couldn't detect Mic if booting with headset plugged
    - ALSA: hda/realtek: Enable front panel headset LED on Lenovo ThinkStation
      P520
    - lib/string.c: implement stpcpy
    - [armhf] PM / devfreq: tegra30: Fix integer overflow on CPU's freq max
      out
    - [x86] scsi: fnic: fix use after free
    - scsi: lpfc: Fix kernel crash at lpfc_nvme_info_show during remote port
      bounce
    - net: silence data-races on sk_backlog.tail
    - [armhf] clk/ti/adpll: allocate room for terminating null
    - mtd: cfi_cmdset_0002: don't free cfi->cfiq in error path of
      cfi_amdstd_setup()
    - mfd: mfd-core: Protect against NULL call-back function pointer
    - [x86] tpm_crb: fix fTPM on AMD Zen+ CPUs
    - tracing: Adding NULL checks for trace_array descriptor pointer
    - bcache: fix a lost wake-up problem caused by mca_cannibalize_lock
    - RDMA/qedr: Fix potential use after free
    - RDMA/i40iw: Fix potential use after free
    - fix dget_parent() fastpath race
    - xfs: fix attr leaf header freemap.size underflow
    - RDMA/iw_cgxb4: Fix an error handling path in 'c4iw_connect()'
    - ubi: Fix producing anchor PEBs
    - mmc: core: Fix size overflow for mmc partitions
    - gfs2: clean up iopen glock mess in gfs2_create_inode
    - scsi: pm80xx: Cleanup command when a reset times out
    - CIFS: Properly process SMB3 lease breaks
    - ASoC: max98090: remove msleep in PLL unlocked workaround
    - kernel/sys.c: avoid copying possible padding bytes in copy_to_user
    - [arm64,armhf] KVM: vgic: Fix potential double free dist->spis in
      __kvm_vgic_destroy()
    - xfs: fix log reservation overflows when allocating large rt extents
    - neigh_stat_seq_next() should increase position index
    - rt_cpu_seq_next should increase position index
    - ipv6_route_seq_next should increase position index
    - seqlock: Require WRITE_ONCE surrounding raw_seqcount_barrier
    - sctp: move trace_sctp_probe_path into sctp_outq_sack
    - [arm64,x86] ACPI: EC: Reference count query handlers under lock
    - scsi: ufs: Make ufshcd_add_command_trace() easier to read
    - scsi: ufs: Fix a race condition in the tracing code
    - [s390x] /cpum_sf: Use kzalloc and minor changes
    - [powerpc*] eeh: Only dump stack once if an MMIO loop is detected
    - Bluetooth: btrtl: Use kvmalloc for FW allocations
    - [armel,armhf] ARM: 8948/1: Prevent OOB access in stacktrace
    - ar5523: Add USB ID of SMCWUSBT-G2 wireless adapter
    - ceph: ensure we have a new cap before continuing in fill_inode
    - Bluetooth: Fix refcount use-after-free issue
    - mm/swapfile.c: swap_next should increase position index
    - mm: pagewalk: fix termination condition in walk_pte_range()
    - Bluetooth: prefetch channel before killing sock
    - KVM: fix overflow of zero page refcount with ksm running
    - ALSA: hda: Clear RIRB status before reading WP
    - skbuff: fix a data race in skb_queue_len()
    - audit: CONFIG_CHANGE don't log internal bookkeeping as an event
    - selinux: sel_avc_get_stat_idx should increase position index
    - scsi: lpfc: Fix RQ buffer leakage when no IOCBs available
    - scsi: lpfc: Fix coverity errors in fmdi attribute handling
    - [armhf] drm/omap: fix possible object reference leak
    - crypto: chelsio - This fixes the kernel panic which occurs during a
      libkcapi test
    - mt76: clear skb pointers from rx aggregation reorder buffer during
      cleanup
    - ALSA: usb-audio: Don't create a mixer element with bogus volume range
    - [s390x] perf test: Fix test trace+probe_vfs_getname.sh on s390
    - RDMA/rxe: Fix configuration of atomic queue pair attributes
    - [x86] KVM: x86: fix incorrect comparison in trace event
    - [x86] pkeys: Add check for pkey "overflow"
    - bpf: Remove recursion prevention from rcu free callback
    - [arm64,armhf] dmaengine: tegra-apb: Prevent race conditions on channel's
      freeing
    - random: fix data races at timer_rand_state
    - [arm64] bus: hisi_lpc: Fixup IO ports addresses to avoid use-after-free
      in host removal
    - media: go7007: Fix URB type for interrupt handling
    - Bluetooth: guard against controllers sending zero'd events
    - timekeeping: Prevent 32bit truncation in scale64_check_overflow()
    - ext4: fix a data race at inode->i_disksize
    - mm: avoid data corruption on CoW fault into PFN-mapped VMA
    - drm/amdgpu: increase atombios cmd timeout
    - ath10k: use kzalloc to read for ath10k_sdio_hif_diag_read
    - scsi: aacraid: Disabling TM path and only processing IOP reset
    - Bluetooth: L2CAP: handle l2cap config request during open state
    - media: tda10071: fix unsigned sign extension overflow
    - xfs: don't ever return a stale pointer from __xfs_dir3_free_read
    - xfs: mark dir corrupt when lookup-by-hash fails
    - ext4: mark block bitmap corrupted when found instead of BUGON
    - nfsd: Don't add locks to closed or closing open stateids
    - RDMA/cm: Remove a race freeing timewait_info
    - [powerpc*] KVM: PPC: Book3S HV: Treat TM-related invalid form
      instructions on P9 like the valid ones
    - [arm64] drm/msm: fix leaks if initialization fails
    - [arm64] drm/msm/a5xx: Always set an OPP supported hardware value
    - serial: 8250_port: Don't service RX FIFO if throttled
    - [powerpc*] cpufreq: powernv: Fix frame-size-overflow in
      powernv_cpufreq_work_fn
    - nvme-multipath: do not reset on unknown status
    - nvme: Fix controller creation races with teardown flow
    - RDMA/rxe: Set sys_image_guid to be aligned with HW IB devices
    - scsi: hpsa: correct race condition in offload enabled
    - SUNRPC: Fix a potential buffer overflow in 'svc_print_xprts()'
    - svcrdma: Fix leak of transport addresses
    - PCI: Use ioremap(), not phys_to_virt() for platform ROM
    - ubifs: Fix out-of-bounds memory access caused by abnormal value of
      node_len
    - ALSA: usb-audio: Fix case when USB MIDI interface has more than one
      extra endpoint descriptor
    - PCI: pciehp: Fix MSI interrupt race
    - NFS: Fix races nfs_page_group_destroy() vs
      nfs_destroy_unlinked_subrequests()
    - mm/kmemleak.c: use address-of operator on section symbols
    - mm/filemap.c: clear page error before actual read
    - mm/vmscan.c: fix data races using kswapd_classzone_idx
    - nvmet-rdma: fix double free of rdma queue
    - mm/mmap.c: initialize align_offset explicitly for vm_unmapped_area
    - scsi: qedi: Fix termination timeouts in session logout
    - [arm64] serial: uartps: Wait for tx_empty in console setup
    - [x86] KVM: Remove CREATE_IRQCHIP/SET_PIT2 race
    - bdev: Reduce time holding bd_mutex in sync in blkdev_close()
    - [x86] drivers: char: tlclk.c: Avoid data race between init and interrupt
      handler
    - [arm64] KVM: vgic-its: Fix memory leak on the error path of
      vgic_add_lpi()
    - net: openvswitch: use u64 for meter bucket
    - scsi: aacraid: Fix error handling paths in aac_probe_one()
    - staging:r8188eu: avoid skb_clone for amsdu to msdu conversion
    - [arm64] cpufeature: Relax checks for AArch32 support at EL[0-2]
    - dt-bindings: sound: wm8994: Correct required supplies based on actual
      implementaion
    - atm: fix a memory leak of vcc->user_back
    - Bluetooth: Handle Inquiry Cancel error after Inquiry Complete
    - tipc: fix memory leak in service subscripting
    - [armhf] tty: serial: samsung: Correct clock selection logic
    - ALSA: hda: Fix potential race in unsol event handler
    - [powerpc*] traps: Make unrecoverable NMIs die instead of panic
    - fuse: don't check refcount after stealing page
    - [powerpc*] scsi: cxlflash: Fix error return code in cxlflash_probe()
    - [arm64] cpufeature: Drop TraceFilt feature exposure from ID_DFR0
      register
    - e1000: Do not perform reset in reset_task if we are already down
    - drm/nouveau/debugfs: fix runtime pm imbalance on error
    - drm/nouveau: fix runtime pm imbalance on error
    - drm/nouveau/dispnv50: fix runtime pm imbalance on error
    - printk: handle blank console arguments passed in.
    - [arm64,armhf] usb: dwc3: Increase timeout for CmdAct cleared by device
      controller
    - btrfs: don't force read-only after error in drop snapshot
    - vfio/pci: fix memory leaks of eventfd ctx
    - perf trace: Fix the selection for architectures to generate the errno
      name tables
    - [arm64,armhf] wlcore: fix runtime pm imbalance in wl1271_tx_work
    - [arm64,armhf] wlcore: fix runtime pm imbalance in
      wlcore_regdomain_config
    - [arm64,armhf] PCI: tegra: Fix runtime PM imbalance on error
    - ceph: fix potential race in ceph_check_caps
    - mm/swap_state: fix a data race in swapin_nr_pages
    - [armel] mtd: parser: cmdline: Support MTD names containing one or more
      colons
    - [x86] speculation/mds: Mark mds_user_clear_cpu_buffers() __always_inline
    - vfio/pci: Clear error and request eventfd ctx after releasing
    - cifs: Fix double add page to memcg when cifs_readpages
    - nvme: fix possible deadlock when I/O is blocked
    - scsi: libfc: Handling of extra kref
    - scsi: libfc: Skip additional kref updating work event
    - vfio/pci: fix racy on error and request eventfd ctx
    - btrfs: qgroup: fix data leak caused by race between writeback and
      truncate
    - net: openvswitch: use div_u64() for 64-by-32 divisions
    - nvme: explicitly update mpath disk capacity on revalidation
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN Converter9 2-in-1
    - [s390x] init: add missing __init annotations
    - lockdep: fix order in trace_hardirqs_off_caller()
    - [amd64] drm/amdkfd: fix a memory leak issue
    - i2c: core: Call i2c_acpi_install_space_handler() before
      i2c_acpi_register_devices()
    - mwifiex: Increase AES key storage size to 256 bits
    - batman-adv: bla: fix type misuse for backbone_gw hash indexing
    - atm: eni: fix the missed pci_disable_device() for eni_init_one()
    - batman-adv: mcast/TT: fix wrongly dropped or rerouted packets
    - mac802154: tx: fix use-after-free
    - bpf: Fix clobbering of r2 in bpf_gen_ld_abs
    - [arm*] drm/vc4/vc4_hdmi: fill ASoC card owner
    - net: qed: RDMA personality shouldn't fail VF load
    - batman-adv: Add missing include for in_interrupt()
    - batman-adv: mcast: fix duplicate mcast packets in BLA backbone from mesh
    - batman-adv: mcast: fix duplicate mcast packets from BLA backbone to mesh
    - bpf: Fix a rcu warning for bpffs map pretty-print
    - [x86] ALSA: asihpi: fix iounmap in error handler
    - regmap: fix page selection for noinc reads
    - [x86] KVM: Reset MMU context if guest toggles CR4.SMAP or CR4.PKE
    - [x86] KVM: SVM: Add a dedicated INVD intercept routine
    - tracing: fix double free
    - [s390x] dasd: Fix zero write for FBA devices
    - kprobes: Fix to check probe enabled before disarm_kprobe_ftrace()
    - mm, THP, swap: fix allocating cluster for swapfile by mistake
    - [s390x] zcrypt: Fix ZCRYPT_PERDEV_REQCNT ioctl
    - ata: define AC_ERR_OK
    - ata: make qc_prep return ata_completion_errors
    - ata: sata_mv, avoid trigerrable BUG_ON
    - [arm64] KVM: Assume write fault on S1PTW permission fault on instruction
      fetch
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.150
    - mmc: sdhci: Workaround broken command queuing on Intel GLK based IRBIS
      models
    - USB: gadget: f_ncm: Fix NDP16 datagram validation
    - vsock/virtio: use RCU to avoid use-after-free on the_virtio_vsock
    - vsock/virtio: stop workers during the .remove()
    - vsock/virtio: add transport parameter to the
      virtio_transport_reset_no_sock()
    - net: virtio_vsock: Enhance connection semantics
    - Input: i8042 - add nopnp quirk for Acer Aspire 5 A515
    - ftrace: Move RCU is watching check after recursion check
    - drm/amdgpu: restore proper ref count in amdgpu_display_crtc_set_config
    - drivers/net/wan/hdlc_fr: Add needed_headroom for PVC devices
    - [armhf] drm/sun4i: mixer: Extend regmap max_register
    - net: dec: de2104x: Increase receive ring size for Tulip
    - rndis_host: increase sleep time in the query-response loop
    - nvme-core: get/put ctrl and transport module in nvme_dev_open/release()
    - [x86,ppc64el] drivers/net/wan/hdlc: Set skb->protocol before
      transmitting
    - mac80211: do not allow bigger VHT MPDUs than the hardware supports
    - nvme-fc: fail new connections to a deleted host or remote port
    - [armhf] pinctrl: mvebu: Fix i2c sda definition for 98DX3236
    - nfs: Fix security label length not being reset
    - [armhf] clk: samsung: exynos4: mark 'chipid' clock as CLK_IGNORE_UNUSED
    - Input: trackpoint - enable Synaptics trackpoints
    - random32: Restore __latent_entropy attribute on net_rand_state
    - mm: replace memmap_context by meminit_context
    - mm: don't rely on system state to detect hot-plug operations
    - epoll: do not insert into poll queues until all sanity checks are done
    - epoll: replace ->visited/visited_list with generation count
    - epoll: EPOLL_CTL_ADD: close the race in decision to take fast path
    - ep_create_wakeup_source(): dentry name can change under you...
    - netfilter: ctnetlink: add a range check for l3/l4 protonum
      (CVE-2020-25211)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.151
    - fbdev, newport_con: Move FONT_EXTRA_WORDS macros into linux/font.h
    - Fonts: Support FONT_EXTRA_WORDS macros for built-in fonts
    - fbcon: Fix global-out-of-bounds read in fbcon_get_font()
    - net: wireless: nl80211: fix out-of-bounds access in nl80211_del_key()
    - drm/nouveau/mem: guard against NULL pointer access in mem_del
    - usermodehelper: reset umask to default before executing user process
    - [x86] platform/x86: intel-vbtn: Fix SW_TABLET_MODE always reporting 1 on
      the HP Pavilion 11 x360
    - [x86] platform/x86: thinkpad_acpi: initialize tp_nvram_state variable
    - [x86] platform/x86: intel-vbtn: Switch to an allow-list for
      SW_TABLET_MODE reporting
    - [x86] platform/x86: thinkpad_acpi: re-initialize ACPI buffer size when
      reuse
    - driver core: Fix probe_count imbalance in really_probe()
    - [x86] i2c: i801: Exclude device from suspend direct complete
      optimization
    - [armhf] mtd: rawnand: sunxi: Fix the probe error path
    - nvme-core: put ctrl ref when module ref get fail
    - macsec: avoid use-after-free in macsec_handle_frame()
    - mm/khugepaged: fix filemap page_to_pgoff(page) != offset
    - xfrmi: drop ignore_df check before updating pmtu
    - cifs: Fix incomplete memory allocation on setxattr path
    - [arm64,armhf] i2c: meson: fix clock setting overwrite
    - [arm64,armhf] i2c: meson: fixup rate calculation with filter delay
    - sctp: fix sctp_auth_init_hmacs() error path
    - team: set dev->needed_headroom in team_setup_by_port()
    - net: team: fix memory leak in __team_options_register
    - openvswitch: handle DNAT tuple collision
    - drm/amdgpu: prevent double kfree ttm->sg
    - xfrm: clone XFRMA_SET_MARK in xfrm_do_migrate
    - xfrm: clone XFRMA_REPLAY_ESN_VAL in xfrm_do_migrate
    - xfrm: clone XFRMA_SEC_CTX in xfrm_do_migrate
    - xfrm: clone whole liftime_cur structure in xfrm_do_migrate
    - [arm64,armhf] net: stmmac: removed enabling eee in EEE set callback
    - xfrm: Use correct address family in xfrm_state_find
    - bonding: set dev->needed_headroom in bond_setup_by_slave()
    - net: usb: ax88179_178a: fix missing stop entry in driver_info
    - net/mlx5e: Fix VLAN cleanup flow
    - net/mlx5e: Fix VLAN create flow
    - rxrpc: Fix rxkad token xdr encoding
    - rxrpc: Downgrade the BUG() for unsupported token type in rxrpc_read()
    - rxrpc: Fix some missing _bh annotations on locking conn->state_lock
    - rxrpc: Fix server keyring leak
    - perf: Fix task_function_call() error handling
    - mmc: core: don't set limits.discard_granularity as 0
    - mm: khugepaged: recalculate min_free_kbytes after memory hotplug as
      expected by khugepaged
    - net: usb: rtl8150: set random MAC address when set_ethernet_addr() fails
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.152
    - Bluetooth: A2MP: Fix not initializing all members (CVE-2020-12352)
    - Bluetooth: L2CAP: Fix calling sk_filter on non-socket based channel
      (CVE-2020-12351)
    - Bluetooth: MGMT: Fix not checking if BT_HS is enabled
    - Bluetooth: Consolidate encryption handling in hci_encrypt_cfm
    - Bluetooth: Fix update of connection state in `hci_encrypt_cfm`
    - Bluetooth: Disconnect if E0 is used for Level 4
    - media: usbtv: Fix refcounting mixup
    - USB: serial: option: add Cellient MPL200 card
    - USB: serial: option: Add Telit FT980-KS composition
    - [x86] staging: comedi: check validity of wMaxPacketSize of usb endpoints
      found
    - USB: serial: pl2303: add device-id for HP GC device
    - USB: serial: ftdi_sio: add support for FreeCalypso JTAG+UART adapters
    - reiserfs: Initialize inode keys properly
    - reiserfs: Fix oops during mount
    - [arm*] drivers/net/ethernet/marvell/mvmdio.c: Fix non OF case
      (Closes: #908712)
    - [x86] crypto: qat - check cipher length for aead AES-CBC-HMAC-SHA

  [ Salvatore Bonaccorso ]
  * [rt] Update to 4.19.148-rt64
  * Bump ABI to 12
  * Revert "perf cs-etm: Move definition of 'traceid_list' global variable
    from header file"

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 Oct 2020 10:43:18 +0200

linux (4.19.146-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.133
    - [s390x] KVM: s390: reduce number of IO pins to 1
    - regmap: fix alignment issue
    - [arm64,armhf] drm/tegra: hub: Do not enable orphaned window group
    - [arm64,armhf] gpu: host1x: Detach driver on unregister
    - spi: spidev: fix a race between spidev_release and spidev_remove
    - spi: spidev: fix a potential use-after-free in spidev_release()
    - ixgbe: protect ring accesses with READ- and WRITE_ONCE
    - i40e: protect ring accesses with READ- and WRITE_ONCE
    - [x86] drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
    - [x86] drm: panel-orientation-quirks: Use generic orientation-data for
      Acer S1003
    - cifs: update ctime and mtime during truncate
    - [armhf] imx6: add missing put_device() call in imx6q_suspend_init()
    - scsi: mptscsih: Fix read sense data size
    - [arm64] usb: dwc3: pci: Fix reference count leak in dwc3_pci_resume_work
    - block: release bip in a right way in error path
    - nvme-rdma: assign completion vector correctly
    - [x86] entry: Increase entry_stack size to a full page
    - net: cxgb4: fix return error value in t4_prep_fw
    - smsc95xx: check return value of smsc95xx_reset
    - smsc95xx: avoid memory leak in smsc95xx_bind
    - [arm64] net: hns3: fix use-after-free when doing self test
    - [x86] ALSA: compress: fix partial_drain completion state
    - nbd: Fix memory leak in nbd_add_socket
    - cxgb4: fix all-mask IP address comparison
    - bnxt_en: fix NULL dereference in case SR-IOV configuration fails
    - [arm64] net: macb: mark device wake capable when "magic-packet" property
      present
    - ALSA: opl3: fix infoleak in opl3
    - ALSA: hda - let hs_mic be picked ahead of hp_mic
    - ALSA: usb-audio: add quirk for MacroSilicon MS2109
    - [arm64] KVM: Fix definition of PAGE_HYP_DEVICE
    - [arm64] KVM: Stop clobbering x0 for HVC_SOFT_RESTART
    - [x86] KVM: bit 8 of non-leaf PDPEs is not reserved
    - [x86] KVM: Inject #GP if guest attempts to toggle CR4.LA57 in 64-bit
      mode
    - [x86] KVM: Mark CR4.TSD as being possibly owned by the guest
    - kallsyms: Refactor kallsyms_show_value() to take cred
    - kernel: module: Use struct_size() helper
    - module: Refactor section attr into bin attribute
    - module: Do not expose section addresses to non-CAP_SYSLOG
    - kprobes: Do not expose probe addresses to non-CAP_SYSLOG
    - bpf: Check correct cred for CAP_SYSLOG in bpf_dump_raw_ok()
    - btrfs: fix fatal extent_buffer readahead vs releasepage race
    - drm/radeon: fix double free
    - dm: use noio when sending kobject event
    - [s390x] mm: fix huge pte soft dirty copying
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.134
    - perf: Make perf able to build with latest libbfd
    - genetlink: remove genl_bind
    - ipv4: fill fl4_icmp_{type,code} in ping_v4_sendmsg
    - l2tp: remove skb_dst_set() from l2tp_xmit_skb()
    - llc: make sure applications use ARPHRD_ETHER
    - net: Added pointer check for dst->ops->neigh_lookup in
      dst_neigh_lookup_skb
    - net_sched: fix a memory leak in atm_tc_init()
    - net: usb: qmi_wwan: add support for Quectel EG95 LTE modem
    - tcp: fix SO_RCVLOWAT possible hangs under high mem pressure
    - tcp: make sure listeners don't initialize congestion-control state
    - tcp: md5: add missing memory barriers in
      tcp_md5_do_add()/tcp_md5_hash_key()
    - tcp: md5: do not send silly options in SYNCOOKIES
    - tcp: md5: refine tcp_md5_do_add()/tcp_md5_hash_key() barriers
    - tcp: md5: allow changing MD5 keys in all socket states
    - cgroup: fix cgroup_sk_alloc() for sk_clone_lock() (CVE-2020-14356)
      (Closes: #966846)
    - cgroup: Fix sock_cgroup_data on big-endian.
    - sched: consistently handle layer3 header accesses in the presence of
      VLANs
    - vlan: consolidate VLAN parsing code and limit max parsing depth
    - [arm64] drm/msm: fix potential memleak in error branch
    - [arm64] alternatives: use subsections for replacement sequences
    - [arm64,x86] tpm_tis: extra chip->ops check on error path in
      tpm_tis_core_init
    - gfs2: read-only mounts should grab the sd_freeze_gl glock
    - [i386] i2c: eg20t: Load module automatically if ID matches
    - [arm64] alternatives: don't patch up internal branches
    - [armhf] iio: mma8452: Add missed iio_device_unregister() call in
      mma8452_probe()
    - [armhf] net: dsa: bcm_sf2: Fix node reference count
    - of: of_mdio: Correct loop scanning logic
    - Revert "usb/ohci-platform: Fix a warning when hibernating"
    - [arm64,armhf] Revert "usb/xhci-plat: Set PM runtime as active on resume"
    - Revert "usb/ehci-platform: Set PM runtime as active on resume"
    - [arm64,armhf] net: sfp: add support for module quirks
    - [arm64,armhf] net: sfp: add some quirks for GPON modules
    - HID: quirks: Remove ITE 8595 entry from hid_have_special_driver
    - ALSA: usb-audio: Create a registration quirk for Kingston HyperX Amp
      (0951:16d8)
    - mmc: sdhci: do not enable card detect interrupt for gpio cd type
    - ALSA: usb-audio: Rewrite registration quirk handling
    - [x86] ACPI: video: Use native backlight on Acer Aspire 5783z
    - ALSA: usb-audio: Add registration quirk for Kingston HyperX Cloud Alpha
      S
    - [x86] ACPI: video: Use native backlight on Acer TravelMate 5735Z
    - ALSA: usb-audio: Add registration quirk for Kingston HyperX Cloud Flight
      S
    - [arm64,armhf] phy: sun4i-usb: fix dereference of pointer phy0 before it
      is null checked
    - [armhf] spi: spi-sun6i: sun6i_spi_transfer_one(): fix setting of clock
      rate
    - [x86] staging: comedi: verify array index is correct before using it
    - regmap: debugfs: Don't sleep while atomic for fast_io regmaps
    - [x86] copy_xstate_to_kernel: Fix typo which caused GDB regression
    - apparmor: ensure that dfa state tables have entries
    - perf stat: Zero all the 'ena' and 'run' array slot stats for interval
      mode
    - [armhf] mtd: rawnand: marvell: Use nand_cleanup() when the device is not
      yet registered
    - [armhf] mtd: rawnand: marvell: Fix probe error path
    - mtd: rawnand: timings: Fix default tR_max and tCCS_min timings
    - HID: magicmouse: do not set up autorepeat
    - HID: quirks: Always poll Obins Anne Pro 2 keyboard
    - HID: quirks: Ignore Simply Automated UPB PIM
    - ALSA: line6: Perform sanity check for each URB creation
    - ALSA: line6: Sync the pending work cancel at disconnection
    - ALSA: usb-audio: Fix race against the error recovery URB submission
    - [x86] ALSA: hda/realtek - change to suitable link model for ASUS platform
    - [x86] ALSA: hda/realtek - Enable Speaker for ASUS UX533 and UX534
    - [arm*] usb: dwc2: Fix shutdown callback in platform
    - [arm64,armhf] usb: chipidea: core: add wakeup support for extcon
    - USB: serial: iuu_phoenix: fix memory corruption
    - USB: serial: cypress_m8: enable Simply Automated UPB PIM
    - USB: serial: ch341: add new Product ID for CH340
    - USB: serial: option: add GosunCn GM500 series
    - USB: serial: option: add Quectel EG95 LTE modem
    - [x86] virt: vbox: Fix VBGL_IOCTL_VMMDEV_REQUEST_BIG and _LOG req numbers
      to match upstream
    - [x86] virt: vbox: Fix guest capabilities mask check
    - [arm64] virtio: virtio_console: add missing MODULE_DEVICE_TABLE() for
      rproc serial
    - ovl: inode reference leak in ovl_is_inuse true case.
    - ovl: relax WARN_ON() when decoding lower directory file handle
    - ovl: fix unneeded call to ovl_change_flags()
    - fuse: Fix parameter for FS_IOC_{GET,SET}FLAGS
    - Revert "zram: convert remaining CLASS_ATTR() to CLASS_ATTR_RO()"
      (CVE-2020-10781)
    - [x86] mei: bus: don't clean driver pointer
    - timer: Prevent base->clk from moving backward
    - timer: Fix wheel index calculation on last level
    - [mips*] Fix build for LTS kernel caused by backporting lpj adjustment
    - hwmon: (emc2103) fix unable to change fan pwm1_enable attribute
    - [powerpc*] book3s64/pkeys: Fix pkey_access_permitted() for execute
      disable pkey
    - [x86] intel_th: pci: Add Jasper Lake CPU support
    - [x86] intel_th: pci: Add Tiger Lake PCH-H support
    - [x86] intel_th: pci: Add Emmitsburg PCH support
    - [x86] intel_th: Fix a NULL dereference when hub driver is not loaded
    - [arm*] thermal/drivers/cpufreq_cooling: Fix wrong frequency converted
      from power
    - [arm64] ptrace: Override SPSR.SS when single-stepping is enabled
    - [arm64] ptrace: Consistently use pseudo-singlestep exceptions
    - [arm64] compat: Ensure upper 32 bits of x0 are zero on syscall return
    - sched: Fix unreliable rseq cpu_id for new tasks
    - sched/fair: handle case of task_h_load() returning 0
    - genirq/affinity: Handle affinity setting on inactive interrupts
      correctly
    - printk: queue wake_up_klogd irq_work only if per-CPU areas are ready
    - libceph: don't omit recovery_deletes in target_copy()
    - rxrpc: Fix trace string
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.135
    - mac80211: allow rx of mesh eapol frames with default rx key
    - scsi: scsi_transport_spi: Fix function pointer check
    - net: sky2: initialize return of gm_phy_read
    - drm/nouveau/i2c/g94-: increase NV_PMGR_DP_AUXCTL_TRANSACTREQ timeout
    - fuse: fix weird page warning
    - [x86] irqdomain/treewide: Keep firmware node unconditionally allocated
    - SUNRPC reverting d03727b248d0 ("NFSv4 fix CLOSE not waiting for direct
      IO compeletion")
    - tipc: clean up skb list lock handling on send path
    - IB/umem: fix reference count leak in ib_umem_odp_get()
    - uprobes: Change handle_swbp() to send SIGTRAP with si_code=SI_KERNEL, to
      fix GDB regression
    - ALSA: info: Drop WARN_ON() from buffer NULL sanity check
    - btrfs: fix double free on ulist after backref resolution failure
    - btrfs: fix mount failure caused by race with umount
    - btrfs: fix page leaks after failure to lock page for delalloc
    - bnxt_en: Fix race when modifying pause settings.
    - [x86] hippi: Fix a size used in a 'pci_free_consistent()' in an error
      handling path
    - ax88172a: fix ax88172a_unbind() failures
    - ieee802154: fix one possible memleak in adf7242_probe
    - [arm64,armhf] drm: sun4i: hdmi: Fix inverted HPD result
    - [arm64,armhf] net: smc91x: Fix possible memory leak in smc_drv_probe()
    - bonding: check error value of register_netdevice() immediately
    - qed: suppress "don't support RoCE & iWARP" flooding on HW init
    - ipvs: fix the connection sync failed in some cases
    - bonding: check return value of register_netdevice() in bond_newlink()
    - serial: exar: Fix GPIO configuration for Sealevel cards based on
      XR17V35X
    - [arm64,x86] HID: i2c-hid: add Mediacom FlexBook edge13 to descriptor
      override
    - HID: alps: support devices with report id 2
    - HID: steam: fixes race in handling device list.
    - HID: apple: Disable Fn-key key-re-mapping on clone keyboards
    - [arm64] dmaengine: tegra210-adma: Fix runtime PM imbalance on error
    - Input: add `SW_MACHINE_COVER`
    - regmap: dev_get_regmap_match(): fix string comparison
    - hwmon: (aspeed-pwm-tacho) Avoid possible buffer overflow
    - [amd64] dmaengine: ioat setting ioat timeout as module parameter
    - [x86] Input: synaptics - enable InterTouch for ThinkPad X1E 1st gen
    - [arm64] Use test_tsk_thread_flag() for checking TIF_SINGLESTEP
    - [arm*] binder: Don't use mmput() from shrinker function.
    - usb: xhci: Fix ASM2142/ASM3142 DMA addressing
    - Revert "cifs: Fix the target file was deleted when rename failed."
      (Closes: #966917)
    - [x86] staging: wlan-ng: properly check endpoint types
    - [x86] staging: comedi: addi_apci_1032: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - [x86] staging: comedi: ni_6527: fix INSN_CONFIG_DIGITAL_TRIG support
    - [x86] staging: comedi: addi_apci_1500: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - [x86] staging: comedi: addi_apci_1564: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - serial: 8250: fix null-ptr-deref in serial8250_start_tx()
    - fbdev: Detect integer underflow at "struct fbcon_ops"->clear_margins.
    - vt: Reject zero-sized screen buffer size.
    - mm/memcg: fix refcount error while moving and swapping
    - mm: memcg/slab: synchronize access to kmem_cache dying flag using a
      spinlock
    - mm: memcg/slab: fix memory leak at non-root kmem_cache destroy
    - io-mapping: indicate mapping failure
    - drm/amdgpu: Fix NULL dereference in dpm sysfs handlers
    - [x86] vmlinux.lds: Page-align end of ..page_aligned sections
    - [x86] ASoC: rt5670: Add new gpio1_is_ext_spk_en quirk and enable it on
      the Lenovo Miix 2 10
    - dm integrity: fix integrity recalculation that is improperly skipped
    - ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
    - ath9k: Fix regression with Atheros 9271
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.136
    - AX.25: Fix out-of-bounds read in ax25_connect()
    - AX.25: Prevent out-of-bounds read in ax25_sendmsg()
    - dev: Defer free of skbs in flush_backlog
    - ip6_gre: fix null-ptr-deref in ip6gre_init_net()
    - net-sysfs: add a newline when printing 'tx_timeout' by sysfs
    - net: udp: Fix wrong clean up for IS_UDPLITE macro
    - rxrpc: Fix sendmsg() returning EPIPE due to recvmsg() returning ENODATA
    - tcp: allow at most one TLP probe per flight
    - AX.25: Prevent integer overflows in connect and sendmsg
    - sctp: shrink stream outq only when new outcnt < old outcnt
    - sctp: shrink stream outq when fails to do addstream reconf
    - udp: Copy has_conns in reuseport_grow().
    - udp: Improve load balancing for SO_REUSEPORT.
    - rtnetlink: Fix memory(net_device) leak when ->newlink fails
    - regmap: debugfs: check count when read regmap file
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.137
    - [x86] crypto: ccp - Release all allocated memory if sha type is invalid
      (CVE-2019-18808)
    - media: rc: prevent memory leak in cx23888_ir_probe (CVE-2019-19054)
    - iio: imu: adis16400: fix memory leak (CVE-2019-19061)
    - [x86] drm/amdgpu: fix multiple memory leaks in acp_hw_init
      (CVE-2019-19067)
    - tracing: Have error path in predicate_parse() free its allocated memory
      (CVE-2019-19072)
    - ath9k_htc: release allocated buffer if timed out (CVE-2019-19073)
    - ath9k: release allocated buffer if timed out (CVE-2019-19074)
    - drm/amd/display: prevent memory leak (CVE-2019-19082)
    - btrfs: inode: Verify inode mode to avoid NULL pointer dereference
      (CVE-2019-19813, CVE-2019-19816)
    - sctp: implement memory accounting on tx path (CVE-2019-3874)
    - Btrfs: fix selftests failure due to uninitialized i_mode in test inodes
    - PCI/ASPM: Disable ASPM on ASMedia ASM1083/1085 PCIe-to-PCI bridge
    - 9p/trans_fd: Fix concurrency del of req_list in
      p9_fd_cancelled/p9_read_work
    - wireless: Use offsetof instead of custom macro.
    - [armel,armhf] 8986/1: hw_breakpoint: Don't invoke overflow handler on
      uaccess watchpoints
    - Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
    - drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
    - drm: hold gem reference until object is no longer accessed
    - rds: Prevent kernel-infoleak in rds_notify_queue_get()
    - xfs: fix missed wakeup on l_flush_wait
    - xfrm: Fix crash when the hold queue is used.
    - net/mlx5: Verify Hardware supports requested ptp function on a given pin
    - net: lan78xx: add missing endpoint sanity check
    - net: lan78xx: fix transfer-buffer memory leak
    - mlx4: disable device on shutdown
    - bpf: Fix map leak in HASH_OF_MAPS map
    - mac80211: mesh: Free ie data when leaving mesh
    - mac80211: mesh: Free pending skb when destroying a mpath
    - [arm64] alternatives: move length validation inside the subsection
    - [arm64] csum: Fix handling of bad packets
    - Bluetooth: fix kernel oops in store_pending_adv_report
    - net/mlx5e: fix bpf_prog reference count leaks in mlx5e_alloc_rq
    - qed: Disable "MFW indication via attention" SPAM every 5 minutes
    - [amd64] x86/unwind/orc: Fix ORC for newly forked tasks
    - cxgb4: add missing release on skb in uld_send()
    - xen-netfront: fix potential deadlock in xennet_remove()
    - [x86] KVM: LAPIC: Prevent setting the tscdeadline timer if the lapic is
      hw disabled
    - [x86] i8259: Use printk_deferred() to prevent deadlock
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.138
    - random32: update the net random state on interrupt and activity
      (CVE-2020-16166)
    - [armel] ARM: percpu.h: fix build error
    - random: fix circular include dependency on arm64 after addition of
      percpu.h
    - random32: remove net_rand_state from the latent entropy gcc plugin
    - random32: move the pseudo-random 32-bit definitions to prandom.h
    - ext4: fix direct I/O read error
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.139
    - USB: serial: qcserial: add EM7305 QDL product ID
    - USB: iowarrior: fix up report size handling for some devices
    - usb: xhci: define IDs for various ASMedia host controllers
    - usb: xhci: Fix ASMedia ASM1142 DMA addressing
    - Revert "ALSA: hda: call runtime_allow() for all hda controllers"
    - [arm*] staging: android: ashmem: Fix lockdep warning for write operation
    - Bluetooth: Fix slab-out-of-bounds read in
      hci_extended_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in hci_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in
      hci_inquiry_result_with_rssi_evt()
    - [arm*] binder: Prevent context manager from incrementing ref 0
    - vgacon: Fix for missing check in scrollback handling (CVE-2020-14331)
    - mtd: properly check all write ioctls for permissions
    - net/9p: validate fds in p9_fd_open
    - drm/nouveau/fbcon: fix module unload when fbcon init has failed for some
      reason
    - drm/nouveau/fbcon: zero-initialise the mode_cmd2 structure
    - usb: hso: check for return value in hso_serial_common_create()
    - firmware: Fix a reference count leak.
    - cfg80211: check vendor command doit pointer before use
    - igb: reinit_locked() should be called with rtnl_lock
    - atm: fix atm_dev refcnt leaks in atmtcp_remove_persistent
    - tools lib traceevent: Fix memory leak in process_dynamic_array_len
    - [x86] Drivers: hv: vmbus: Ignore CHANNELMSG_TL_CONNECT_RESULT(23)
    - xattr: break delegations in {set,remove}xattr
    - ipv4: Silence suspicious RCU usage warning
    - ipv6: fix memory leaks on IPV6_ADDRFORM path
    - vxlan: Ensure FDB dump is performed under RCU
    - net: lan78xx: replace bogus endpoint lookup
    - [x86] hv_netvsc: do not use VF device if link is down
    - net: gre: recompute gre csum for sctp over gre tunnels
    - [arm64] net: thunderx: use spin_lock_bh in nicvf_set_rx_mode_task()
    - openvswitch: Prevent kernel-infoleak in ovs_ct_put_key()
    - Revert "vxlan: fix tos value before xmit"
    - rxrpc: Fix race between recvmsg and sendmsg on immediate call failure
    - i40e: add num_vectors checker in iwarp handler
    - i40e: Wrong truncation from u16 to u8
    - i40e: Fix of memory leak and integer truncation in i40e_virtchnl.c
    - i40e: Memory leak in i40e_config_iwarp_qvlist
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.140
    - tracepoint: Mark __tracepoint_string's __used
    - HID: input: Fix devices that return multiple bytes in battery report
    - cgroup: add missing skcd->no_refcnt check in cgroup_sk_clone()
    - [x86] mce/inject: Fix a wrong assignment of i_mce.status
    - sched/fair: Fix NOHZ next idle balance
    - sched: correct SD_flags returned by tl->sd_flags()
    - EDAC: Fix reference count leaks
    - [x86] platform/x86: intel-hid: Fix return value check in
      check_acpi_dev()
    - [x86] platform/x86: intel-vbtn: Fix return value check in
      check_acpi_dev()
    - [armhf] drm/tilcdc: fix leak & null ref in panel_connector_get_modes
    - Bluetooth: add a mutex lock to avoid UAF in do_enale_set
    - loop: be paranoid on exit and prevent new additions / removals
    - fs/btrfs: Add cond_resched() for try_release_extent_mapping() stalls
    - drm/amdgpu: avoid dereferencing a NULL pointer
    - drm/radeon: Fix reference count leaks caused by pm_runtime_get_sync
    - [x86] crypto: aesni - Fix build with LLVM_IAS=1
    - video: fbdev: neofb: fix memory leak in neo_scan_monitor()
    - md-cluster: fix wild pointer of unlock_all_bitmaps()
    - [arm64] dts: hisilicon: hikey: fixes to comply with adi, adv7533 DT
      binding
    - [armhf] drm/etnaviv: fix ref count leak via pm_runtime_get_sync
    - drm/nouveau: fix multiple instances of reference count leaks
    - drm/debugfs: fix plain echo to connector "force" attribute
    - drm/radeon: disable AGP by default
    - mm/mmap.c: Add cond_resched() for exit_mmap() CPU stalls
    - brcmfmac: keep SDIO watchdog running when console_interval is non-zero
    - brcmfmac: To fix Bss Info flag definition Bug
    - brcmfmac: set state of hanger slot to FREE when flushing PSQ
    - iwlegacy: Check the return value of pcie_capability_read_*()
    - [arm64,armhf] gpu: host1x: debug: Fix multiple channels emitting
      messages simultaneously
    - usb: gadget: net2280: fix memory leak on probe error handling paths
    - dyndbg: fix a BUG_ON in ddebug_describe_flags
    - bcache: fix super block seq numbers comparision in register_cache_set()
    - [arm64,x86] ACPICA: Do not increment operation_region reference counts
      for field units
    - [arm64] drm/msm: ratelimit crtc event overflow error
    - [x86] agp/intel: Fix a memory leak on module initialisation failure
    - ath10k: Acquire tx_lock in tx error paths
    - [armhf] drm/etnaviv: Fix error path on failure to enable bus clk
    - [arm64] drm/arm: fix unintentional integer overflow on left shift
    - drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
    - [powerpc*] cxl: Fix kobject memleak
    - drm/radeon: fix array out-of-bounds read and write issues
    - ipvs: allow connection reuse for unconfirmed conntrack
    - xfs: don't eat an EIO/ENOSPC writeback error when scrubbing data fork
    - xfs: fix reflink quota reservation accounting error
    - RDMA/rxe: Skip dgid check in loopback mode
    - PCI: Fix pci_cfg_wait queue locking problem
    - leds: core: Flush scheduled work for system suspend
    - [arm64,armhf] drm: panel: simple: Fix bpc for LG LB070WV8 panel
    - [armhf] phy: exynos5-usbdrd: Calibrating makes sense only for USB2.0 PHY
    - scsi: scsi_debug: Add check for sdebug_max_queue during module init
    - mwifiex: Prevent memory corruption handling keys
    - [powerpc*] vdso: Fix vdso cpu truncation
    - RDMA/qedr: SRQ's bug fixes
    - RDMA/rxe: Prevent access to wr->next ptr afrer wr is posted to send
      queue
    - [x86] staging: rtl8192u: fix a dubious looking mask before a shift
    - PCI/ASPM: Add missing newline in sysfs 'policy'
    - [powerpc*] book3s64/pkeys: Use PVR check instead of cpu feature
    - USB: serial: iuu_phoenix: fix led-activity helpers
    - usb: core: fix quirks_param_set() writing to a const pointer
    - [armhf] thermal: ti-soc-thermal: Fix reversed condition in
      ti_thermal_expose_sensor()
    - [mips*] OCTEON: add missing put_device() call in
      dwc3_octeon_device_init()
    - [arm*] usb: dwc2: Fix error path in gadget registration
    - [arm64,armhf] net: dsa: mv88e6xxx: MV88E6097 does not support jumbo
      configuration
    - RDMA/core: Fix return error value in _ib_modify_qp() to negative
    - Bluetooth: hci_h5: Set HCI_UART_RESET_ON_INIT to correct flags
    - Bluetooth: hci_serdev: Only unregister device if it was registered
    - [x86] PCI: Release IVRS table in AMD ACS quirk
    - [s390x] qeth: don't process empty bridge port events
    - [arm64,armhf] wl1251: fix always return 0 error
    - [amd64] net: ethernet: aquantia: Fix wrong return value
    - liquidio: Fix wrong return value in cn23xx_get_pf_num()
    - dlm: Fix kobject memleak
    - ocfs2: fix unbalanced locking
    - [arm64,armhf] pinctrl-single: fix pcs_parse_pinconf() return value
    - svcrdma: Fix page leak in svc_rdma_recv_read_chunk()
    - [x86] fsgsbase/64: Fix NULL deref in 86_fsgsbase_read_task
    - [amd64] crypto: aesni - add compatibility with IAS
    - af_packet: TPACKET_V3: fix fill status rwlock imbalance
    - net/nfc/rawsock.c: add CAP_NET_RAW check.
    - net: Set fput_needed iff FDPUT_FPUT is set
    - net: refactor bind_bucket fastreuse into helper
    - net: initialize fastreuse on inet_inherit_port
    - USB: serial: cp210x: re-enable auto-RTS on open
    - USB: serial: cp210x: enable usb generic throttle/unthrottle
    - [x86] ALSA: hda - fix the micmute led status for Lenovo ThinkCentre AIO
    - ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob support
    - ALSA: usb-audio: fix overeager device match for MacroSilicon MS2109
    - ALSA: usb-audio: work around streaming quirk for MacroSilicon MS2109
    - [x86] crypto: qat - fix double free in qat_uclo_create_batch_init_list
    - [x86] crypto: ccp - Fix use of merged scatterlists
    - [arm64] crypto: cpt - don't sleep of CRYPTO_TFM_REQ_MAY_SLEEP was not
      specified
    - bitfield.h: don't compile-time validate _val in FIELD_FIT
    - fs/minix: check return value of sb_getblk()
    - fs/minix: don't allow getting deleted inodes
    - fs/minix: reject too-large maximum file size
    - ALSA: usb-audio: add quirk for Pioneer DDJ-RB
    - 9p: Fix memory leak in v9fs_mount
    - drm/ttm/nouveau: don't call tt destroy callback on alloc failure.
    - NFS: Don't move layouts to plh_return_segs list while in use
    - NFS: Don't return layout segments that are in use
    - [arm64] cpufreq: dt: fix oops on armada37xx
    - include/asm-generic/vmlinux.lds.h: align ro_after_init
    - spi: spidev: Align buffers for DMA
    - [x86] irqdomain/treewide: Free firmware node after domain removal
    - xen/balloon: fix accounting in alloc_xenballooned_pages error path
    - xen/balloon: make the balloon wait interruptible
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.141
    - smb3: warn on confusing error scenario with sec=krb5
    - genirq/affinity: Make affinity setting if activated opt-in
    - [arm64,x86] PCI: hotplug: ACPI: Fix context refcounting in
      acpiphp_grab_context()
    - PCI: Mark AMD Navi10 GPU rev 0x00 ATS as broken
    - PCI: Add device even if driver attach failed
    - [arm64] PCI: qcom: Define some PARF params needed for ipq8064 SoC
    - [arm64] PCI: qcom: Add support for tx term offset for rev 2.1.0
    - PCI: Probe bridge window attributes once at enumeration-time
    - btrfs: free anon block device right after subvolume deletion
    - btrfs: don't allocate anonymous block device for user invisible roots
    - btrfs: ref-verify: fix memory leak in add_block_entry
    - btrfs: don't traverse into the seed devices in show_devname
    - btrfs: open device without device_list_mutex
    - btrfs: fix messages after changing compression level by remount
    - btrfs: only search for left_info if there is no right_info in
      try_merge_free_space (CVE-2019-19448)
    - btrfs: fix memory leaks after failure to lookup checksums during inode
      logging
    - btrfs: fix return value mixup in btrfs_get_extent
    - cifs: Fix leak when handling lease break for cached root fid
    - [powerpc*] Allow 4224 bytes of stack expansion for the signal frame
    - [powerpc*] Fix circular dependency between percpu.h and mmu.h
    - [arm64] net: ethernet: stmmac: Disable hardware multicast filter
    - [arm64,armhf] net: stmmac: dwmac1000: provide multicast filter fallback
    - net/compat: Add missing sock updates for SCM_RIGHTS
    - md/raid5: Fix Force reconstruct-write io stuck in degraded raid5
    - bcache: allocate meta data pages as compound pages
    - bcache: fix overflow in offset_to_stripe()
    - mac80211: fix misplaced while instead of if
    - driver core: Avoid binding drivers to dead devices
    - [mips*] CPU#0 is not hotpluggable
    - ocfs2: change slot number type s16 to u16
    - mm/page_counter.c: fix protection usage propagation
    - ftrace: Setup correct FTRACE_FL_REGS flags for module
    - kprobes: Fix NULL pointer dereference at kprobe_ftrace_handler
    - tracing/hwlat: Honor the tracing_cpumask
    - tracing: Use trace_sched_process_free() instead of exit() for pid
      tracing
    - [x86] watchdog: f71808e_wdt: indicate WDIOF_CARDRESET support in
      watchdog_info.options
    - [x86] watchdog: f71808e_wdt: remove use of wrong watchdog_info option
    - [x86] watchdog: f71808e_wdt: clear watchdog timeout occurred flag
    - [powerpc*] pseries: Fix 64 bit logical memory block panic
    - module: Correctly truncate sysfs sections output
    - [armhf] drm/imx: imx-ldb: Disable both channels for split mode in
      enc->disable()
    - RDMA/ipoib: Return void from ipoib_ib_dev_stop()
    - RDMA/ipoib: Fix ABBA deadlock with ipoib_reap_ah()
    - USB: serial: ftdi_sio: make process-packet buffer unsigned
    - USB: serial: ftdi_sio: clean up receive processing
    - [armhf] gpu: ipu-v3: image-convert: Combine rotate/no-rotate irq
      handlers
    - dm rq: don't call blk_mq_queue_stopped() in dm_stop_queue()
    - [amd64] iommu/vt-d: Enforce PASID devTLB field mask
    - scsi: lpfc: nvmet: Avoid hang / use-after-free again when destroying
      targetport
    - watchdog: initialize device before misc_register
    - Input: sentelic - fix error return when fsp_reg_write fails
    - [x86] drm/vmwgfx: Use correct vmw_legacy_display_unit pointer
    - [x86] drm/vmwgfx: Fix two list_for_each loop exit tests
    - [arm64] net: qcom/emac: add missed clk_disable_unprepare in error path
      of emac_clks_phase1_init
    - nfs: Fix getxattr kernel panic and memory overflow (CVE-2020-25212)
    - fs/minix: set s_maxbytes correctly
    - fs/minix: fix block limit check for V1 filesystems
    - fs/minix: remove expected error message in block_to_path()
    - fs/ufs: avoid potential u32 multiplication overflow
    - khugepaged: retract_page_tables() remember to test exit
    - [arm64] dts: marvell: espressobin: add ethernet alias
    - [x86] drm: Added orientation quirk for ASUS tablet model T103HAF
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.142
    - drm/vgem: Replace opencoded version of drm_gem_dumb_map_offset()
    - perf probe: Fix memory leakage when the probe point is not found
    - khugepaged: khugepaged_test_exit() check mmget_still_valid()
    - khugepaged: adjust VM_BUG_ON_MM() in __khugepaged_enter()
    - btrfs: export helpers for subvolume name/id resolution
    - btrfs: don't show full path of bind mounts in subvol=
    - btrfs: Move free_pages_out label in inline extent handling branch in
      compress_file_range
    - btrfs: inode: fix NULL pointer dereference if inode doesn't need
      compression
    - btrfs: sysfs: use NOFS for device creation
    - romfs: fix uninitialized memory leak in romfs_dev_read()
    - kernel/relay.c: fix memleak on destroy relay channel
    - mm: include CMA pages in lowmem_reserve at boot
    - mm, page_alloc: fix core hung in free_pcppages_bulk()
    - ext4: fix checking of directory entry validity for inline directories
    - jbd2: add the missing unlock_buffer() in the error path of
      jbd2_write_superblock()
    - [s390x] scsi: zfcp: Fix use-after-free in request timeout handlers
    - kthread: Do not preempt current task if it is going to call schedule()
    - spi: Prevent adding devices below an unregistering controller
    - scsi: ufs: Add DELAY_BEFORE_LPM quirk for Micron devices
    - [arm*] scsi: target: tcmu: Fix crash in tcmu_flush_dcache_range on ARM
    - media: budget-core: Improve exception handling in budget_register()
    - Input: psmouse - add a newline when printing 'proto' by sysfs
    - svcrdma: Fix another Receive buffer leak
    - xfs: fix inode quota reservation checks
    - jffs2: fix UAF problem
    - ceph: fix use-after-free for fsc->mdsc
    - [x86] cpufreq: intel_pstate: Fix cpuinfo_max_freq when
      MSR_TURBO_RATIO_LIMIT is 0
    - scsi: libfc: Free skb in fc_disc_gpn_id_resp() for valid cases
    - virtio_ring: Avoid loop when vq is broken in virtqueue_poll
    - xfs: Fix UBSAN null-ptr-deref in xfs_sysfs_init
    - fs/signalfd.c: fix inconsistent return codes for signalfd4
    - ext4: fix potential negative array index in do_split() (CVE-2020-14314)
    - ext4: don't allow overlapping system zones
    - i40e: Set RX_ONLY mode for unicast promiscuous on VLAN
    - i40e: Fix crash during removing i40e driver
    - [armhf] net: fec: correct the error path for regulator disable in probe
    - bonding: show saner speed for broadcast mode
    - bonding: fix a potential double-unregister
    - [s390x] runtime_instrumentation: fix storage key handling
    - [s390x] ptrace: fix storage key handling
    - [x86] ASoC: intel: Fix memleak in sst_media_open
    - [amd64,arm64] vfio/type1: Add proper error unwind for
      vfio_iommu_replay()
    - [x86] kvm: Toggling CR4.SMAP does not load PDPTEs in PAE mode
    - [x86] kvm: Toggling CR4.PKE does not load PDPTEs in PAE mode
    - efi: avoid error message when booting under Xen
    - afs: Fix NULL deref in afs_dynroot_depopulate()
    - bonding: fix active-backup failover for current ARP slave
    - net: ena: Prevent reset after device destruction
    - [x86] hv_netvsc: Fix the queue_mapping in netvsc_vf_xmit()
    - [armhf] net: dsa: b53: check for timeout
    - [powerpc*] pseries: Do not initiate shutdown when system is running on
      UPS
    - efi: add missed destroy_workqueue when efisubsys_init fails
    - epoll: Keep a reference on files added to the check list
    - do_epoll_ctl(): clean the failure exits up a bit
    - mm/hugetlb: fix calculation of adjust_range_if_pmd_sharing_possible
    - xen: don't reschedule in preemption off sections
    - clk: Evict unregistered clks from parent caches
    - KVM: Pass MMU notifier range flags to kvm_unmap_hva_range()
    - [arm64] KVM: Only reschedule if MMU_NOTIFIER_RANGE_BLOCKABLE is not set
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.143
    - [powerpc*] 64s: Don't init FSCR_DSCR in __init_FSCR()
    - gre6: Fix reception with IP6_TNL_F_RCV_DSCP_COPY
    - net: Fix potential wrong skb->protocol in skb_vlan_untag()
    - net/smc: Prevent kernel-infoleak in __smc_diag_dump()
    - tipc: fix uninit skb->data in tipc_nl_compat_dumpit()
    - net: ena: Make missed_tx stat incremental
    - ipvlan: fix device features
    - [x86] mfd: intel-lpss: Add Intel Emmitsburg PCH PCI IDs
    - [powerpc*] xive: Ignore kmemleak false positives
    - media: pci: ttpci: av7110: fix possible buffer overflow caused by bad
      DMA value in debiirq()
    - blktrace: ensure our debugfs dir exists
    - scsi: target: tcmu: Fix crash on ARM during cmd completion
    - [arm*] iommu/iova: Don't BUG on invalid PFNs
    - [amd64] drm/amdkfd: Fix reference count leaks.
    - drm/radeon: fix multiple reference count leak
    - drm/amdgpu: fix ref count leak in amdgpu_driver_open_kms
    - drm/amd/display: fix ref count leak in amdgpu_drm_ioctl
    - drm/amdgpu: fix ref count leak in amdgpu_display_crtc_set_config
    - drm/amdgpu/display: fix ref count leak when pm_runtime_get_sync fails
    - scsi: lpfc: Fix shost refcount mismatch when deleting vport
    - xfs: Don't allow logging of XFS_ISTALE inodes
    - f2fs: fix error path in do_recover_data()
    - PCI: Fix pci_create_slot() reference count leak
    - rtlwifi: rtl8192cu: Prevent leaking urb
    - [mips*] vdso: Fix resource leaks in genvdso.c
    - cec-api: prevent leaking memory through hole in structure
    - HID: quirks: add NOGET quirk for Logitech GROUP
    - f2fs: fix use-after-free issue
    - drm/nouveau/drm/noveau: fix reference count leak in nouveau_fbcon_open
    - drm/nouveau: fix reference count leak in nv50_disp_atomic_commit
    - drm/nouveau: Fix reference count leak in nouveau_connector_detect
    - btrfs: file: reserve qgroup space after the hole punch range is locked
    - scsi: iscsi: Do not put host in iscsi_set_flashnode_param()
    - ceph: fix potential mdsc use-after-free crash
    - scsi: fcoe: Memory leak fix in fcoe_sysfs_fcf_del()
    - [x86] EDAC/ie31200: Fallback if host bridge device is already
      initialized
    - [arm64] KVM: Fix symbol dependency in __hyp_call_panic_nvhe
    - USB: sisusbvga: Fix a potential UB casued by left shifting a negative
      value
    - [arm64] drm/msm/adreno: fix updating ring fence
    - nvme-fc: Fix wrong return value in __nvme_fc_init_request()
    - null_blk: fix passing of REQ_FUA flag in null_handle_rq
    - jbd2: make sure jh have b_transaction set in refile/unfile_buffer
    - ext4: don't BUG on inconsistent journal feature
    - ext4: handle read only external journal device
    - jbd2: abort journal if free a async write error metadata buffer
    - ext4: handle option set by mount flags correctly
    - ext4: handle error of ext4_setup_system_zone() on remount
    - ext4: correctly restore system zone info when remount fails
    - fs: prevent BUG_ON in submit_bh_wbc()
    - [s390x] cio: add cond_resched() in the slow_eval_known_fn() loop
    - scsi: fcoe: Fix I/O path allocation
    - scsi: ufs: Fix possible infinite loop in ufshcd_hold
    - scsi: ufs: Improve interrupt handling for shared interrupts
    - scsi: ufs: Clean up completed request without interrupt notification
    - scsi: qla2xxx: Check if FW supports MQ before enabling
    - scsi: qla2xxx: Fix null pointer access during disconnect from subsystem
    - Revert "scsi: qla2xxx: Fix crash on qla2x00_mailbox_command"
    - macvlan: validate setting of multiple remote source MAC addresses
    - [powerpc*] perf: Fix soft lockups due to missed interrupt accounting
    - block: loop: set discard granularity and alignment for block device
      backed loop
    - [arm64,x86] HID: i2c-hid: Always sleep 60ms after I2C_HID_PWR_ON
      commands
    - blk-mq: order adding requests to hctx->dispatch and checking
      SCHED_RESTART
    - btrfs: reset compression level for lzo on remount
    - btrfs: fix space cache memory leak after transaction abort
    - fbcon: prevent user font height or width change from causing potential
      out-of-bounds access
    - vt: defer kfree() of vc_screenbuf in vc_do_resize()
    - vt_ioctl: change VT_RESIZEX ioctl to check for error return from
      vc_resize()
    - [armhf] serial: samsung: Removes the IRQ not found warning
    - [arm*] serial: pl011: Fix oops on -EPROBE_DEFER
    - [arm*] serial: pl011: Don't leak amba_ports entry on driver register
      error
    - serial: 8250_exar: Fix number of ports for Commtech PCIe cards
    - serial: 8250: change lock order in serial8250_do_startup()
    - writeback: Protect inode->i_io_list with inode->i_lock
    - writeback: Avoid skipping inode writeback
    - writeback: Fix sync livelock due to b_dirty_time processing
    - XEN uses irqdesc::irq_data_common::handler_data to store a per interrupt
      XEN data pointer which contains XEN specific information.
    - usb: host: xhci: fix ep context print mismatch in debugfs
    - xhci: Do warm-reset when both CAS and XDEV_RESUME are set
    - xhci: Always restore EP_SOFT_CLEAR_TOGGLE even if ep reset failed
    - PM: sleep: core: Fix the handling of pending runtime resume requests
    - device property: Fix the secondary firmware node handling in
      set_primary_fwnode()
    - [x86] genirq/matrix: Deal with the sillyness of for_each_cpu() on UP
    - drm/amdgpu: Fix buffer overflow in INFO ioctl
    - USB: yurex: Fix bad gfp argument
    - USB: quirks: Add no-lpm quirk for another Raydium touchscreen
    - USB: quirks: Ignore duplicate endpoint on Sound Devices MixPre-D
    - [armhf] usb: host: ohci-exynos: Fix error handling in
      exynos_ohci_probe()
    - USB: gadget: f_ncm: add bounds checks to ncm_unwrap_ntb()
    - USB: cdc-acm: rework notification_buffer resizing
    - btrfs: check the right error variable in btrfs_del_dir_entries_in_log
    - [arm64,armhf] usb: dwc3: gadget: Don't setup more than requested
    - [arm64,armhf] usb: dwc3: gadget: Fix handling ZLP
    - [arm64,armhf] usb: dwc3: gadget: Handle ZLP for sg requests
    - [arm64,x86] tpm: Unify the mismatching TPM space buffer sizes
    - HID: hiddev: Fix slab-out-of-bounds write in hiddev_ioctl_usage()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.144
    - HID: core: Correctly handle ReportSize being zero
    - HID: core: Sanitize event code and type when mapping input
    - scsi: target: tcmu: Fix size in calls to tcmu_flush_dcache_range
    - scsi: target: tcmu: Optimize use of flush_dcache_page
    - [arm64] drm/msm: add shutdown support for display platform_driver
    - [x86] hwmon: (applesmc) check status earlier.
    - nvmet: Disable keep-alive timer when kato is cleared to 0h
    - [arm64] drm/msm/a6xx: fix gmu start on newer firmware
    - ceph: don't allow setlease on cephfs
    - cpuidle: Fixup IRQ state
    - [s390x] don't trace preemption in percpu macros
    - xen/xenbus: Fix granting of vmalloc'd memory
    - dmaengine: of-dma: Fix of_dma_router_xlate's of_dma_xlate handling
    - batman-adv: Avoid uninitialized chaddr when handling DHCP
    - batman-adv: bla: use netif_rx_ni when not in interrupt context
    - [mips*] mm: BMIPS5000 has inclusive physical caches
    - netfilter: nf_tables: add NFTA_SET_USERDATA if not null
    - netfilter: nf_tables: incorrect enum nft_list_attributes definition
    - netfilter: nf_tables: fix destination register zeroing
    - [arm64] net: hns: Fix memleak in hns_nic_dev_probe
    - [arm64,armhf] dmaengine: pl330: Fix burst length if burst size is
      smaller than bus width
    - gtp: add GTPA_LINK info to msg sent to userspace
    - bnxt_en: Don't query FW when netif_running() is false.
    - bnxt_en: Check for zero dir entries in NVRAM.
    - bnxt_en: Fix PCI AER error recovery flow
    - bnxt_en: fix HWRM error when querying VF temperature
    - xfs: fix boundary test in xfs_attr_shortform_verify (CVE-2020-14385)
    - bnxt: don't enable NAPI until rings are ready
    - netfilter: nfnetlink: nfnetlink_unicast() reports EAGAIN instead of
      ENOBUFS
    - nvmet-fc: Fix a missed _irqsave version of spin_lock in
      'nvmet_fc_fod_op_done()'
    - net: ethernet: mlx4: Fix memory allocation in mlx4_buddy_init()
    - fix regression in "epoll: Keep a reference on files added to the check
      list"
    - xfs: fix xfs_bmap_validate_extent_raw when checking attr fork of rt
      files
    - tg3: Fix soft lockup when tg3_reset_task() fails.
    - [amd64] x86, fakenuma: Fix invalid starting node ID
    - [amd64] iommu/vt-d: Serialize IOMMU GCMD register modifications
    - [armhf] thermal: ti-soc-thermal: Fix bogus thermal shutdowns for
      omap4430
    - xfs: don't update mtime on COW faults
    - btrfs: drop path before adding new uuid tree entry
    - vfio/type1: Support faulting PFNMAP vmas
    - vfio-pci: Fault mmaps to enable vma tracking
    - vfio-pci: Invalidate mmaps and block MMIO access on disabled memory
      (CVE-2020-12888)
    - btrfs: Remove redundant extent_buffer_get in get_old_root
    - btrfs: Remove extraneous extent_buffer_get from tree_mod_log_rewind
    - btrfs: set the lockdep class for log tree extent buffers
    - uaccess: Add non-pagefault user-space read functions
    - uaccess: Add non-pagefault user-space write function
    - btrfs: fix potential deadlock in the search ioctl
    - net: usb: qmi_wwan: add Telit 0x1050 composition
    - usb: qmi_wwan: add D-Link DWM-222 A2 device ID
    - ALSA: ca0106: fix error code handling
    - ALSA: pcm: oss: Remove superfluous WARN_ON() for mulaw sanity check
    - [x86] ALSA: hda/hdmi: always check pin power status in i915 pin fixup
    - ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
    - [x86] ALSA: hda - Fix silent audio output and corrupted input on MSI
      X570-A PRO
    - media: rc: do not access device via sysfs after rc_unregister_device()
    - media: rc: uevent sysfs file races with rc_unregister_device()
    - affs: fix basic permission bits to actually work
    - block: allow for_each_bvec to support zero len bvec
    - libata: implement ATA_HORKAGE_MAX_TRIM_128M and apply to Sandisks
    - dm writecache: handle DAX to partitions on persistent memory correctly
    - dm cache metadata: Avoid returning cmd->bm wild pointer on error
    - dm thin metadata: Avoid returning cmd->bm wild pointer on error
    - mm: slub: fix conversion of freelist_corrupted()
    - [arm64] KVM: Add kvm_extable for vaxorcism code
    - [arm64] KVM: Defer guest entry when an asynchronous exception is pending
    - [arm64] KVM: Survive synchronous exceptions caused by AT instructions
    - [arm64] KVM: Set HCR_EL2.PTW to prevent AT taking synchronous exception
    - vfio/pci: Fix SR-IOV VF handling with MMIO blocking
    - checkpatch: fix the usage of capture group ( ... )
    - mm/hugetlb: fix a race between hugetlb sysctl handlers (CVE-2020-25285)
    - cfg80211: regulatory: reject invalid hints
    - net: usb: Fix uninit-was-stored issue in asix_read_phy_addr()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.145
    - ALSA; firewire-tascam: exclude Tascam FE-8 from detection
    - block: ensure bdi->io_pages is always initialized
    - net: usb: dm9601: Add USB ID of Keenetic Plus DSL
    - sctp: not disable bh in the whole sctp_get_port_local()
    - tipc: fix shutdown() of connectionless socket
    - net: disable netpoll on fresh napis
    - [arm64,armhf] net/mlx5e: Don't support phys switch id if not in
      switchdev mode
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.146
    - RDMA/rxe: Fix memleak in rxe_mem_init_user
    - RDMA/rxe: Drop pointless checks in rxe_init_ports
    - [armhf] drm/sun4i: Fix dsi dcs long write function
    - scsi: libsas: Set data_dir as DMA_NONE if libata marks qc as NODATA
    - RDMA/core: Fix reported speed and width
    - [arm64] mmc: sdhci-msm: Add retries when all tuning phases are found
      valid
    - [arm64,x86] dmaengine: acpi: Put the CSRT table after using it
    - netfilter: conntrack: allow sctp hearbeat after connection re-use
    - [x86] firestream: Fix memleak in fs_open
    - [arm64,armhf] ALSA: hda: Fix 2 channel swapping for Tegra
    - xfs: initialize the shortform attr header padding entry
    - nvme-fabrics: don't check state NVME_CTRL_NEW for request acceptance
    - nvme-rdma: serialize controller teardown sequences
    - HID: quirks: Set INCREMENT_USAGE_ON_DUPLICATE for all Saitek X52 devices
    - [ppc64el,x86] drivers/net/wan/hdlc_cisco: Add hard_header_len
    - HID: elan: Fix memleak in elan_input_configured
    - [x86] cpufreq: intel_pstate: Refuse to turn off with HWP enabled
    - [x86] cpufreq: intel_pstate: Fix intel_pstate_get_hwp_max() for turbo
      disabled
    - ALSA: hda: fix a runtime pm issue in SOF when integrated GPU is disabled
    - [amd64] iommu/amd: Do not use IOMMUv2 functionality when SME is active
    - [x86] iio:accel:bmc150-accel: Fix timestamp alignment and prevent data
      leak.
    - [x86] iio:magnetometer:ak8975 Fix alignment and data leak issues.
    - [armhf] iio:accel:mma8452: Fix timestamp alignment and prevent data
      leak.
    - [x86] staging: wlan-ng: fix out of bounds read in prism2sta_probe_usb()
    - btrfs: require only sector size alignment for parent eb bytenr
    - btrfs: fix lockdep splat in add_missing_dev
    - btrfs: fix wrong address when faulting in pages in the search ioctl
    - regulator: push allocation in set_consumer_device_supply() out of lock
    - scsi: target: iscsi: Fix data digest calculation
    - scsi: target: iscsi: Fix hang in iscsit_access_np() when getting
      tpg->np_login_sem
    - [arm64] drm/msm: Disable preemption on all 5xx targets
    - rbd: require global CAP_SYS_ADMIN for mapping and unmapping
      (CVE-2020-25284)
    - RDMA/rxe: Fix the parent sysfs read when the interface has 15 chars
    - vgacon: remove software scrollback support
    - fbcon: remove soft scrollback code (CVE-2020-14390)
    - fbcon: remove now unusued 'softback_lines' cursor() argument
    - [x86] KVM: VMX: Don't freeze guest when event delivery causes an
      APIC-access exit
    - [x86] video: fbdev: fix OOB read in vga_8planes_imageblit()
    - [arm64] phy: qcom-qmp: Use correct values for ipq8074 PCIe Gen2 PHY init
    - usb: core: fix slab-out-of-bounds Read in read_descriptors
    - USB: serial: ftdi_sio: add IDs for Xsens Mti USB converter
    - USB: serial: option: support dynamic Quectel USB compositions
    - USB: serial: option: add support for SIM7070/SIM7080/SIM7090 modules
    - usb: Fix out of sync data toggle if a configured device is reconfigured
    - [x86] usb: typec: ucsi: acpi: Check the _DEP dependencies

  [ Salvatore Bonaccorso ]
  * Bump ABI to 11
  * Drop 'Revert "mips: Add udelay lpj numbers adjustment"'
  * [rt] Update to 4.19.135-rt60
  * [rt] Refresh "net: Use skbufhead with raw lock" for context changes in
    4.19.136
  * [rt] Refresh "timers: Prepare for full preemption" for context changes in
    4.19.138
  * [rt] Refresh "timers: Redo the notification of canceling timers on -RT"
    for context changes in 4.19.138
  * [rt] Refresh "watchdog: prevent deferral of watchdogd wakeup on RT" for
    context changes in 4.19.141
  * Refresh "net: ena: fix crash during ena_remove()" for context changes in
    4.19.142
  * [rt] Refresh "Split IRQ-off and zone->lock while freeing pages from PCP
    list #1" for context changes in 4.19.142
  * ACPI: configfs: Disallow loading ACPI tables when locked down
    (CVE-2020-15780)
  * [rt] Update to 4.19.142-rt63
  * net/packet: fix overflow in tpacket_rcv (CVE-2020-14386)
  * debian/tests/python: pycodestyle: Increase max-line-length to 100.
  * gfs2: initialize transaction tr_ailX_lists earlier (Closes: #968567)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Sep 2020 23:42:03 +0200

linux (4.19.132-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.132
    - btrfs: fix a block group ref counter leak after failure to remove block
      group
    - mm: fix swap cache node allocation mask
    - [x86] EDAC/amd64: Read back the scrub rate PCI register on F15h
    - usbnet: smsc95xx: Fix use-after-free after removal
    - mm/slub.c: fix corrupted freechain in deactivate_slab()
    - mm/slub: fix stack overruns with SLUB_STATS
    - [s390x] debug: avoid kernel warning on too large number of pages
    - nvme-multipath: set bdi capabilities once
    - nvme-multipath: fix deadlock between ana_work and scan_work
    - crypto: af_alg - fix use-after-free in af_alg_accept() due to
      bh_lock_sock()
    - [arm64] drm/msm/dpu: fix error return code in dpu_encoder_init
    - cxgb4: use unaligned conversion for fetching timestamp
    - cxgb4: parse TC-U32 key values and masks natively
    - cxgb4: use correct type for all-mask IP address comparison
    - cxgb4: fix SGE queue dump destination buffer context
    - [x86] hwmon: (acpi_power_meter) Fix potential memory leak in
      acpi_power_meter_add()
    - [arm64,armhf] drm: sun4i: hdmi: Remove extra HPD polling
    - virtio-blk: free vblk-vqs in error path of virtblk_probe()
    - SMB3: Honor 'posix' flag for multiuser mounts
    - nvme: fix a crash in nvme_mpath_add_disk
    - i2c: algo-pca: Add 0x78 as SCL stuck low status for PCA9665
    - Revert "ALSA: usb-audio: Improve frames size computation"
    - SMB3: Honor 'seal' flag for multiuser mounts
    - SMB3: Honor persistent/resilient handle flags for multiuser mounts
    - SMB3: Honor lease disabling for multiuser mounts
    - cifs: Fix the target file was deleted when rename failed.
    - [mips*] Add missing EHB in mtc0 -> mfc0 sequence for DSPen
    - [arm64,armhf] irqchip/gic: Atomically update affinity
    - dm zoned: assign max_io_len correctly
    - efi: Make it possible to disable efivar_ssdt entirely

  [ Salvatore Bonaccorso ]
  * [rt] Update to 4.19.132-rt59
  * Revert "ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb"
    (Closes: #964153, #964480)
  * efi: Restrict efivar_ssdt_load when the kernel is locked down
    (CVE-2019-20908)
  * certs: Rotate to use the Debian Secure Boot Signer 2020 certificate
  * e1000e: Add support for Comet Lake (Closes: #965365)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 Jul 2020 20:46:18 +0200

linux (4.19.131-2) buster; urgency=medium

  [ Aurelien Jarno ]
  * Revert "mips: Add udelay lpj numbers adjustment", since it causes the
    build to fail with CONFIG_CPU_FREQ=y.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Jul 2020 15:44:13 +0200

linux (4.19.131-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.119
    - ext4: fix extent_status fragmentation for plain files
    - [arm64] drm/msm: Use the correct dma_sync calls harder
    - vti4: removed duplicate log message.
    - [arm64] Add part number for Neoverse N1
    - [arm64] errata: Hide CTR_EL0.DIC on systems affected by Neoverse-N1
      #1542419
    - [arm64] Fake the IminLine size on systems affected by Neoverse-N1
      #1542419
    - [arm64] compat: Workaround Neoverse-N1 #1542419 for compat user-space
    - watchdog: reset last_hw_keepalive time at start
    - scsi: lpfc: Fix kasan slab-out-of-bounds error in lpfc_unreg_login
    - scsi: lpfc: Fix crash in target side cable pulls hitting WAIT_FOR_UNREG
    - ceph: return ceph_mdsc_do_request() errors from __get_parent()
    - ceph: don't skip updating wanted caps when cap is stale
    - scsi: iscsi: Report unbind session event when the target has been
      removed
    - [x86] ASoC: Intel: atom: Take the drv->lock mutex before calling
      sst_send_slot_map()
    - nvme: fix deadlock caused by ANA update wrong locking
    - ipc/util.c: sysvipc_find_ipc() should increase position index
    - [s390x] cio: avoid duplicated 'ADD' uevents
    - loop: Better discard support for block devices
    - [powerpc*] Revert "powerpc/64: irq_work avoid interrupt when called with
      hardware irqs enabled"
    - [arm*] pwm: bcm2835: Dynamically allocate base
    - perf/core: Disable page faults when getting phys address
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
    - xhci: Ensure link state is U3 after setting USB_SS_PORT_LS_U3
    - virtio-blk: improve virtqueue error to BLK_STS
    - scsi: smartpqi: fix call trace in device discovery
    - PCI/ASPM: Allow re-enabling Clock PM
    - [x86] KVM: VMX: Zero out *all* general purpose registers after VM-Exit
    - cxgb4: fix adapter crash due to wrong MC size
    - cxgb4: fix large delays in PTP synchronization
    - ipv6: fix restrict IPV6_ADDRFORM operation
    - macsec: avoid to set wrong mtu
    - macvlan: fix null dereference in macvlan_device_event()
    - net: netrom: Fix potential nr_neigh refcnt leak in nr_add_node
    - [arm64,armhf] net: stmmac: dwmac-meson8b: Add missing boundary to RGMII
      TX clock array
    - sched: etf: do not assume all sockets are full blown
    - tcp: cache line align MAX_TCP_HEADER
    - team: fix hang in team_mode_get()
    - vrf: Fix IPv6 with qdisc and xfrm
    - [armhf] net: dsa: b53: Lookup VID in ARL searches when VLAN is enabled
    - [armhf] net: dsa: b53: Fix ARL register definitions
    - [armhf] net: dsa: b53: Rework ARL bin logic
    - [armhf] net: dsa: b53: b53_arl_rw_op() needs to select IVL or SVL
    - xfrm: Always set XFRM_TRANSFORMED in xfrm{4,6}_output_finish
    - vrf: Check skb for XFRM_TRANSFORMED flag
    - KEYS: Avoid false positive ENOMEM error on key read
    - ALSA: hda: Remove ASUS ROG Zenith from the blacklist
    - ALSA: usb-audio: Add static mapping table for ALC1220-VB-based mobos
    - ALSA: usb-audio: Add connector notifier delegation
    - [armhf] iio: st_sensors: rely on odr mask to know if odr can be set
    - USB: sisusbvga: Change port variable from signed to unsigned
    - USB: Add USB_QUIRK_DELAY_CTRL_MSG and USB_QUIRK_DELAY_INIT for Corsair
      K70 RGB RAPIDFIRE
    - USB: early: Handle AMD's spec-compliant identifiers, too
    - USB: hub: Fix handling of connect changes during sleep
    - vmalloc: fix remap_vmalloc_range() bounds checks
    - mm/hugetlb: fix a addressing exception caused by huge_pte_offset
    - mm/ksm: fix NULL pointer dereference when KSM zero page is enabled
    - ALSA: hda/realtek - Fix unexpected init_amp override
    - ALSA: hda/realtek - Add new codec supported for ALC245
    - ALSA: usb-audio: Fix usb audio refcnt leak when getting spdif
    - ALSA: usb-audio: Filter out unsupported sample rates on Focusrite
      devices
    - tpm/tpm_tis: Free IRQ if probing fails
    - [s390x] KVM: Return last valid slot if approx index is out-of-bounds
    - KVM: Check validity of resolved slot when searching memslots
    - [x86] KVM: VMX: Enable machine check support for 32bit targets
    - tty: hvc: fix buffer overflow during hvc_alloc().
    - [x86] tty: rocket, avoid OOB access
    - usb-storage: Add unusual_devs entry for JMicron JMS566
    - audit: check the length of userspace generated audit records
    - ASoC: dapm: fixup dapm kcontrol widget
    - iwlwifi: pcie: actually release queue memory in TVQM
    - iwlwifi: mvm: beacon statistics shouldn't go backwards
    - [armel,armhf] ARM: imx: provide v7_cpu_resume() only on
      ARM_CPU_SUSPEND=y
    - [powerpc*] setup_64: Set cache-line-size based on cache-block-size
    - [i386] staging: comedi: dt2815: fix writing hi byte of analog output
    - [x86] staging: comedi: Fix comedi_device refcnt leak in comedi_open
    - vt: don't hardcode the mem allocation upper bound
    - vt: don't use kmalloc() for the unicode screen buffer
    - [x86] staging: vt6656: Don't set RCR_MULTICAST or RCR_BROADCAST by
      default.
    - [x86] staging: vt6656: Fix calling conditions of vnt_set_bss_mode
    - [x86] staging: vt6656: Fix drivers TBTT timing counter.
    - [x86] staging: vt6656: Fix pairwise key entry save.
    - [x86] staging: vt6656: Power save stop wake_up_count wrap around.
    - cdc-acm: close race betrween suspend() and acm_softint
    - cdc-acm: introduce a cool down
    - UAS: no use logging any details in case of ENODEV
    - UAS: fix deadlock in error handling and PM flushing work
    - [arm64,armhf] usb: dwc3: gadget: Fix request completion check
    - usb: f_fs: Clear OS Extended descriptor counts to zero in
      ffs_data_reset()
    - xhci: prevent bus suspend if a roothub port detected a over-current
      condition
    - xfs: Fix deadlock between AGI and AGF with RENAME_WHITEOUT
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.120
    - mtd: cfi: fix deadloop in cfi_cmdset_0002.c do_write_buffer
    - [arm*] binder: take read mode of mmap_sem in binder_alloc_free_page()
    - [arm64,armhf] usb: dwc3: gadget: Do link recovery for SS and SSP
    - nfsd: memory corruption in nfsd4_lock()
    - rxrpc: Fix DATA Tx to disable nofrag for UDP on AF_INET6 socket
    - net/cxgb4: Check the return from t4_query_params properly
    - xfs: acquire superblock freeze protection on eofblocks scans
    - svcrdma: Fix trace point use-after-free race
    - svcrdma: Fix leak of svc_rdma_recv_ctxt objects
    - PCI: Avoid ASMedia XHCI USB PME# from D0 defect
    - [s390x] net/mlx5: Fix failing fw tracer allocation on s390
    - perf/core: fix parent pid/tid in task exit events
    - [i386] bpf, x86_32: Fix incorrect encoding in BPF_LDX zero-extension
    - mm: shmem: disable interrupt when acquiring info->lock in
      userfaultfd_copy path
    - xfs: clear PF_MEMALLOC before exiting xfsaild thread
    - [x86] bpf, x86: Fix encoding for lower 8-bit registers in BPF_STX BPF_B
    - [armhf] net: fec: set GPR bit on suspend by DT configuration.
    - [x86] hyperv: report value of misc_features
    - xfs: fix partially uninitialized structure in xfs_reflink_remap_extent
    - ALSA: hda: Keep the controller initialization even if no codecs found
    - ALSA: hda: Explicitly permit using autosuspend if runtime PM is
      supported
    - scsi: target: fix PR IN / READ FULL STATUS for FC
    - scsi: target: tcmu: reset_ring should reset TCMU_DEV_BIT_BROKEN
    - xen/xenbus: ensure xenbus_map_ring_valloc() returns proper grant status
    - ALSA: hda: call runtime_allow() for all hda controllers
    - [arm64] Delete the space separator in __emit_inst
    - ext4: use matching invalidatepage in ext4_writepage
    - ext4: increase wait time needed before reuse of deleted inode numbers
    - ext4: convert BUG_ON's to WARN_ON's in mballoc.c
    - hwmon: (jc42) Fix name to have no illegal characters
    - [i386] bpf, x86_32: Fix clobbering of dst for BPF_JSET
    - qed: Fix use after free in qed_chain_free
    - ext4: check for non-zero journal inum in ext4_calculate_overhead
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.121
    - drm/edid: Fix off-by-one in DispID DTD pixel clock
    - drm/qxl: qxl_release leak in qxl_draw_dirty_fb()
    - drm/qxl: qxl_release leak in qxl_hw_surface_alloc()
    - drm/qxl: qxl_release use after free
    - btrfs: fix block group leak when removing fails
    - ALSA: hda/realtek - Two front mics on a Lenovo ThinkCenter
    - ALSA: usb-audio: Correct a typo of NuPrime DAC-10 USB ID
    - ALSA: hda/hdmi: fix without unlocked before return
    - ALSA: pcm: oss: Place the plugin buffer overflow checks correctly
      (Closes: #960493)
    - PM: ACPI: Output correct message on target power state
    - PM: hibernate: Freeze kernel threads in software_resume()
    - dm writecache: fix data corruption when reloading the target
    - dm multipath: use updated MPATHF_QUEUE_IO on mapping for bio-based mpath
    - scsi: qla2xxx: set UNLOADING before waiting for session deletion
    - scsi: qla2xxx: check UNLOADING before posting async work
    - RDMA/mlx5: Set GRH fields in query QP on RoCE
    - RDMA/mlx4: Initialize ib_spec on the stack
    - RDMA/core: Prevent mixed use of FDs between shared ufiles
    - RDMA/core: Fix race between destroy and release FD object
    - [amd64,arm64] vfio: avoid possible overflow in
      vfio_iommu_type1_pin_pages
    - [amd64,arm64] vfio/type1: Fix VA->PA translation for PFNMAP VMAs in
      vaddr_get_pfn()
    - [arm64] iommu/qcom: Fix local_base status check
    - scsi: target/iblock: fix WRITE SAME zeroing
    - [amd64] iommu/amd: Fix legacy interrupt remapping for x2APIC-enabled
      system
    - nfs: Fix potential posix_acl refcnt leak in nfs3_set_acl
    - btrfs: fix partial loss of prealloc extent past i_size after fsync
    - btrfs: transaction: Avoid deadlock due to bad initialization timing of
      fs_info::journal_info
    - mmc: cqhci: Avoid false "cqhci: CQE stuck on" by not open-coding timeout
      loop
    - [arm64] mmc: sdhci-xenon: fix annoying 1.8V regulator warning
    - mmc: sdhci-pci: Fix eMMC driver strength for BYT-based controllers
    - [arm64] mmc: sdhci-msm: Enable host capabilities pertains to R1b
      response
    - [armhf] mmc: meson-mx-sdio: Set MMC_CAP_WAIT_WHILE_BUSY
    - [armhf] mmc: meson-mx-sdio: remove the broken ->card_busy() op
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.122
    - vhost: vsock: kick send_pkt worker once device is started
    - [powerpc*] pci/of: Parse unassigned resources
    - [x86] ASoC: topology: Check return value of pcm_new_ver
    - [armhf] ASoC: sgtl5000: Fix VAG power-on handling
    - [arm64,armhf] usb: dwc3: gadget: Properly set maxpacket limit
    - [x86] ASoC: codecs: hdac_hdmi: Fix incorrect use of list_for_each_entry
    - wimax/i2400m: Fix potential urb refcnt leak
    - [armhf] net: stmmac: fix enabling socfpga's ptp_ref_clock
    - [armhf] net: stmmac: Fix sub-second increment
    - cifs: protect updating server->dstaddr with a spinlock
    - [s390x] ftrace: fix potential crashes when switching tracers
    - sctp: Fix SHUTDOWN CTSN Ack in the peer restart case
    - drm/amdgpu: Fix oops when pp_funcs is unset in ACPI event
    - lib: devres: add a helper function for ioremap_uc
    - [x86] mfd: intel-lpss: Use devm_ioremap_uc for MMIO
    - ALSA: hda: Match both PCI ID and SSID for driver blacklist
    - [x86] platform: GPD pocket fan: Fix error message when temp-limits are
      out of range
    - mac80211: add ieee80211_is_any_nullfunc()
    - cgroup, netclassid: remove double cond_resched
    - drm/atomic: Take the atomic toys away from X
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.123
    - USB: serial: qcserial: Add DW5816e support
    - tracing/kprobes: Fix a double initialization typo
    - vt: fix unicode console freeing with a common interface
    - fq_codel: fix TCA_FQ_CODEL_DROP_BATCH_SIZE sanity checks
    - net: macsec: preserve ingress frame ordering
    - net/mlx4_core: Fix use of ENOSPC around mlx4_counter_alloc()
    - net_sched: sch_skbprio: add message validation to skbprio_change()
    - net: usb: qmi_wwan: add support for DW5816e
    - sch_choke: avoid potential panic in choke_reset()
    - sch_sfq: validate silly quantum values
    - tipc: fix partial topology connection closure
    - bnxt_en: Fix VLAN acceleration handling in bnxt_fix_features().
    - net/mlx5: Fix forced completion access non initialized command entry
    - net/mlx5: Fix command entry leak in Internal Error State
    - bnxt_en: Improve AER slot reset.
    - bnxt_en: Fix VF anti-spoof filter setup.
    - net: stricter validation of untrusted gso packets
    - HID: wacom: Read HID_DG_CONTACTMAX directly for non-generic devices
    - sctp: Fix bundling of SHUTDOWN with COOKIE-ACK
    - HID: usbhid: Fix race between usbhid_close() and usbhid_stop()
    - USB: uas: add quirk for LaCie 2Big Quadra
    - USB: serial: garmin_gps: add sanity checking for data length
    - tracing: Add a vmalloc_sync_mappings() for safe measure
    - [arm64,armhf] KVM: vgic: Fix limit condition when writing to
      GICD_I[CS]ACTIVER
    - [arm64] KVM: Fix 32bit PC wrap-around
    - [arm64] hugetlb: avoid potential NULL dereference
    - mm/page_alloc: fix watchdog soft lockups during set_zone_contiguous()
    - [x86] KVM: VMX: Explicitly reference RCX as the vmx_vcpu pointer in asm
      blobs
    - [x86] KVM: VMX: Mark RCX, RDX and RSI as clobbered in vmx_vcpu_run()'s
      asm blob
    - batman-adv: fix batadv_nc_random_weight_tq
    - batman-adv: Fix refcnt leak in batadv_show_throughput_override
    - batman-adv: Fix refcnt leak in batadv_store_throughput_override
    - batman-adv: Fix refcnt leak in batadv_v_ogm_process
    - [amd64] x86/entry/64: Fix unwind hints in register clearing code
    - [amd64] x86/entry/64: Fix unwind hints in kernel exit path
    - [amd64] x86/entry/64: Fix unwind hints in rewind_stack_do_exit()
    - [amd64] x86/unwind/orc: Don't skip the first frame for inactive tasks
    - [amd64] x86/unwind/orc: Prevent unwinding before ORC initialization
    - [amd64] x86/unwind/orc: Fix error path for bad ORC entry type
    - [amd64] x86/unwind/orc: Fix premature unwind stoppage due to IRET frames
    - netfilter: nat: never update the UDP checksum when it's 0
    - netfilter: nf_osf: avoid passing pointer to local var
    - scripts/decodecode: fix trapping instruction formatting
    - ipc/mqueue.c: change __do_notify() to bypass check_kill_permission()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.124
    - [arm64,armhf] net: dsa: Do not make user port errors fatal
    - shmem: fix possible deadlocks on shmlock_user_lock
    - virtio-blk: handle block_device_operations callbacks after hot unplug
    - mmc: sdhci-acpi: Add SDHCI_QUIRK2_BROKEN_64_BIT_DMA for AMDI0040
    - net: fix a potential recursive NETDEV_FEAT_CHANGE
    - net: phy: fix aneg restart in phy_ethtool_set_eee
    - pppoe: only process PADT targeted at local interfaces
    - Revert "ipv6: add mtu lock check in __ip6_rt_update_pmtu"
    - tcp: fix error recovery in tcp_zerocopy_receive()
    - virtio_net: fix lockdep warning on 32 bit
    - [x86,arm64] hinic: fix a bug of ndo_stop
    - net: ipv4: really enforce backoff for redirects
    - netprio_cgroup: Fix unlimited memory leak of v2 cgroups
    - net: tcp: fix rx timestamp behavior for tcp_recvmsg
    - tcp: fix SO_RCVLOWAT hangs with fat skbs
    - [i386] dmaengine: pch_dma.c: Avoid data race between probe and irq
      handler
    - [x86] cpufreq: intel_pstate: Only mention the BIOS disabling turbo mode
      once
    - ALSA: hda/hdmi: fix race in monitor detection during probe
    - drm/qxl: lost qxl_bo_kunmap_atomic_page in qxl_image_init_helper()
    - ipc/util.c: sysvipc_find_ipc() incorrectly updates position index
    - ALSA: hda/realtek - Fix S3 pop noise on Dell Wyse
    - gfs2: Another gfs2_walk_metadata fix
    - [x86] pinctrl: baytrail: Enable pin configuration setting for GPIO chip
    - [x86] pinctrl: cherryview: Add missing spinlock usage in
      chv_gpio_irq_handler
    - i40iw: Fix error handling in i40iw_manage_arp_cache()
    - mmc: core: Check request type before completing the request
    - mmc: block: Fix request completion in the CQE timeout path
    - NFS: Fix fscache super_cookie index_key from changing after umount
    - nfs: fscache: use timespec64 in inode auxdata
    - NFSv4: Fix fscache cookie aux_data to ensure change_attr is included
    - [arm64] fix the flush_icache_range arguments in machine_kexec
    - netfilter: nft_set_rbtree: Introduce and use nft_rbtree_interval_start()
    - IB/mlx4: Test return value of calls to ib_get_cached_pkey
    - ALSA: hda/realtek - Limit int mic boost for Thinkpad T530
    - ALSA: rawmidi: Fix racy buffer resize under concurrent accesses
    - ALSA: usb-audio: Add control message quirk delay for Kingston HyperX
      headset
    - usb: core: hub: limit HUB_QUIRK_DISABLE_AUTOSUSPEND to USB5534B
    - [arm64,armhf] usb: host: xhci-plat: keep runtime active when removing
      host
    - usb: xhci: Fix NULL pointer dereference when enqueuing trbs from urb sg
      list
    - cifs: fix leaked reference on requeued write
    - exec: Move would_dump into flush_old_exec
    - [arm64,armhf] clk: rockchip: fix incorrect configuration of rk3228
      aclk_gpu* clocks
    - [arm64,armhf] dwc3: Remove check for HWO flag in
      dwc3_gadget_ep_reclaim_trb_sg()
    - Revert "ALSA: hda/realtek: Fix pop noise on ALC225"
    - clk: Unlink clock if failed to prepare or enable
    - [arm64] dts: rockchip: Replace RK805 PMIC node name with "pmic" on
      rk3328 boards
    - [x86] KVM: Fix off-by-one error in kvm_vcpu_ioctl_x86_setup_mce
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.125
    - i2c: dev: Fix the race between the release of i2c_dev and cdev
    - fix multiplication overflow in copy_fdtable()
    - ubifs: remove broken lazytime support
    - [amd64] iommu/amd: Fix over-read of ACPI UID from IVRS table
    - ubi: Fix seq_file usage in detailed_erase_block_info debugfs file
    - HID: multitouch: add eGalaxTouch P80H84 support
    - HID: alps: Add AUI1657 device ID
    - HID: alps: ALPS_1657 is too specific; use U1_UNICORN_LEGACY instead
    - scsi: qla2xxx: Fix hang when issuing nvme disconnect-all in NPIV
    - scsi: qla2xxx: Delete all sessions before unregister local nvme port
    - configfs: fix config_item refcnt leak in configfs_rmdir()
    - vhost/vsock: fix packet delivery order to monitoring devices
    - [amd64] aquantia: Fix the media type of AQC100 ethernet controller in
      the driver
    - component: Silence bind error on -EPROBE_DEFER
    - [ppc64el] scsi: ibmvscsi: Fix WARN_ON during event pool release
    - HID: i2c-hid: reset Synaptics SYNA2393 on resume
    - [x86] apic: Move TSC deadline timer debug printk
    - gtp: set NLM_F_MULTI flag in gtp_genl_dump_pdp()
    - HID: quirks: Add HID_QUIRK_NO_INIT_REPORTS quirk for Dell K12A
      keyboard-dock
    - ceph: fix double unlock in handle_cap_export()
    - [arm64,armhf] stmmac: fix pointer check after utilization in
      stmmac_interrupt
    - USB: core: Fix misleading driver bug report
    - [x86] platform/x86: asus-nb-wmi: Do not load on Asus T100TA and T200TA
    - padata: Replace delayed timer with immediate workqueue in padata_reorder
    - padata: initialize pd->cpu with effective cpumask
    - padata: purge get_cpu and reorder_via_wq from padata_do_serial
    - ALSA: iec1712: Initialize STDSP24 properly when using the model=staudio
      option
    - ALSA: pcm: fix incorrect hw_base increase
    - ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus Xtreme
    - ALSA: hda/realtek - Add more fixup entries for Clevo machines
    - [armhf] drm/etnaviv: fix perfmon domain interation
    - apparmor: Fix use-after-free in aa_audit_rule_init
    - apparmor: fix potential label refcnt leak in aa_change_profile
    - apparmor: Fix aa_label refcnt leak in policy_update
    - [arm64] dmaengine: tegra210-adma: Fix an error handling path in
      'tegra_adma_probe()'
    - [powerpc*] Remove STRICT_KERNEL_RWX incompatibility with RELOCATABLE
    - [powerpc*] 64s: Disable STRICT_KERNEL_RWX
    - [amd64,arm64] nfit: Add Hyper-V NVDIMM DSM command set to white list
    - [x86,arm64] libnvdimm/btt: Remove unnecessary code in btt_freelist_init
    - [x86,arm64] libnvdimm/btt: Fix LBA masking during 'free list' population
    - [x86] thunderbolt: Drop duplicated get_switch_at_route()
    - cxgb4: free mac_hlist properly
    - cxgb4/cxgb4vf: Fix mac_hlist initialization and free
    - brcmfmac: abort and release host after error
    - Revert "gfs2: Don't demote a glock until its revokes are written"
    - misc: rtsx: Add short delay after exit from ASPM
    - [x86] mei: release me_cl object reference
    - rxrpc: Fix a memory leak in rxkad_verify_response()
    - rxrpc: Trace discarded ACKs
    - rxrpc: Fix ack discard
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.126
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state
      and socket is closed
    - net/mlx5e: Update netdev txq on completions during closure
    - net/mlx5: Annotate mutex destroy for root ns
    - net: sun: fix missing release regions in cas_init_one().
    - net/mlx4_core: fix a memory leak bug.
    - [armhf] dts: rockchip: fix phy nodename for rk3228-evb
    - [arm64] dts: rockchip: fix status for &gmac2phy in rk3328-evb.dts
    - [arm64,armhf] gpio: tegra: mask GPIO IRQs during IRQ shutdown
    - ALSA: usb-audio: add mapping for ASRock TRX40 Creator
    - gfs2: move privileged user check to gfs2_quota_lock_check
    - cachefiles: Fix race between read_waiter and read_copier involving
      op->to_do
    - [arm64] usb: dwc3: pci: Enable extcon driver for Intel Merrifield
    - usb: gadget: legacy: fix redundant initialization warnings
    - IB/i40iw: Remove bogus call to netdev_master_upper_dev_get()
    - cifs: Fix null pointer check in cifs_read
    - Input: usbtouchscreen - add support for BonXeon TP
    - Input: evdev - call input_flush_device() on release(), not flush()
    - Input: xpad - add custom init packet for Xbox One S controllers
    - Input: i8042 - add ThinkPad S230u to i8042 reset list
    - Input: synaptics-rmi4 - really fix attn_data use-after-free
    - Input: synaptics-rmi4 - fix error return code in rmi_driver_probe()
    - [armel,armhf] 8970/1: decompressor: increase tag size
    - [arm*] 8843/1: use unified assembler in headers
    - gpio: exar: Fix bad handling for ida_simple_get error path
    - IB/qib: Call kobject_put() when kobject_init_and_add() fails
    - [armhf] dts/imx6q-bx50v3: Set display interface clock parents
    - [armel,armhf] dts: bcm2835-rpi-zero-w: Fix led polarity
    - mmc: block: Fix use-after-free issue for rpmb
    - ALSA: hwdep: fix a left shifting 1 by 31 UB bug
    - ALSA: hda/realtek - Add a model for Thinkpad T570 without DAC workaround
    - ALSA: usb-audio: mixer: volume quirk for ESS Technology Asus USB DAC
    - exec: Always set cap_ambient in cap_bprm_set_creds
    - ALSA: usb-audio: Quirks for Gigabyte TRX40 Aorus Master onboard audio
    - ALSA: hda/realtek - Add new codec supported for ALC287
    - libceph: ignore pool overlay and cache logic on redirects
    - IB/ipoib: Fix double free of skb in case of multicast traffic in CM mode
    - mm: remove VM_BUG_ON(PageSlab()) from page_mapcount()
    - include/asm-generic/topology.h: guard cpumask_of_node() macro argument
    - iommu: Fix reference count leak in iommu_group_alloc.
    - mmc: core: Fix recursive locking issue in CQE recovery path
    - RDMA/core: Fix double destruction of uobject
    - mac80211: mesh: fix discovery timer re-arming issue / crash
    - [x86] dma: Fix max PFN arithmetic overflow on 32 bit systems
    - [x86] copy_xstate_to_kernel(): don't leave parts of destination
      uninitialized
    - xfrm: allow to accept packets with ipv6 NEXTHDR_HOP in xfrm_input
    - xfrm: call xfrm_output_gso when inner_protocol is set in xfrm_output
    - xfrm interface: fix oops when deleting a x-netns interface
    - xfrm: fix a warning in xfrm_policy_insert_list
    - xfrm: fix a NULL-ptr deref in xfrm_local_error
    - xfrm: fix error in comment
    - vti4: eliminated some duplicate code.
    - ip_vti: receive ipip packet by calling ip_tunnel_rcv
    - netfilter: nft_reject_bridge: enable reject with bridge vlan
    - netfilter: ipset: Fix subcounter update skip
    - netfilter: nfnetlink_cthelper: unbreak userspace helper support
    - netfilter: nf_conntrack_pptp: prevent buffer overflows in debug code
    - esp6: get the right proto for transport mode in esp6_gso_encap
    - bnxt_en: Fix accumulation of bp->net_stats_prev.
    - xsk: Add overflow check for u64 division, stored into u32
    - qlcnic: fix missing release in qlcnic_83xx_interrupt_test.
    - bonding: Fix reference count leak in bond_sysfs_slave_add.
    - netfilter: nf_conntrack_pptp: fix compilation warning with W=1 build
    - mm/vmalloc.c: don't dereference possible NULL pointer in __vunmap()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.127
    - Revert "cgroup: Add memory barriers to plug cgroup_rstat_updated() race
      window"
    - libnvdimm: Fix endian conversion issues 
    - HID: sony: Fix for broken buttons on DS3 USB dongles
    - HID: i2c-hid: add Schneider SCL142ALM to descriptor override
    - p54usb: add AirVasT USB stick device-id
    - mmc: fix compilation of user API
    - scsi: ufs: Release clock if DMA map fails
    - airo: Fix read overflows sending packets
    - [x86] drm/i915: fix port checks for MST support on gen >= 11
    - [arm64] scsi: hisi_sas: Check sas_port before using it
    - [powerpc*] powernv: Avoid re-registration of imc debugfs directory
    - [s390x] ftrace: save traced function caller
    - drm/edid: Add Oculus Rift S to non-desktop list
    - [s390x] mm: fix set_huge_pte_at() for empty ptes
    - null_blk: return error for invalid zone size
    - [arm64] net: ethernet: stmmac: Enable interface clocks on probe for
      IPQ806x
    - [arm64,armhf] net: smsc911x: Fix runtime PM imbalance on error
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.128
    - devinet: fix memleak in inetdev_init()
    - l2tp: add sk_family checks to l2tp_validate_socket
    - l2tp: do not use inet_hash()/inet_unhash()
    - net: usb: qmi_wwan: add Telit LE910C1-EUX composition
    - vsock: fix timeout in vsock_accept()
    - net: check untrusted gso_size at kernel entry
    - USB: serial: qcserial: add DW5816e QDL support
    - USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
    - USB: serial: option: add Telit LE910C1-EUX compositions
    - [arm64,armhf] usb: musb: start session in resume for host port
    - [arm64,armhf] usb: musb: Fix runtime PM imbalance on error
    - vt: keyboard: avoid signed integer overflow in k_ascii (CVE-2020-13974)
    - tty: hvc_console, fix crashes on parallel open/close
    - staging: rtl8712: Fix IEEE80211_ADDBA_PARAM_BUF_SIZE_MASK
    - CDC-ACM: heed quirk also in error handling
    - [arm64] nvmem: qfprom: remove incorrect write support
    - uprobes: ensure that uprobe->offset and ->ref_ctr_offset are properly
      aligned
    - Revert "net/mlx5: Annotate mutex destroy for root ns"
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.129
    - ipv6: fix IPV6_ADDRFORM operation logic
    - net_failover: fixed rollback in net_failover_open()
    - bridge: Avoid infinite loop when suppressing NS messages with invalid
      options
    - vxlan: Avoid infinite loop when suppressing NS messages with invalid
      options
    - tun: correct header offsets in napi frags mode
    - make 'user_access_begin()' do 'access_ok()' (CVE-2018-20669)
    - [x86] uaccess: Inhibit speculation past access_ok() in
      user_access_begin()
    - lib: Reduce user_access_begin() boundaries in strncpy_from_user() and
      strnlen_user()
    - btrfs: merge btrfs_find_device and find_device (CVE-2019-18885)
    - btrfs: Detect unbalanced tree with empty leaf before crashing btree
      operations
    - [armel,armhf] 8977/1: ptrace: Fix mask for thumb breakpoint hook
    - sched/fair: Don't NUMA balance for kthreads
    - Input: synaptics - add a second working PNP_ID for Lenovo T470s
    - [powerpc*] xive: Clear the page tables for the ESB IO mapping
    - ath9k_htc: Silence undersized packet warnings
    - RDMA/uverbs: Make the event_queue fds return POLLERR when disassociated
    - [x86] cpu/amd: Make erratum #1054 a legacy erratum
    - perf probe: Accept the instance number of kretprobe event
    - mm: add kvfree_sensitive() for freeing sensitive data objects
    - aio: fix async fsync creds
    - btrfs: tree-checker: Check level for leaves and nodes
    - [x86] Fix jiffies ODR violation
    - [x86] PCI: Mark Intel C620 MROMs as having non-compliant BARs
    - [x86] speculation: Prevent rogue cross-process SSBD shutdown
      (CVE-2020-10766)
    - [x86] reboot/quirks: Add MacBook6,1 reboot quirk
    - efi/efivars: Add missing kobject_put() in sysfs entry creation error
      path
    - [i386] ALSA: es1688: Add the missed snd_card_free()
    - ALSA: hda/realtek - add a pintbl quirk for several Lenovo machines
    - ALSA: usb-audio: Fix inconsistent card PM state after resume
    - ALSA: usb-audio: Add vendor, product and profile name for HP Thunderbolt
      Dock
    - [arm64,x86] ACPI: sysfs: Fix reference count leak in
      acpi_sysfs_add_hotplug_profile()
    - [amd64,arm64] ACPI: CPPC: Fix reference count leak in
      acpi_cppc_processor_probe()
    - [arm64] ACPI: GED: add support for _Exx / _Lxx handler methods
    - [arm64,x86] ACPI: PM: Avoid using power resources if there are none for
      D0
    - cgroup, blkcg: Prepare some symbols for module and !CONFIG_CGROUP usages
    - nilfs2: fix null pointer dereference at nilfs_segctor_do_construct()
    - [arm*] spi: bcm2835aux: Fix controller unregister order
    - PM: runtime: clk: Fix clk_pm_runtime_get() error path
    - [arm64] crypto: cavium/nitrox - Fix 'nitrox_get_first_device()' when
      ndevlist is fully iterated
    - ALSA: pcm: disallow linking stream to itself
    - [x86] {mce,mm}: Unmap the entire page if the whole page is affected and
      poisoned
    - [x86] KVM: Fix APIC page invalidation race
    - [x86] kvm: Fix L1TF mitigation for shadow MMU
    - [x86] KVM: x86/mmu: Consolidate "is MMIO SPTE" code
    - [x86] KVM: only do L1TF workaround on affected processors
    - [x86] speculation: Change misspelled STIPB to STIBP
    - [x86] speculation: Add support for STIBP always-on preferred mode
    - [x86] speculation: Avoid force-disabling IBPB based on STIBP and
      enhanced IBRS. (CVE-2020-10767)
    - [x86] speculation: PR_SPEC_FORCE_DISABLE enforcement for indirect
      branches. (CVE-2020-10768)
    - spi: No need to assign dummy value in spi_unregister_controller()
    - spi: Fix controller unregister order
    - [amd64] spi: pxa2xx: Fix controller unregister order
    - [arm*] spi: bcm2835: Fix controller unregister order
    - [amd64] spi: pxa2xx: Balance runtime PM enable/disable on error
    - [amd64] spi: pxa2xx: Fix runtime PM ref imbalance on probe error
    - crypto: virtio: Fix use-after-free in
      virtio_crypto_skcipher_finalize_req()
    - crypto: virtio: Fix src/dst scatterlist calculation in
      __virtio_crypto_skcipher_do_req()
    - crypto: virtio: Fix dest length calculation in
      __virtio_crypto_skcipher_do_req()
    - ovl: initialize error in ovl_copy_xattr
    - proc: Use new_inode not new_inode_pseudo
    - [x86] KVM: nSVM: fix condition for filtering async PF
    - [x86] KVM: nSVM: leave ASID aside in copy_vmcb_control_area
    - [x86] KVM: nVMX: Consult only the "basic" exit reason when routing
      nested exit
    - [arm64] KVM: Make vcpu_cp1x() work on Big Endian hosts
    - scsi: megaraid_sas: TM command refire leads to controller firmware crash
    - ath9k: Fix use-after-free Read in ath9k_wmi_ctrl_rx
    - ath9k: Fix use-after-free Write in ath9k_htc_rx_msg
    - ath9x: Fix stack-out-of-bounds Write in ath9k_hif_usb_rx_cb
    - ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
    - mm/slub: fix a memory leak in sysfs_slab_add()
    - fat: don't allow to mount if the FAT length == 0
    - perf: Add cond_resched() to task_function_call()
    - [x86] agp/intel: Reinforce the barrier after GTT updates
    - [arm64] mmc: sdhci-msm: Clear tuning done flag while hs400 tuning
    - mmc: sdio: Fix potential NULL pointer error in mmc_sdio_init_card()
    - xen/pvcalls-back: test for errors when calling backend_connect()
    - [arm64] KVM: Synchronize sysreg state on injecting an AArch32 exception
    - [arm64] ACPI: GED: use correct trigger type field in _Exx / _Lxx
      handling
    - [arm64] drm: bridge: adv7511: Extend list of audio sample rates
    - [x86] crypto: ccp -- don't "select" CONFIG_DMADEVICES
    - media: si2157: Better check for running tuner in init
    - [amd64] spi: pxa2xx: Apply CS clk quirk to BXT
    - [amd64] net: atlantic: make hw_get_regs optional
    - net: ena: fix error returning in ena_com_get_hash_function()
    - [arm64] insn: Fix two bugs in encoding 32-bit logical immediates
    - ixgbe: Fix XDP redirect on archs with PAGE_SIZE above 4K
    - Bluetooth: Add SCO fallback for invalid LMP parameters error
    - [armhf] clocksource: dw_apb_timer: Make CPU-affiliation being optional
    - [armhf] clocksource: dw_apb_timer_of: Fix missing clockevent timers
    - btrfs: do not ignore error from btrfs_next_leaf() when inserting
      checksums
    - batman-adv: Revert "disable ethtool link speed detection when auto
      negotiation off"
    - [armhf] mmc: meson-mx-sdio: trigger a soft reset after a timeout or CRC
      error
    - [x86] kvm/hyper-v: Explicitly align hcall param for kvm_hyperv_exit
    - [x86] net: vmxnet3: fix possible buffer overflow caused by bad DMA value
      in vmxnet3_get_rss()
    - brcmfmac: fix wrong location to get firmware feature
    - e1000: Distribute switch variables for initialization
    - dt-bindings: display: mediatek: control dpi pins mode to avoid leakage
    - audit: fix a net reference leak in audit_send_reply()
    - media: dvb: return -EREMOTEIO on i2c transfer failure.
    - [mips*] Make sparse_init() using top-down allocation
    - Bluetooth: btbcm: Add 2 missing models to subver tables
    - audit: fix a net reference leak in audit_list_rules_send()
    - netfilter: nft_nat: return EOPNOTSUPP if type or flags are not supported
    - exit: Move preemption fixup up, move blocking operations down
    - sched/core: Fix illegal RCU from offline CPUs
    - drivers/perf: hisi: Fix typo in events attribute array
    - [armhf] net: allwinner: Fix use correct return type for ndo_start_xmit()
    - xfs: clean up the error handling in xfs_swap_extents
    - Crypto/chcr: fix for ccm(aes) failed test
    - [mips*] cm: Fix an invalid error code of INTVN_*_ERR
    - xfs: reset buffer write failure state on successful completion
    - xfs: fix duplicate verification from xfs_qm_dqflush()
    - [x86] platform/x86: intel-vbtn: Use acpi_evaluate_integer()
    - [x86] platform/x86: intel-vbtn: Split keymap into buttons and switches
      parts
    - [x86] platform/x86: intel-vbtn: Do not advertise switches to userspace
      if they are not there
    - [x86] platform/x86: intel-vbtn: Also handle tablet-mode switch on
      "Detachable" and "Portable" chassis-types
    - nvme: refine the Qemu Identify CNS quirk
    - ath10k: Remove msdu from idr when management pkt send fails
    - [arm64] wcn36xx: Fix error handling path in 'wcn36xx_probe()'
    - net: qed*: Reduce RX and TX default ring count when running inside kdump
      kernel
    - mt76: avoid rx reorder buffer overflow
    - md: don't flush workqueue unconditionally in md_open
    - veth: Adjust hard_start offset on redirect XDP frames
    - net/mlx5e: IPoIB, Drop multicast packets that this interface sent
    - rtlwifi: Fix a double free in _rtl_usb_tx_urb_setup()
    - mwifiex: Fix memory corruption in dump_station
    - [x86] boot: Correct relocation destination on old linkers
    - [x86] mm: Stop printing BRK addresses
    - btrfs: qgroup: mark qgroup inconsistent if we're inherting snapshot to a
      new qgroup
    - macvlan: Skip loopback packets in RX handler
    - PCI: Don't disable decoding when mmio_always_on is set
    - [mips*] Fix IRQ tracing when call handle_fpe() and handle_msa_fpe()
    - bcache: fix refcount underflow in bcache_device_free()
    - [arm64] mmc: sdhci-msm: Set SDHCI_QUIRK_MULTIBLOCK_READ_ACMD12 quirk
    - mmc: via-sdmmc: Respect the cmd->busy_timeout from the mmc core
    - ixgbe: fix signed-integer-overflow warning
    - [armhf] mmc: sdhci-esdhc-imx: fix the mask for tuning start point
    - cpuidle: Fix three reference count leaks
    - [x86] platform/x86: hp-wmi: Convert simple_strtoul() to kstrtou32()
    - [x86] platform/x86: intel-hid: Add a quirk to support HP Spectre X2
      (2015)
    - [x86] platform/x86: intel-vbtn: Only blacklist SW_TABLET_MODE on the 9 /
      "Laptop" chasis-type
    - btrfs: include non-missing as a qualifier for the latest_bdev
    - btrfs: send: emit file capabilities after chown
    - mm: thp: make the THP mapcount atomic against __split_huge_pmd_locked()
    - mm: initialize deferred pages with interrupts enabled
    - ext4: fix EXT_MAX_EXTENT/INDEX to check for zeroed eh_max
    - ext4: fix error pointer dereference
    - ext4: fix race between ext4_sync_parent() and rename()
    - PCI: Avoid Pericom USB controller OHCI/EHCI PME# defect
    - PCI: Avoid FLR for AMD Matisse HD Audio & USB 3.0
    - PCI: Avoid FLR for AMD Starship USB 3.0
    - PCI: Add ACS quirk for iProc PAXB
    - PCI: Add ACS quirk for Intel Root Complex Integrated Endpoints
    - PCI: Remove unused NFP32xx IDs
    - [x86] hwmon/k10temp, x86/amd_nb: Consolidate shared device IDs
    - [x86] amd_nb: Add PCI device IDs for family 17h, model 30h
    - PCI: add USR vendor id and use it in r8169 and w6692 driver
    - PCI: Move Synopsys HAPS platform device IDs
    - PCI: Move Rohm Vendor ID to generic list
    - misc: pci_endpoint_test: Add the layerscape EP device support
    - misc: pci_endpoint_test: Add support to test PCI EP in AM654x
    - PCI: Add Synopsys endpoint EDDA Device ID
    - PCI: Add NVIDIA GPU multi-function power dependencies
    - PCI: Enable NVIDIA HDA controllers
    - [x86] amd_nb: Add PCI device IDs for family 17h, model 70h
    - ALSA: lx6464es - add support for LX6464ESe pci express variant
    - PCI: Add Genesys Logic, Inc. Vendor ID
    - PCI: Add Amazon's Annapurna Labs vendor ID
    - PCI: vmd: Add device id for VMD device 8086:9A0B
    - [x86] amd_nb: Add Family 19h PCI IDs
    - PCI: Add Loongson vendor ID
    - serial: 8250_pci: Move Pericom IDs to pci_ids.h
    - PCI: Make ACS quirk implementations more uniform
    - PCI: Unify ACS quirk desired vs provided checking
    - PCI: Generalize multi-function power dependency device links
    - btrfs: fix error handling when submitting direct I/O bio
    - btrfs: fix wrong file range cleanup after an error filling dealloc range
    - PCI: Program MPS for RCiEP devices
    - e1000e: Disable TSO for buffer overrun workaround
    - e1000e: Relax condition to trigger reset for ME workaround
    - carl9170: remove P2P_GO support
    - media: go7007: fix a miss of snd_card_free (CVE-2019-20810)
    - Bluetooth: hci_bcm: fix freeing not-requested IRQ
    - b43legacy: Fix case where channel status is corrupted
    - b43: Fix connection problem with WPA3
    - b43_legacy: Fix connection problem with WPA3
    - igb: Report speed and duplex as unknown when device is runtime suspended
    - [arm64,armhf] power: vexpress: add suppress_bind_attrs to true
    - [armhf] pinctrl: samsung: Correct setting of eint wakeup mask on s5pv210
    - [armhf] pinctrl: samsung: Save/restore eint_mask over suspend for
      EINT_TYPE GPIOs
    - gnss: sirf: fix error return code in sirf_probe()
    - dm crypt: avoid truncating the logical block size
    - kernel/cpu_pm: Fix uninitted local in cpu_pm
    - [armhf] tegra: Correct PL310 Auxiliary Control Register initialization
    - [powerpc*] 64s: Don't let DT CPU features set FSCR_DSCR
    - [powerpc*] 64s: Save FSCR to init_task.thread.fscr after feature init
    - sunrpc: svcauth_gss_register_pseudoflavor must reject duplicate
      registrations.
    - sunrpc: clean up properly in gss_mech_unregister()
    - [armhf] w1: omap-hdq: cleanup to add missing newline for some dev_dbg
    - perf probe: Do not show the skipped events
    - perf probe: Fix to check blacklist address correctly
    - perf probe: Check address correctness by map instead of _etext
    - perf symbols: Fix debuginfo search for Ubuntu
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.130
    - [arm64,armhf] clk: sunxi: Fix incorrect usage of round_down()
    - [arm64,armhf] ASoC: tegra: tegra_wm8903: Support nvidia, headset
      property
    - i2c: piix4: Detect secondary SMBus controller on AMD AM4 chipsets
    - [x86] iio: pressure: bmp280: Tolerate IRQ before registering
    - [arm64] clk: qcom: msm8916: Fix the address location of pll->config_reg
    - [arm64] backlight: lp855x: Ensure regulators are disabled on probe
      failure
    - [armhf] ASoC: davinci-mcasp: Fix dma_chan refcnt leak when getting dma
      type
    - [armel] integrator: Add some Kconfig selections
    - scsi: qedi: Check for buffer overflow in qedi_set_path()
    - ALSA: hda/realtek - Introduce polarity for micmute LED GPIO
    - [i386] ALSA: isa/wavefront: prevent out of bounds write in ioctl
    - PCI: Allow pci_resize_resource() for devices on root bus
    - scsi: qla2xxx: Fix issue with adapter's stopping state
    - [x86] iio: bmp280: fix compensation of humidity
    - f2fs: report delalloc reserve as non-free in statfs for project quota
    - [x86] i2c: pxa: clear all master action bits in i2c_pxa_stop_message()
    - [armhf] clk: samsung: Mark top ISP and CAM clocks on Exynos542x as
      critical
    - usblp: poison URBs upon disconnect
    - serial: 8250: Fix max baud limit in generic 8250 port
    - dm mpath: switch paths in dm_blk_ioctl() code path
    - [arm64] PCI: aardvark: Don't blindly enable ASPM L0s and don't write to
      read-only register
    - vfio/pci: fix memory leaks in alloc_perm_bits()
    - RDMA/mlx5: Add init2init as a modify command
    - scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited event
    - [powerpc*] perf/hv-24x7: Fix inconsistent output values incase multiple
      hv-24x7 events run
    - nfsd: Fix svc_xprt refcnt leak when setup callback client failed
    - [amd64] PCI: vmd: Filter resource type bits from shadow register
    - [powerpc*] crashkernel: Take "mem=" option into account
    - yam: fix possible memory leak in yam_init_driver
    - apparmor: fix introspection of of task mode for unconfined tasks
    - apparmor: check/put label on apparmor_sk_clone_security()
    - scsi: sr: Fix sr_probe() missing deallocate of device minor
    - [powerpc*] scsi: ibmvscsi: Don't send host info in adapter info MAD
      after LPM
    - apparmor: fix nnp subset test for unconfined
    - [x86] purgatory: Disable various profiling and sanitizing options
    - scsi: qedi: Do not flush offload work if ARP not resolved
    - [armhf] dts: sun8i-h2-plus-bananapi-m2-zero: Fix led polarity
    - scsi: qedf: Fix crash when MFW calls for protocol stats while function
      is still probing
    - [arm64] firmware: qcom_scm: fix bogous abuse of dma-direct internals
    - ALSA: usb-audio: Improve frames size computation
    - ALSA: usb-audio: Fix racy list management in output queue
    - [s390x] qdio: put thinint indicator after early error
    - tty: hvc: Fix data abort due to race in hvc_open
    - [armhf] thermal/drivers/ti-soc-thermal: Avoid dereferencing ERR_PTR
    - [arm64,armhf] usb: dwc3: gadget: Properly handle failed kick_transfer
    - [mips64el,mipsel] staging: sm750fb: add missing case while setting
      FB_VISUAL
    - [arm64,i386] i2c: pxa: fix i2c_pxa_scream_blue_murder() debug output
    - [arm*] serial: amba-pl011: Make sure we initialize the port.lock
      spinlock
    - drivers: base: Fix NULL pointer exception in __platform_driver_probe()
      if a driver developer is foolish
    - PCI/ASPM: Allow ASPM on links to PCIe-to-PCI/PCI-X Bridges
    - scsi: qla2xxx: Fix warning after FC target reset
    - scsi: mpt3sas: Fix double free warnings
    - [arm64,armhf] pinctrl: rockchip: fix memleak in rockchip_dt_node_to_map
    - [armhf] clk: ti: composite: fix memory leak
    - PCI: Fix pci_register_host_bridge() device_register() error handling
    - [powerpc*] Don't initialise init_task->thread.regs
    - tty: n_gsm: Fix SOF skipping
    - tty: n_gsm: Fix waking up upper tty layer when room available
    - HID: Add quirks for Trust Panora Graphic Tablet
    - ipmi: use vzalloc instead of kmalloc for user creation
    - [powerpc*] pseries/ras: Fix FWNMI_VALID off by one
    - vfio-pci: Mask cap zero
    - usb/ohci-platform: Fix a warning when hibernating
    - [arm64] drm/msm/mdp5: Fix mdp5_init error path for failed mdp5_kms
      allocation
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT8-A
      tablet
    - [armhf] USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
    - tty: n_gsm: Fix bogus i++ in gsm_data_kick
    - scsi: target: tcmu: Userspace must not complete queued commands
    - [powerpc*] 64s/pgtable: fix an undefined behaviour
    - dm zoned: return NULL if dmz_get_zone_for_reclaim() fails to find a zone
    - PCI/PTM: Inherit Switch Downstream Port PTM settings from Upstream Port
    - [arm64,armhf] PCI: dwc: Fix inner MSI IRQ domain registration
    - IB/cma: Fix ports memory leak in cma_configfs
    - [arm*] usb: dwc2: gadget: move gadget resume after the core is in L0
      state
    - usb: gadget: Fix issue with config_ep_by_speed function
    - RDMA/iw_cxgb4: cleanup device debugfs entries on ULD remove
    - [x86] apic: Make TSC deadline timer detection message visible
    - scsi: target: tcmu: Fix a use after free in
      tcmu_check_expired_queue_cmd()
    - [arm*] clk: bcm2835: Fix return type of bcm2835_register_gate
    - [ppc64el] KVM: Book3S HV: Ignore kmemleak false positives
    - net: sunrpc: Fix off-by-one issues in 'rpc_ntop6'
    - NFSv4.1 fix rpc_call_done assignment for BIND_CONN_TO_SESSION
    - of: Fix a refcounting bug in __of_attach_node_sysfs()
    - rxrpc: Adjust /proc/net/rxrpc/calls to display call->debug_id not
      user_ID
    - gfs2: Allow lock_nolock mount to specify jid=X
    - scsi: iscsi: Fix reference count leak in iscsi_boot_create_kobj
    - scsi: ufs: Don't update urgent bkops level when toggling auto bkops
    - [armhf] pinctrl: freescale: imx: Fix an error handling path in
      'imx_pinctrl_probe()'
    - geneve: change from tx_error to tx_dropped on missing metadata
    - lib/zlib: remove outdated and incorrect pre-increment optimization
    - blktrace: use errno instead of bi_status
    - blktrace: fix endianness in get_pdu_int()
    - blktrace: fix endianness for blk_log_remap()
    - gfs2: fix use-after-free on transaction ail lists
    - drivers/perf: hisi: Fix wrong value for all counters enable
    - afs: Fix memory leak in afs_put_sysnames()
    - ASoC: core: only convert non DPCM link to DPCM link
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT10-A
      tablet
    - ASoC: rt5645: Add platform-data for Asus T101HA
    - [arm64,armhf] drm/sun4i: hdmi ddc clk: Fix size of m divider
    - [x86] idt: Keep spurious entries unset in system_vectors
    - net/filter: Permit reading NET in load_bytes_relative when MAC not set
    - xdp: Fix xsk_generic_xmit errno
    - [arm64,armhf] usb/xhci-plat: Set PM runtime as active on resume
    - usb: host: ehci-platform: add a quirk to avoid stuck
    - usb/ehci-platform: Set PM runtime as active on resume
    - perf report: Fix NULL pointer dereference in
      hists__fprintf_nr_sample_events()
    - ext4: stop overwrite the errcode in ext4_setup_super
    - bcache: fix potential deadlock problem in btree_gc_coalesce
      (CVE-2020-12771)
    - afs: Fix non-setting of mtime when writing into mmap
    - afs: afs_write_end() should change i_size under the right lock
    - block: Fix use-after-free in blkdev_get()
    - [arm64] hw_breakpoint: Don't invoke overflow handler on uaccess
      watchpoints
    - libata: Use per port sync for detach
    - drm: encoder_slave: fix refcouting error for modules
    - drm/dp_mst: Reformat drm_dp_check_act_status() a bit
    - drm/qxl: Use correct notify port address when creating cursor ring
    - selinux: fix double free
    - ext4: fix partial cluster initialization when splitting extent
    - ext4: avoid race conditions when remounting with options that change dax
    - drm/dp_mst: Increase ACT retry timeout to 3s
    - block: nr_sects_write(): Disable preemption on seqcount write
    - mtd: rawnand: Pass a nand_chip object to nand_scan()
    - mtd: rawnand: Pass a nand_chip object to nand_release()
    - mtd: rawnand: diskonchip: Fix the probe error path
    - [armel,armhf] mtd: rawnand: orion: Fix the probe error path
    - [s390x] fix syscall_get_error for compat processes
    - [x86] drm/i915: Whitelist context-local timestamp in the gen9 cmdparser
    - [x86] drm/i915/icl+: Fix hotplug interrupt disabling after storm
      detection
    - crypto: algif_skcipher - Cap recv SG list at ctx->used
    - crypto: algboss - don't wait during notifier callback
    - kprobes: Fix to protect kick_kprobe_optimizer() by kprobe_mutex
    - e1000e: Do not wake up the system via WOL if device wakeup is disabled
    - [mips*] net: octeon: mgmt: Repair filling of RX ring
    - kretprobe: Prevent triggering kretprobe from within kprobe_flush_task
    - sched/rt, net: Use CONFIG_PREEMPTION.patch
    - net: core: device_rename: Use rwsem instead of a seqcount
    - md: add feature flag MD_FEATURE_RAID0_LAYOUT
    - [x86] kvm: Move kvm_set_mmio_spte_mask() from x86.c to mmu.c
    - [x86] kvm: Fix reserved bits related calculation errors caused by MKTME
    - [x86] KVM: x86/mmu: Set mmio_value to '0' if reserved #PF can't be
      generated
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.131
    - net: be more gentle about silly gso requests coming from user
    - block/bio-integrity: don't free 'buf' if bio_integrity_add_page() failed
    - fanotify: fix ignore mask logic for events on child and on dir
    - [armhf] mtd: rawnand: marvell: Fix the condition on a return code
    - net: sched: export __netdev_watchdog_up()
    - [x86] EDAC/amd64: Add Family 17h Model 30h PCI IDs
    - [arm64,armhf] i2c: tegra: Cleanup kerneldoc comments
    - [arm64,armhf] i2c: tegra: Add missing kerneldoc for some fields
    - [arm64,armhf] i2c: tegra: Fix Maximum transfer size
    - ALSA: hda/realtek - Enable the headset of ASUS B9450FA with ALC294
    - ALSA: hda/realtek: Enable mute LED on an HP system
    - ALSA: hda/realtek - Enable micmute LED on and HP system
    - apparmor: don't try to replace stale label in ptraceme check
      (Closes: #963493)
    - [ppc64el] ibmveth: Fix max MTU limit
    - mld: fix memory leak in ipv6_mc_destroy_dev()
    - net: bridge: enfore alignment for ethernet address
    - net: fix memleak in register_netdevice()
    - net: place xmit recursion in softnet data
    - net: use correct this_cpu primitive in dev_recursion_level
    - net: increment xmit_recursion level in dev_direct_xmit()
    - net: usb: ax88179_178a: fix packet alignment padding
    - rxrpc: Fix notification call on completion of discarded calls
    - sctp: Don't advertise IPv4 addresses if ipv6only is set on the socket
    - tcp: don't ignore ECN CWR on pure ACK
    - tcp: grow window for OOO packets only for SACK flows
    - tg3: driver sleeps indefinitely when EEH errors exceed eeh_max_freezes
    - ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
    - net: phy: Check harder for errors in get_phy_id()
    - ip_tunnel: fix use-after-free in ip_tunnel_lookup()
    - sch_cake: don't try to reallocate or unshare skb unconditionally
    - sch_cake: fix a few style nits
    - tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
    - sch_cake: don't call diffserv parsing code when it is not needed
    - net: Fix the arp error in some cases
    - net: Do not clear the sock TX queue in sk_set_socket()
    - net: core: reduce recursion limit value
    - [arm*] usb: dwc2: Postponed gadget registration to the udc class driver
    - usb: add USB_QUIRK_DELAY_INIT for Logitech C922
    - USB: ehci: reopen solution for Synopsys HC bug
    - xhci: Poll for U0 after disabling USB2 LPM
    - [armhf] usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
    - ALSA: usb-audio: add quirk for Denon DCD-1500RE
    - ALSA: usb-audio: add quirk for Samsung USBC Headset (AKG)
    - ALSA: usb-audio: Fix OOB access of mixer element list
    - [s390x] scsi: zfcp: Fix panic on ERP timeout for previously dismissed
      ERP action
    - xhci: Fix incorrect EP_STATE_MASK
    - xhci: Fix enumeration issue when setting max packet size for FS devices.
    - xhci: Return if xHCI doesn't support LPM
    - cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
    - loop: replace kill_bdev with invalidate_bdev
    - IB/mad: Fix use after free when destroying MAD agent
    - cifs/smb3: Fix data inconsistent when punch hole
    - cifs/smb3: Fix data inconsistent when zero file range
    - xfrm: Fix double ESP trailer insertion in IPsec crypto offload.
    - efi/esrt: Fix reference count leak in esre_create_sysfs_entry.
    - [armhf] regualtor: pfuze100: correct sw1a/sw2 on pfuze3000
    - [armhf] ASoC: fsl_ssi: Fix bclk calculation for mono channel
    - [armhf] dts: Fix duovero smsc interrupt for suspend
    - regmap: Fix memory leak from regmap_register_patch
    - rxrpc: Fix handling of rwind from an ACK packet
    - RDMA/qedr: Fix KASAN: use-after-free in ucma_event_handler+0x532
    - RDMA/cma: Protect bind_list and listen_list while finding matching cm id
    - RDMA/mad: Fix possible memory leak in ib_mad_post_receive_mads()
    - net: qed: fix left elements count calculation
    - net: qed: fix NVMe login fails over VFs
    - net: qed: fix excessive QM ILT lines consumption
    - cxgb4: move handling L2T ARP failures to caller
    - [armhf] imx5: add missing put_device() call in imx_suspend_alloc_ocram()
    - netfilter: ipset: fix unaligned atomic access
    - i2c: core: check returned size of emulated smbus block read
    - sched/deadline: Initialize ->dl_boosted
    - sched/core: Fix PI boosting between RT and DEADLINE tasks
    - ata/libata: Fix usage of page address by page_address in
      ata_scsi_mode_select_xlat function
    - net: alx: fix race condition in alx_remove
    - [s390x] ptrace: fix setting syscall number
    - [s390x] vdso: fix vDSO clock_getres()
    - kbuild: improve cc-option to clean up all temporary files
    - blktrace: break out of blktrace setup on concurrent calls
    - ALSA: hda: Add NVIDIA codec IDs 9a & 9d through a0 to patch table
    - ALSA: hda/realtek - Add quirk for MSI GE63 laptop
    - [x86,arm64] ACPI: sysfs: Fix pm_profile_attr type
    - [x86] KVM: Fix MSR range of APIC registers in X2APIC mode
    - [x86] KVM: nVMX: Plumb L2 GPA through to PML emulation
    - [amd64] x86/asm/64: Align start of __clear_user() loop to 16-bytes
    - btrfs: fix data block group relocation failure due to concurrent scrub
    - btrfs: fix failure of RWF_NOWAIT write into prealloc extent beyond eof
    - mm/slab: use memzero_explicit() in kzfree()
    - ocfs2: avoid inode removal while nfsd is accessing it
    - ocfs2: load global_inode_alloc
    - ocfs2: fix value of OCFS2_INVALID_SLOT
    - ocfs2: fix panic on nfs server over ocfs2
    - [arm64] perf: Report the PC value in REGS_ABI_32 mode
    - tracing: Fix event trigger to accept redundant spaces
    - ring-buffer: Zero out time extend if it is nested and not absolute
    - drm/radeon: fix fb_div check in ni_init_smc_spll_table()
    - [x86,arm64] Staging: rtl8723bs: prevent buffer overflow in
      update_sta_support_rate()
    - sunrpc: fixed rollback in rpc_gssd_dummy_populate()
    - SUNRPC: Properly set the @subbuf parameter of xdr_buf_subsegment()
    - pNFS/flexfiles: Fix list corruption if the mirror count changes
    - NFSv4 fix CLOSE not waiting for direct IO compeletion
    - dm writecache: correct uncommitted_block when discarding uncommitted
      entry
    - dm writecache: add cond_resched to loop in persistent_memory_claim()
    - xfs: add agf freeblocks verify in xfs_agf_verify (CVE-2020-12655)
    - Revert "tty: hvc: Fix data abort due to race in hvc_open"

  [ Salvatore Bonaccorso ]
  * [rt] Add new signing key for Tom Zanussi
  * nfsd: apply umask on fs without ACL support (Closes: #962254)
  * [rt] Update to 4.19.120-rt52:
    - tasklet: Address a race resulting in double-enqueue
    - hrtimer: fix logic for when grabbing softirq_expiry_lock can be elided
  * [rt] Update to 4.19.124-rt53
  * [rt] Update to 4.19.127-rt55:
    - fs/dcache: Include swait.h header
    - mm: slub: Always flush the delayed empty slubs in flush_all()
    - tasklet: Fix UP case for tasklet CHAINED state
  * usb: usbtest: fix missing kfree(dev->buf) in usbtest_disconnect
    (CVE-2020-15393)

  [ Ben Hutchings ]
  * [rt] Update "net: move xmit_recursion to per-task variable on -RT" to
    apply on top of "net: place xmit recursion in softnet data"
  * [rt] Drop "net: Add a mutex around devnet_rename_seq", redundant with
    "net: Introduce net_rwsem to protect net_namespace_list"
  * [rt] Drop idle task related parts of "sched: Move mmdrop to RCU on RT",
    redundant with "sched/core: Fix illegal RCU from offline CPUs"
  * Bump ABI to 10

  [ YunQiang Su ]
  * [mips*]: Do not enable MIPS_O32_FP64_SUPPORT, since golang hasn't been
    migrated to FPXX yet and this breaks the golang packages on Octeon
    hardware. In turns this disables MSA on 32-bit kernels.

  [ Luca Boccassi ]
  * [cloud] Enable INFINIBAND configs for HyperV/Azure (Closes: #958300)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 09 Jul 2020 04:45:56 +0200

linux (4.19.118-2+deb10u1) buster-security; urgency=high

  [ Salvatore Bonaccorso ]
  * selinux: properly handle multiple messages in selinux_netlink_send()
    (CVE-2020-10751)
  * fs/namespace.c: fix mountpoint reference counter race (CVE-2020-12114)
  * USB: core: Fix free-while-in-use bug in the USB S-Glibrary
    (CVE-2020-12464)
  * [x86] KVM: SVM: Fix potential memory leak in svm_cpu_init()
    (CVE-2020-12768)
  * scsi: sg: add sg_remove_request in sg_write (CVE-2020-12770)
  * USB: gadget: fix illegal array access in binding with UDC (CVE-2020-13143)
  * netlabel: cope with NULL catmap (CVE-2020-10711)
  * fs/binfmt_elf.c: allocate initialized memory in fill_thread_core_info()
    (CVE-2020-10732)
  * kernel/relay.c: handle alloc_percpu returning NULL in relay_open
    (CVE-2019-19462)
  * mm: Fix mremap not considering huge pmd devmap (CVE-2020-10757)
  * [x86] KVM: nVMX: Always sync GUEST_BNDCFGS when it comes from vmcs01
  * KVM: Introduce a new guest mapping API
  * [arm64] kvm: fix compilation on aarch64
  * [s390x] kvm: fix compilation on s390
  * [s390x] kvm: fix compile on s390 part 2
  * KVM: Properly check if "page" is valid in kvm_vcpu_unmap
  * [x86] kvm: Introduce kvm_(un)map_gfn() (CVE-2019-3016)
  * [x86] kvm: Cache gfn to pfn translation (CVE-2019-3016)
  * [x86] KVM: Make sure KVM_VCPU_FLUSH_TLB flag is not missed (CVE-2019-3016)
  * [x86] KVM: Clean up host's steal time structure (CVE-2019-3016)
  * include/uapi/linux/swab.h: fix userspace breakage, use __BITS_PER_LONG for
    swap (Closes: #960271)

  [ Ben Hutchings ]
  * propagate_one(): mnt_set_mountpoint() needs mount_lock
  * [x86] Add support for mitigation of Special Register Buffer Data Sampling
    (SRBDS) (CVE-2020-0543):
    - x86/cpu: Add 'table' argument to cpu_matches()
    - x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - x86/speculation: Add Ivy Bridge to affected list
  * [x86] speculation: Do not match steppings, to avoid an ABI change

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Jun 2020 17:42:22 +0200

linux (4.19.118-2) buster; urgency=medium

  * Merge changes from 4.19.67-2+deb10u2 to include all security fixes from
    DSA 4667-1.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 29 Apr 2020 11:38:41 +0200

linux (4.19.118-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.99
    - Revert "efi: Fix debugobjects warning on 'efi_rts_work'"
    - xfs: Sanity check flags of Q_XQUOTARM call
    - [x86] mfd: intel-lpss: Add default I2C device properties for Gemini Lake
    - SUNRPC: Fix svcauth_gss_proxy_init()
    - [powerpc*] pseries: Enable support for ibm,drc-info property
    - tipc: update mon's self addr when node addr generated
    - tipc: fix wrong timeout input for tipc_wait_for_cond()
    - mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
    - [armhf] crypto: sun4i-ss - fix big endian issues
    - perf map: No need to adjust the long name of modules
    - ipmi: Fix memory leak in __ipmi_bmc_register (CVE-2019-19046)
    - ixgbe: don't clear IPsec sa counters on HW clearing
    - drm/virtio: fix bounds check in virtio_gpu_cmd_get_capset()
    - iio: fix position relative kernel version
    - apparmor: Fix network performance issue in aa_label_sk_perm
    - ALSA: hda: fix unused variable warning
    - apparmor: don't try to replace stale label in ptrace access check
    - firmware: coreboot: Let OF core populate platform device
    - bridge: br_arp_nd_proxy: set icmp6_router if neigh has NTF_ROUTER
    - [arm64] drm/hisilicon: hibmc: Don't overwrite fb helper surface depth
    - IB/rxe: replace kvfree with vfree
    - [amd64] IB/hfi1: Add mtu check for operational data VLs
    - genirq/debugfs: Reinstate full OF path for domain name
    - [arm64] usb: dwc3: add EXTCON dependency for qcom
    - cfg80211: regulatory: make initialization more robust
    - [x86] mei: replace POLL* with EPOLL* for write queues.
    - [arm64] drm/msm: fix unsigned comparison with less than zero
    - ALSA: usb-audio: update quirk for B&W PX to remove microphone
    - iwlwifi: nvm: get num of hw addresses from firmware
    - netfilter: nft_osf: usage from output path is not valid
    - [x86] pwm: lpss: Release runtime-pm reference from the driver's remove
      callback
    - [powerpc*] pseries/memory-hotplug: Fix return value type of
      find_aa_index
    - rtlwifi: rtl8821ae: replace _rtl8821ae_mrate_idx_to_arfr_id with generic
      version
    - netfilter: nf_flow_table: do not remove offload when other netns's
      interface is down
    - tipc: eliminate message disordering during binding table update
    - [arm64] net: socionext: Add dummy PHY register read in phy_write()
    - [arm64,armhf] drm/sun4i: hdmi: Fix double flag assignation
    - [arm64] net: hns3: add error handler for hns3_nic_init_vector_data()
    - pcrypt: use format specifier in kobject_add
    - [armhf] ASoC: sun8i-codec: add missing route for ADC
    - [arm64] pinctrl: meson-gxl: remove invalid GPIOX tsin_a pins
    - [armhf] bus: ti-sysc: Add mcasp optional clocks flag
    - exportfs: fix 'passing zero to ERR_PTR()' warning
    - net: always initialize pagedlen
    - net: phy: Fix not to call phy_resume() if PHY is not attached
    - [amd64] IB/hfi1: Correctly process FECN and BECN in packets
    - IB/rxe: Fix incorrect cache cleanup in error flow
    - ipv6: add missing tx timestamping on IPPROTO_RAW
    - [arm64] net: hns3: fix error handling int the hns3_get_vector_ring_chain
    - vxlan: changelink: Fix handling of default remotes
    - fork,memcg: fix crash in free_thread_stack on memcg charge fail
    - [armhf] clk: highbank: fix refcount leak in hb_clk_init()
    - [armhf] clk: ti: fix refcount leak in ti_dt_clocks_register()
    - [armhf] clk: socfpga: fix refcount leak
    - [armhf] clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
    - [armhf] clk: imx6q: fix refcount leak in imx6q_clocks_init()
    - [armhf] clk: imx6sx: fix refcount leak in imx6sx_clocks_init()
    - [armhf] clk: armada-370: fix refcount leak in a370_clk_init()
    - [armel] clk: kirkwood: fix refcount leak in kirkwood_clk_init()
    - [armhf] clk: armada-xp: fix refcount leak in axp_clk_init()
    - [armhf] clk: mv98dx3236: fix refcount leak in mv98dx3236_clk_init()
    - [armhf] clk: dove: fix refcount leak in dove_clk_init()
    - drm: Fix error handling in drm_legacy_addctx
    - [armhf] drm/etnaviv: fix some off by one bugs
    - drm/fb-helper: generic: Fix setup error path
    - fork, memcg: fix cached_stacks case
    - [amd64] IB/usnic: Fix out of bounds index check in query pkey
    - RDMA/ocrdma: Fix out of bounds index check in query pkey
    - RDMA/qedr: Fix out of bounds index check in query pkey
    - RDMA/iw_cxgb4: Fix the unchecked ep dereference
    - net: phy: micrel: set soft_reset callback to genphy_soft_reset for
      KSZ9031
    - [armhf] memory: tegra: Don't invoke Tegra30+ specific memory timing setup
      on Tegra20
    - [armhf] drm/etnaviv: NULL vs IS_ERR() buf in etnaviv_core_dump()
    - kbuild: mark prepare0 as PHONY to fix external module build
    - crypto: tgr192 - fix unaligned memory access
    - [armhf] ASoC: imx-sgtl5000: put of nodes if finding codec fails
    - IB/iser: Pass the correct number of entries for dma mapped SGL
    - [arm64] net: hns3: fix wrong combined count returned by ethtool -l
    - IB/mlx5: Don't override existing ip_protocol
    - rtc: cmos: ignore bogus century byte
    - [i386] spi/topcliff_pch: Fix potential NULL dereference on allocation
      error
    - [arm64] net: hns3: fix bug of ethtool_ops.get_channels for VF
    - [armhf] clk: sunxi-ng: sun8i-a23: Enable PLL-MIPI LDOs when ungating it
    - iwlwifi: mvm: avoid possible access out of array.
    - net/mlx5: Take lock with IRQs disabled to avoid deadlock
    - ip_tunnel: Fix route fl4 init in ip_md_tunnel_xmit
    - iwlwifi: mvm: fix A-MPDU reference assignment
    - [armhf] bus: ti-sysc: Fix timer handling with drop pm_runtime_irq_safe()
    - [x86] tty: ipwireless: Fix potential NULL pointer dereference
    - driver: uio: fix possible memory leak in __uio_register_device
    - driver: uio: fix possible use-after-free in __uio_register_device
    - driver core: Fix DL_FLAG_AUTOREMOVE_SUPPLIER device link flag handling
    - driver core: Avoid careless re-use of existing device links
    - driver core: Do not resume suppliers under device_links_write_lock()
    - driver core: Fix handling of runtime PM flags in device_link_add()
    - driver core: Do not call rpm_put_suppliers() in pm_runtime_drop_link()
    - drm/xen-front: Fix mmap attributes for display buffers
    - iwlwifi: mvm: fix RSS config command
    - [mips*] rtc: ds1672: fix unintended sign extension
    - ath10k: fix dma unmap direction for management frames
    - net: phy: fixed_phy: Fix fixed_phy not checking GPIO
    - rtc: ds1307: rx8130: Fix alarm handling
    - net/smc: original socket family in inet_sock_diag
    - [arm64] rtc: pm8xxx: fix unintended sign extension
    - iw_cxgb4: use tos when importing the endpoint
    - iw_cxgb4: use tos when finding ipv6 routes
    - xsk: add missing smp_rmb() in xsk_mmap
    - [armhf] drm/etnaviv: potential NULL dereference
    - RDMA/mlx5: Fix memory leak in case we fail to add an IB device
    - driver core: Fix possible supplier PM-usage counter imbalance
    - [armhf] usb: phy: twl6030-usb: fix possible use-after-free on remove
    - block: don't use bio->bi_vcnt to figure out segment number
    - keys: Timestamp new keys
    - [armhf] net: dsa: b53: Fix default VLAN ID
    - [armhf] net: dsa: b53: Properly account for VLAN filtering
    - [armhf] net: dsa: b53: Do not program CPU port's PVID
    - mt76: usb: fix possible memory leak in mt76u_buf_free
    - vfio_pci: Enable memory accesses before calling pci_map_rom
    - mdio_bus: Fix PTR_ERR() usage after initialization to constant
    - [powerpc*] KVM: Release all hardware TCE tables attached to a group
    - [x86] staging: r8822be: check kzalloc return or bail
    - [arm*] dmaengine: mv_xor: Use correct device for DMA API
    - cdc-wdm: pass return value of recover_from_urb_loss
    - brcmfmac: create debugfs files for bus-specific layer
    - net/mlx5: Delete unused FPGA QPN variable
    - drm/nouveau/bios/ramcfg: fix missing parentheses when calculating RON
    - drm/nouveau/pmu: don't print reply values if exec is false
    - drm/nouveau: fix missing break in switch statement
    - driver core: Fix PM-runtime for links added during consumer probe
    - [arm64] ASoC: qcom: Fix of-node refcount unbalance in
      apq8016_sbc_parse_of()
    - [arm64,armhf] net: dsa: fix unintended change of bridge interface STP
      state
    - fs/nfs: Fix nfs_parse_devname to not modify it's argument
    - [x86] staging: rtlwifi: Use proper enum for return in
      halmac_parse_psd_data_88xx
    - [ppc64el] 64s: Fix logic when handling unknown CPU features
    - NFS: Fix a soft lockup in the delegation recovery code
    - perf: Copy parent's address filter offsets on clone
    - perf, pt, coresight: Fix address filters for vmas with non-zero offset
    - [armhf] clocksource/drivers/sun5i: Fail gracefully when clock rate is
      unavailable
    - [armhf] clocksource/drivers/exynos_mct: Fix error path in timer
      resources initialization
    - [x86] platform/x86: wmi: fix potential null pointer dereference
    - NFS/pnfs: Bulk destroy of layouts needs to be safe w.r.t. umount
    - ath10k: Fix length of wmi tlv command for protected mgmt frames
    - netfilter: nft_set_hash: fix lookups with fixed size hash on big endian
    - netfilter: nft_set_hash: bogus element self comparison from deactivation
      path
    - net: sched: act_csum: Fix csum calc for tagged packets
    - [arm*] hwrng: bcm2835 - fix probe as platform device
    - [amd64] iommu/vt-d: Fix NULL pointer reference in intel_svm_bind_mm()
    - NFS: Add missing encode / decode sequence_maxsz to v4.2 operations
    - NFSv4/flexfiles: Fix invalid deref in FF_LAYOUT_DEVID_NODE()
    - [amd64] net: aquantia: fixed instack structure overflow
    - media: dvb/earth-pt1: fix wrong initialization for demod blocks
    - rbd: clear ->xferred on error from rbd_obj_issue_copyup()
    - PCI: Fix "try" semantics of bus and slot reset
    - scsi: megaraid_sas: reduce module load time
    - xen, cpu_hotplug: Prevent an out of bounds access
    - net/mlx5: Fix multiple updates of steering rules in parallel
    - net/mlx5e: IPoIB, Fix RX checksum statistics update
    - [arm64,armhf] soc: amlogic: gx-socinfo: Add mask for each SoC packages
    - media: ivtv: update *pos correctly in ivtv_read_pos()
    - media: cx18: update *pos correctly in cx18_read_pos()
    - [armhf] media: wl128x: Fix an error code in fm_download_firmware()
    - media: cx23885: check allocation return
    - jfs: fix bogus variable self-initialization
    - [armhf] dts: sun9i: optimus: Fix fixed-regulators
    - net: phy: don't clear BMCR in genphy_soft_reset
    - [armhf] OMAP2+: Fix potentially uninitialized return value for
      _setup_reset()
    - [arm64,armhf] net: dsa: Avoid null pointer when failing to connect to
      PHY
    - media: tw5864: Fix possible NULL pointer dereference in
      tw5864_handle_frame
    - [arm64,armhf] spi: tegra114: clear packed bit for unpacked mode
    - [arm64,armhf] spi: tegra114: fix for unpacked mode transfers
    - [arm64,armhf] spi: tegra114: terminate dma and reset on transfer timeout
    - [arm64,armhf] spi: tegra114: flush fifos
    - [arm64,armhf] spi: tegra114: configure dma burst size to fifo trig level
    - [armhf] bus: ti-sysc: Fix sysc_unprepare() when no clocks have been
      allocated
    - [arm*] spi: bcm2835aux: fix driver to not allow 65535 (=-1) cs-gpios
    - drm/fb-helper: generic: Call drm_client_add() after setup is done
    - [arm64] vdso: don't leak kernel addresses
    - rtc: Fix timestamp value for RTC_TIMESTAMP_BEGIN_1900
    - bpf: Add missed newline in verifier verbose log
    - [x86] drm/vmwgfx: Remove set but not used variable 'restart'
    - scsi: qla2xxx: Unregister chrdev if module initialization fails
    - net/sched: cbs: fix port_rate miscalculation
    - ACPI: button: reinitialize button state upon resume
    - [arm64,armhf] firmware: arm_scmi: fix of_node leak in scmi_mailbox_check
    - rxrpc: Fix detection of out of order acks
    - scsi: target/core: Fix a race condition in the LUN lookup code
    - brcmfmac: fix leak of mypkt on error return path
    - [arm64] net: hns3: fix for vport->bw_limit overflow problem
    - [x86] hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
    - perf/core: Fix the address filtering fix
    - [arm64,armhf] soc: amlogic: meson-gx-pwrc-vpu: Fix power on/off register
      bitmask
    - [x86] platform/x86: alienware-wmi: fix kfree on potentially
      uninitialized pointer
    - tipc: set sysctl_tipc_rmem and named_timeout right range
    - usb: typec: tcpm: Notify the tcpc to start connection-detection for SRPs
    - [arm64] net: hns3: fix loop condition of hns3_get_tx_timeo_queue_info()
    - 6lowpan: Off by one handling ->nexthdr
    - ALSA: usb-audio: Handle the error from
      snd_usb_mixer_apply_create_quirk()
    - afs: Fix AFS file locking to allow fine grained locks
    - afs: Further fix file locking
    - NFS: Don't interrupt file writeout due to fatal errors
    - scsi: qla2xxx: Fix a format specifier
    - scsi: qla2xxx: Fix error handling in qlt_alloc_qfull_cmd()
    - scsi: qla2xxx: Avoid that qlt_send_resp_ctio() corrupts memory
    - [ppc64el] KVM: PPC: Book3S HV: Fix lockdep warning when entering the
      guest
    - netfilter: nft_flow_offload: add entry to flowtable after confirmation
    - packet: in recvmsg msg_name return at least sizeof sockaddr_ll
    - ASoC: fix valid stream condition
    - [arm*] dwc2: gadget: Fix completed transfer size calculation in DDMA
    - IB/mlx5: Add missing XRC options to QP optional params mask
    - RDMA/rxe: Consider skb reserve space based on netdev of GID
    - [amd64] iommu/vt-d: Make kernel parameter igfx_off work with vIOMMU
    - [arm64] dmaengine: tegra210-adma: restore channel status
    - mmc: core: fix possible use after free of host
    - ath10k: Fix encoding for protected management frames
    - afs: Fix the afs.cell and afs.volume xattr handlers
    - l2tp: Fix possible NULL pointer dereference
    - [x86] platform/x86: alienware-wmi: printing the wrong error code
    - netfilter: ebtables: CONFIG_COMPAT: reject trailing data after last rule
    - [arm64,armhf] pwm: meson: Consider 128 a valid pre-divider
    - [arm64,armhf] pwm: meson: Don't disable PWM when setting duty repeatedly
    - nfp: bpf: fix static check error through tightening shift amount
      adjustment
    - netfilter: nf_tables: correct NFT_LOGLEVEL_MAX value
    - [arm*] thermal: cpu_cooling: Actually trace CPU load in
      thermal_power_cpu_get_power
    - EDAC/mc: Fix edac_mc_find() in case no device is found
    - afs: Fix key leak in afs_release() and afs_evict_inode()
    - afs: Don't invalidate callback if AFS_VNODE_DIR_VALID not set
    - afs: Fix lock-wait/callback-break double locking
    - afs: Fix double inc of vnode->cb_break
    - [armhf] dts: sun8i-h3: Fix wifi in Beelink X2 DT
    - [arm64] clk: meson: gxbb: no spread spectrum on mpll0
    - [arm64] clk: meson: axg: spread spectrum is on mpll2
    - [arm64] dmaengine: tegra210-adma: Fix crash during probe
    - [arm64] dts: meson: libretech-cc: set eMMC as removable
    - RDMA/qedr: Fix incorrect device rate.
    - [x86] crypto: ccp - fix AES CFB error exposed by new test vectors
    - [x86] crypto: ccp - Fix 3DES complaint from ccp-crypto module
    - iommu: Add missing new line for dma type
    - iommu: Use right function to get group for device
    - signal/cifs: Fix cifs_put_tcp_session to call send_sig instead of
      force_sig
    - inet: frags: call inet_frags_fini() after unregister_pernet_subsys()
    - [arm64] net: hns3: fix a memory leak issue for
      hclge_map_unmap_ring_to_vf_vector
    - [x86] netvsc: unshare skb in VF rx handler
    - net: core: support XDP generic on stacked devices.
    - RDMA/uverbs: check for allocation failure in uapi_add_elm()
    - net: don't clear sock->sk early to avoid trouble in strparser
    - [arm64] phy: qcom-qusb2: fix missing assignment of ret when calling
      clk_prepare_enable
    - [arm64] clk: sunxi-ng: sun50i-h6-r: Fix incorrect W1 clock gate register
    - media: vivid: fix incorrect assignment operation when setting video mode
    - [arm64] crypto: inside-secure - fix zeroing of the request in
      ahash_exit_inv
    - [arm64] crypto: inside-secure - fix queued len computation
    - mpls: fix warning with multi-label encap
    - [arm64] dts: meson-gxm-khadas-vim2: fix gpio-keys-polled node
    - [arm64] dts: meson-gxm-khadas-vim2: fix Bluetooth support
    - [amd64] iommu/vt-d: Duplicate iommu_resv_region objects per device list
    - qed: iWARP - Use READ_ONCE and smp_store_release to access ep->state
    - qed: iWARP - fix uninitialized callback
    - [powerpc*] cacheinfo: add cacheinfo_teardown, cacheinfo_rebuild
    - [powerpc*] pseries/mobility: rebuild cacheinfo hierarchy post-migration
    - bpf: fix the check that forwarding is enabled in bpf_ipv6_fib_lookup
    - [amd64] IB/hfi1: Handle port down properly in pio
    - [arm64] drm/msm/mdp5: Fix mdp5_cfg_init error return
    - net: netem: fix backlog accounting for corrupted GSO frames
    - net/udp_gso: Allow TX timestamp with UDP GSO
    - [s390x] net/af_iucv: build proper skbs for HiperTransport
    - [s390x] net/af_iucv: always register net_device notifier
    - [armhf] ASoC: ti: davinci-mcasp: Fix slot mask settings when using
      multiple AXRs
    - rtc: pcf8563: Fix interrupt trigger method
    - rtc: pcf8563: Clear event flags and disable interrupts before requesting
      irq
    - net/sched: cbs: Fix error path of cbs_module_init
    - [arm64] drm/msm/a3xx: remove TPL1 regs from snapshot
    - ip6_fib: Don't discard nodes with valid routing information in
      fib6_locate_1()
    - perf/ioctl: Add check for the sample_period value
    - [x86] dmaengine: hsu: Revert "set HSU_CH_MTSR to memory width"
    - tools: bpftool: use correct argument in cgroup errors
    - fork,memcg: alloc_thread_stack_node needs to set tsk->stack
    - bnxt_en: Fix ethtool selftest crash under error conditions.
    - bnxt_en: Suppress error messages when querying DSCP DCB capabilities.
    - [amd64] iommu: Make iommu_disable safer
    - [x86] mfd: intel-lpss: Release IDA resources
    - rxrpc: Fix uninitialized error code in rxrpc_send_data_packet()
    - xprtrdma: Fix use-after-free in rpcrdma_post_recvs
    - PM: ACPI/PCI: Resume all devices during hibernation
    - ACPI: PM: Simplify and fix PM domain hibernation callbacks
    - ACPI: PM: Introduce "poweroff" callbacks for ACPI PM domain and LPSS
    - devres: allow const resource arguments
    - [arm64] RDMA/hns: Fixs hw access invalid dma memory error
    - ceph: fix "ceph.dir.rctime" vxattr value
    - xdp: fix possible cq entry leak
    - scsi: libfc: fix null pointer dereference on a null lport
    - xfrm interface: ifname may be wrong in logs
    - [armhf] clk: sunxi-ng: v3s: add the missing PLL_DDR1
    - PM: sleep: Fix possible overflow in pm_system_cancel_wakeup()
    - libertas_tf: Use correct channel range in lbtf_geo_init
    - qed: reduce maximum stack frame size
    - usb: host: xhci-hub: fix extra endianness conversion
    - [x86] crypto: ccp - Reduce maximum stack usage
    - tipc: reduce risk of wakeup queue starvation
    - net/mlx5: Fix mlx5_ifc_query_lag_out_bits
    - cifs: fix rmmod regression in cifs.ko caused by force_sig changes
    - net: fix bpf_xdp_adjust_head regression for generic-XDP
    - cxgb4: smt: Add lock for atomic_dec_and_test
    - ext4: set error return correctly when ext4_htree_store_dirent fails
    - [arm64] RDMA/hns: Bugfix for slab-out-of-bounds when unloading hip08
      driver
    - [arm64] RDMA/hns: bugfix for slab-out-of-bounds when loading hip08
      driver
    - net/rds: Add a few missing rds_stat_names entries
    - tools: bpftool: fix arguments for p_err() in do_event_pipe()
    - tools: bpftool: fix format strings and arguments for jsonw_printf()
    - bnxt_en: Fix handling FRAG_ERR when NVM_INSTALL_UPDATE cmd fails
    - signal: Allow cifs and drbd to receive their terminating signals
    - [ppc64el] 64s/radix: Fix memory hot-unplug page table split
    - [x86] dmaengine: dw: platform: Switch to acpi_dma_controller_register()
    - mac80211: minstrel_ht: fix per-group max throughput rate initialization
    - i40e: reduce stack usage in i40e_set_fc
    - [armhf] 8896/1: VDSO: Don't leak kernel addresses
    - [mips*] avoid explicit UB in assignment of mips_io_port_base
    - media: em28xx: Fix exception handling in em28xx_alloc_urbs()
    - ahci: Do not export local variable ahci_em_messages
    - rxrpc: Fix lack of conn cleanup when local endpoint is cleaned up
    - Partially revert "kfifo: fix kfifo_alloc() and kfifo_init()"
    - hwmon: (lm75) Fix write operations for negative temperatures
    - net/sched: cbs: Set default link speed to 10 Mbps in cbs_set_port_rate
    - power: supply: Init device wakeup after device_add()
    - [x86] perf: Fix the dependency of the x86 insn decoder selftest
    - irqdomain: Add the missing assignment of domain->fwnode for named fwnode
    - bcma: fix incorrect update of BCMA_CORE_PCI_MDIO_DATA
    - bcache: Fix an error code in bch_dump_read()
    - netfilter: ctnetlink: honor IPS_OFFLOAD flag
    - [arm64] wcn36xx: use dynamic allocation for large variables
    - xsk: avoid store-tearing when assigning queues
    - xsk: avoid store-tearing when assigning umem
    - led: triggers: Fix dereferencing of null pointer
    - [arm64] net: hns3: fix error VF index when setting VLAN offload
    - rtlwifi: Fix file release memory leak
    - f2fs: fix wrong error injection path in inc_valid_block_count()
    - f2fs: fix error path of f2fs_convert_inline_page()
    - [x86] scsi: fnic: fix msix interrupt allocation
    - Btrfs: fix hang when loading existing inode cache off disk
    - Btrfs: fix inode cache waiters hanging on failure to start caching
      thread
    - Btrfs: fix inode cache waiters hanging on path allocation failure
    - btrfs: use correct count in btrfs_file_write_iter()
    - ixgbe: sync the first fragment unconditionally
    - ath10k: adjust skb length in ath10k_sdio_mbox_rx_packet
    - RDMA/cma: Fix false error message
    - net/rds: Fix 'ib_evt_handler_call' element in 'rds_ib_stat_names'
    - bnxt_en: Increase timeout for HWRM_DBG_COREDUMP_XX commands
    - f2fs: fix to avoid accessing uninitialized field of inode page in
      is_alive()
    - [powerpc*] mm/mce: Keep irqs disabled during lockless page table walk
    - bpf: fix BTF limits
    - [amd64] iommu: Wait for completion of IOTLB flush in attach_device
    - [amd64] net: aquantia: Fix aq_vec_isr_legacy() return value
    - cxgb4: Signedness bug in init_one()
    - [arm64] net: hisilicon: Fix signedness bug in hix5hd2_dev_probe()
    - [arm64] net: netsec: Fix signedness bug in netsec_probe()
    - [arm64,armhf] net: stmmac: dwmac-meson8b: Fix signedness bug in probe
    - of: mdio: Fix a signedness bug in of_phy_get_and_connect()
    - [arm64] net: ethernet: stmmac: Fix signedness bug in
      ipq806x_gmac_of_parse()
    - net: sched: cbs: Avoid division by zero when calculating the port rate
    - nvme: retain split access workaround for capability reads
    - [arm64,armhf] net: stmmac: gmac4+: Not all Unicast addresses may be
      available
    - rxrpc: Fix trace-after-put looking at the put connection record
    - mac80211: accept deauth frames in IBSS mode
    - llc: fix another potential sk_buff leak in llc_ui_sendmsg()
    - llc: fix sk_buff refcounting in llc_conn_state_process()
    - ip6erspan: remove the incorrect mtu limit for ip6erspan
    - [arm64,armhf] net: stmmac: fix length of PTP clock's name string
    - [arm64,armhf] net: stmmac: fix disabling flexible PPS output
    - sctp: add chunks to sk_backlog when the newsk sk_socket is not set
    - [s390x] qeth: Fix error handling during VNICC initialization
    - [s390x] qeth: Fix initialization of vnicc cmd masks during set online
    - act_mirred: Fix mirred_init_module error handling
    - net: avoid possible false sharing in sk_leave_memory_pressure()
    - net: add {READ|WRITE}_ONCE() annotations on ->rskq_accept_head
    - tcp: annotate lockless access to tcp_memory_pressure
    - net/smc: receive returns without data
    - net/smc: receive pending data after RCV_SHUTDOWN
    - [arm64] drm/msm/dsi: Implement reset correctly
    - [armhf] dmaengine: imx-sdma: fix size check for sdma script_number
    - [arm64] hibernate: check pgd table allocation
    - net: netem: fix error path for corrupted GSO frames
    - net: netem: correct the parent's backlog when corrupted packet was
      dropped
    - xsk: Fix registration of Rx-only sockets
    - bpf, offload: Unlock on error in bpf_offload_dev_create()
    - afs: Fix missing timeout reset
    - [x86] hv_netvsc: Fix offset usage in netvsc_send_table()
    - [x86] hv_netvsc: Fix send_table offset in case of a host bug
    - afs: Fix large file support
    - [armhf] hwrng: omap3-rom - Fix missing clock by probing with device tree
    - [mips64el,mipsel] Loongson: Fix return value of loongson_hwmon_init
    - [x86] hv_netvsc: flag software created hash value
    - net: neigh: use long type to store jiffies delta
    - packet: fix data-race in fanout_flow_is_huge()
    - affs: fix a memory leak in affs_remount
    - afs: Remove set but not used variables 'before', 'after'
    - [armhf] dmaengine: ti: edma: fix missed failure handling
    - drm/radeon: fix bad DMA from INTERRUPT_CNTL2
    - [arm64] dts: meson-gxm-khadas-vim2: fix uart_A bluetooth node
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.100
    - can, slip: Protect tty->disc_data in write_wakeup and close with RCU
    - [x86] firestream: fix memory leaks
    - gtp: make sure only SOCK_DGRAM UDP sockets are accepted
    - ipv6: sr: remove SKB_GSO_IPXIP6 on End.D* actions
    - net: cxgb3_main: Add CAP_NET_ADMIN check to CHELSIO_GET_MEM
    - net: ip6_gre: fix moving ip6gre between namespaces
    - net, ip6_tunnel: fix namespaces move
    - net, ip_tunnel: fix namespaces move
    - net: rtnetlink: validate IFLA_MTU attribute in rtnl_create_link()
    - net_sched: fix datalen for ematch
    - net-sysfs: Fix reference count leak in rx|netdev_queue_add_kobject
    - net-sysfs: fix netdev_queue_add_kobject() breakage
    - net-sysfs: Call dev_hold always in netdev_queue_add_kobject
    - net-sysfs: Call dev_hold always in rx_queue_add_kobject
    - net-sysfs: Fix reference count leak
    - net: usb: lan78xx: Add .ndo_features_check
    - Revert "udp: do rmem bulk free even if the rx sk queue is empty"
    - tcp_bbr: improve arithmetic division in bbr_update_bw()
    - tcp: do not leave dangling pointers in tp->highest_sack
    - tun: add mutex_unlock() call and napi.skb clearing in tun_get_user()
    - afs: Fix characters allowed into cell names
    - hwmon: (adt7475) Make volt2reg return same reg as reg2volt input
    - hwmon: (core) Do not use device managed functions for memory allocations
    - PCI: Mark AMD Navi14 GPU rev 0xc5 ATS as broken
    - tracing: trigger: Replace unneeded RCU-list traversals
    - Input: keyspan-remote - fix control-message timeouts
    - [x86] Revert "Input: synaptics-rmi4 - don't increment rmiaddr for SMBus
      transfers"
    - [arm64,armhf] mmc: tegra: fix SDR50 tuning override
    - mmc: sdhci: fix minimum clock rate for v3 controller
    - [arm64] Documentation: Document arm64 kpti control
    - Input: sur40 - fix interface sanity checks
    - Input: gtco - fix endpoint sanity check
    - Input: aiptek - fix endpoint sanity check
    - Input: pegasus_notetaker - fix endpoint sanity check
    - [armhf] Input: sun4i-ts - add a check for
      devm_thermal_zone_of_sensor_register
    - netfilter: nft_osf: add missing check for DREG attribute
    - hwmon: (nct7802) Fix voltage limits to wrong registers
    - do_last(): fetch directory ->i_mode and ->i_uid before it's too late
      (CVE-2020-8428)
    - sd: Fix REQ_OP_ZONE_REPORT completion handling
    - [i386] crypto: geode-aes - switch to skcipher for cbc(aes) fallback
    - media: v4l2-ioctl.c: zero reserved fields for S/TRY_FMT
    - scsi: iscsi: Avoid potential deadlock in iscsi_if_rx func
    - netfilter: ipset: use bitmap infrastructure completely
    - netfilter: nf_tables: add __nft_chain_type_get()
    - mm/memory_hotplug: make remove_memory() take the device_hotplug_lock
    - mm, sparse: drop pgdat_resize_lock in sparse_add/remove_one_section()
    - mm, sparse: pass nid instead of pgdat to sparse_add_one_section()
    - drivers/base/memory.c: remove an unnecessary check on NR_MEM_SECTIONS
    - mm, memory_hotplug: add nid parameter to arch_remove_memory
    - mm/memory_hotplug: release memory resource after arch_remove_memory()
    - drivers/base/memory.c: clean up relics in function parameters
    - mm, memory_hotplug: update a comment in unregister_memory()
    - mm/memory_hotplug: make unregister_memory_section() never fail
    - mm/memory_hotplug: make __remove_section() never fail
    - [powerpc*] mm: Fix section mismatch warning
    - mm/memory_hotplug: make __remove_pages() and arch_remove_memory() never
      fail
    - [s390x] mm: implement arch_remove_memory()
    - mm/memory_hotplug: allow arch_remove_memory() without
      CONFIG_MEMORY_HOTREMOVE
    - drivers/base/memory: pass a block_id to init_memory_block()
    - mm/memory_hotplug: create memory block devices after arch_add_memory()
    - mm/memory_hotplug: remove memory block devices before
      arch_remove_memory()
    - mm/memory_hotplug: make unregister_memory_block_under_nodes() never fail
    - mm/memory_hotplug: remove "zone" parameter from
      sparse_remove_one_section
    - mm/hotplug: kill is_dev_zone() usage in __remove_pages()
    - drivers/base/node.c: simplify unregister_memory_block_under_nodes()
    - mm/memunmap: don't access uninitialized memmap in memunmap_pages()
    - mm/memory_hotplug: fix try_offline_node()
    - mm/memory_hotplug: shrink zones when offlining memory
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.101
    - orinoco_usb: fix interface sanity check
    - rsi_91x_usb: fix interface sanity check
    - USB: serial: ir-usb: add missing endpoint sanity check
    - USB: serial: ir-usb: fix link-speed handling
    - USB: serial: ir-usb: fix IrLAP framing
    - [arm64,armhf] usb: dwc3: turn off VBUS when leaving host mode
    - staging: wlan-ng: ensure error return is actually returned
    - [x86] staging: vt6656: correct packet types for CTS protect, mode.
    - [x86] staging: vt6656: use NULLFUCTION stack on mac80211
    - [x86] staging: vt6656: Fix false Tx excessive retries reporting.
    - [arm64,armel] serial: 8250_bcm2835aux: Fix line mismatch on driver
      unbind
    - component: do not dereference opaque pointer in debugfs
    - [x86] mei: me: add comet point (lake) H device ids
    - crypto: chelsio - fix writing tfm flags to wrong place
    - cifs: Fix memory allocation in __smb2_handle_cancelled_cmd()
    - ath9k: fix storage endpoint lookup
    - brcmfmac: fix interface sanity check
    - rtl8xxxu: fix interface sanity check
    - zd1211rw: fix storage endpoint lookup
    - net_sched: ematch: reject invalid TCF_EM_SIMPLE
    - net_sched: fix ops->bind_class() implementations
    - HID: multitouch: Add LG MELF0410 I2C touchscreen support
    - HID: Add quirk for Xin-Mo Dual Controller
    - HID: ite: Add USB id match for Acer SW5-012 keyboard dock
    - [x86] HID: Add quirk for incorrect input length on Lenovo Y720
    - drivers/hid/hid-multitouch.c: fix a possible null pointer access.
    - [arm64] phy: qcom-qmp: Increase PHY ready timeout
    - drivers/net/b44: Change to non-atomic bit operations on pwol_mask
    - [i386] net: wan: sdla: Fix cast from pointer to integer of different
      size
    - [arm64] gpio: max77620: Add missing dependency on GPIOLIB_IRQCHIP
    - atm: eni: fix uninitialized variable warning
    - HID: steam: Fix input device disappearing
    - [x86] platform/x86: dell-laptop: disable kbd backlight on Inspiron 10xx
    - [amd64] PCI: Add DMA alias quirk for Intel VCA NTB
    - [amd64] iommu: Support multiple PCI DMA aliases in IRQ Remapping
    - usb-storage: Disable UAS on JMicron SATA enclosure
    - sched/fair: Add tmp_alone_branch assertion
    - sched/fair: Fix insertion in rq->leaf_cfs_rq_list
    - rsi: fix use-after-free on probe errors
    - rsi: fix memory leak on failed URB submission
    - rsi: fix non-atomic allocation in completion handler
    - crypto: af_alg - Use bh_lock_sock in sk_destruct
    - block: cleanup __blkdev_issue_discard()
    - block: fix 32 bit overflow in __blkdev_issue_discard()
    - [arm64] KVM: Write arch.mdcr_el2 changes since last vcpu_load on VHE
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.102
    - vfs: fix do_last() regression
    - crypto: pcrypt - Fix user-after-free on module unload
    - perf c2c: Fix return type for histogram sorting comparision functions
    - PM / devfreq: Add new name attribute for sysfs
    - tools lib: Fix builds when glibc contains strlcpy()
    - ext4: validate the debug_want_extra_isize mount option at parse time
    - mm/mempolicy.c: fix out of bounds write in mpol_parse_str()
    - reiserfs: Fix memory leak of journal device string
    - media: digitv: don't continue if remote control state can't be read
    - media: af9005: uninitialized variable printked
    - media: vp7045: do not read uninitialized values if usb transfer fails
    - media: gspca: zero usb_buf
    - media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0
    - tomoyo: Use atomic_t for statistics counter
    - ttyprintk: fix a potential deadlock in interrupt context issue
    - Bluetooth: Fix race condition in hci_release_sock()
    - cgroup: Prevent double killing of css when enabling threaded cgroup
    - [armhf] dts: sun8i: a83t: Correct USB3503 GPIOs polarity
    - [armhf] dts: am57xx-beagle-x15/am57xx-idk: Remove "gpios" for endpoint
      dt nodes
    - [armhf] dts: beagle-x15-common: Model 5V0 regulator
    - [arm64] clk: sunxi-ng: h6-r: Fix AR100/R_APB2 parent order
    - mac80211: mesh: restrict airtime metric to peered established plinks
    - ASoC: rt5640: Fix NULL dereference on module unload
    - ixgbevf: Remove limit of 10 entries for unicast filter list
    - ixgbe: Fix calculation of queue with VFs and flow director on interface
      flap
    - igb: Fix SGMII SFP module discovery for 100FX/LX.
    - [x86] platform/x86: GPD pocket fan: Allow somewhat lower/higher
      temperature limits
    - qmi_wwan: Add support for Quectel RM500Q
    - wireless: fix enabling channel 12 for custom regulatory domain
    - cfg80211: Fix radar event during another phy CAC
    - mac80211: Fix TKIP replay protection immediately after key setup
    - netfilter: nft_tunnel: ERSPAN_VERSION must not be null
    - [armhf] net: dsa: bcm_sf2: Configure IMP port for 2Gb/sec
    - bnxt_en: Fix ipv6 RFS filter matching logic.
    - iwlwifi: Don't ignore the cap field upon mcc update
    - [armhf] dts: am335x-boneblack-common: fix memory size
    - vti[6]: fix packet tx through bpf_redirect()
    - xfrm interface: fix packet tx through bpf_redirect()
    - xfrm: interface: do not confirm neighbor when do pmtu update
    - scsi: fnic: do not queue commands during fwreset
    - [armhf] 8955/1: virt: Relax arch timer version check during early boot
    - [arm64] tee: optee: Fix compilation issue with nommu
    - airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE
    - airo: Add missing CAP_NET_ADMIN check in AIROOLDIOCTL/SIOCDEVPRIVATE
    - r8152: get default setting of WOL before initializing
    - qlcnic: Fix CPU soft lockup while collecting firmware dump
    - seq_tab_next() should increase position index
    - l2t_seq_next should increase position index
    - net: Fix skb->csum update in inet_proto_csum_replace16().
    - btrfs: do not zero f_bavail if we have available space
    - perf report: Fix no libunwind compiled warning break s390 issue
    - mm/migrate.c: also overwrite error when it is bigger than zero
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.103
    - [armhf] Revert "drm/sun4i: dsi: Change the start delay calculation"
    - ovl: fix lseek overflow on 32bit
    - kernel/module: Fix memleak in module_add_modinfo_attrs()
    - media: iguanair: fix endpoint sanity check
    - ocfs2: fix oops when writing cloned file
    - [x86] cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - udf: Allow writing to 'Rewritable' partitions
    - printk: fix exclusive_console replaying
    - iwlwifi: mvm: fix NVM check for 3168 devices
    - gtp: use __GFP_NOWARN to avoid memalloc warning
    - l2tp: Allow duplicate session creation with UDP
    - net_sched: fix an OOB access in cls_tcindex
    - [arm64,armhf] net: stmmac: Delete txtimer in suspend()
    - bnxt_en: Fix TC queue mapping.
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->delivered in tcp_disconnect()
    - tcp: clear tp->data_segs{in|out} in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - rxrpc: Fix use-after-free in rxrpc_put_local()
    - rxrpc: Fix insufficient receive notification generation
    - rxrpc: Fix missing active use pinning of rxrpc_local object
    - rxrpc: Fix NULL pointer deref due to call->conn being cleared on
      disconnect
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB
      descriptors
    - ipc/msg.c: consolidate all xxxctl_down() functions
    - tracing: Fix sched switch start/stop refcount racy updates
    - rcu: Avoid data-race in rcu_gp_fqs_check_wake()
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: usb-audio: Fix endianess in descriptor validation
    - ALSA: dummy: Fix PCM format loop in proc output
    - mm/memory_hotplug: fix remove_memory() lockdep splat
    - mm: move_pages: report the number of non-attempted pages
    - media/v4l2-core: set pages dirty upon releasing DMA buffers
    - media: v4l2-core: compat: ignore native command codes
    - media: v4l2-rect.h: fix v4l2_rect_map_inside() top/left adjustments
    - irqdomain: Fix a memory leak in irq_domain_push_irq()
    - [x86] platform/x86: intel_scu_ipc: Fix interrupt support
    - [x86] ALSA: hda: Add Clevo W65_67SB the power_save blacklist
    - [arm64] KVM: Correct PSTATE on exception entry
    - [arm64,armhf] KVM: Correct CPSR on exception entry
    - [arm64,armhf] KVM: Correct AArch32 SPSR on exception entry
    - [arm64] KVM: Only sign-extend MMIO up to register width
    - [s390x] mm: fix dynamic pagetable upgrade for hugetlbfs
    - [powerpc*] pseries: Advance pfn if section is not present in
      lmb_is_removable()
    - smb3: fix signing verification of large reads
    - [arm64,armhf] PCI: tegra: Fix return value check of
      pm_runtime_get_sync()
    - [arm64,armhf] mmc: spi: Toggle SPI polarity, do not hardcode it
    - [x86] ACPI: video: Do not export a non working backlight interface on MSI
      MS-7721 boards
    - [x86] ACPI / battery: Deal with design or full capacity being reported
      as -1
    - [x86] ACPI / battery: Use design-cap for capacity calculations if
      full-cap is not available
    - [x86] ACPI / battery: Deal better with neither design nor full capacity
      not being reported
    - alarmtimer: Unregister wakeup source when module get fails
    - ubifs: Reject unsupported ioctl flags explicitly
    - ubifs: don't trigger assertion on invalid no-key filename
    - ubifs: Fix FS_IOC_SETFLAGS unexpectedly clearing encrypt flag
    - ubifs: Fix deadlock in concurrent bulk-read and writepage
    - [i386] crypto: geode-aes - convert to skcipher API and make thread-safe
    - [x86] hv_balloon: Balloon up according to request page number
    - mfd: axp20x: Mark AXP20X_VBUS_IPSOUT_MGMT as volatile
    - crypto: api - Check spawn->alg under lock in crypto_drop_spawn
    - scsi: qla2xxx: Fix mtcp dump collection failure
    - ovl: fix wrong WARN_ON() in ovl_cache_update_ino()
    - f2fs: choose hardlimit when softlimit is larger than hardlimit in
      f2fs_statfs_project()
    - f2fs: fix miscounted block limit in f2fs_statfs_project()
    - f2fs: code cleanup for f2fs_statfs_project()
    - PM: core: Fix handling of devices deleted during system-wide resume
    - dm zoned: support zone sizes smaller than 128MiB
    - dm space map common: fix to ensure new block isn't already in use
    - dm crypt: fix benbi IV constructor crash if used in authenticated mode
    - dm: fix potential for q->make_request_fn NULL pointer
    - dm writecache: fix incorrect flush sequence when doing SSD mode commit
    - padata: Remove broken queue flushing
    - tracing: Annotate ftrace_graph_hash pointer with __rcu
    - tracing: Annotate ftrace_graph_notrace_hash pointer with __rcu
    - ftrace: Add comment to why rcu_dereference_sched() is open coded
    - ftrace: Protect ftrace_graph_hash with ftrace_sync
    - [x86] crypto: ccp - set max RSA modulus size for v3 platform devices as
      well
    - crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
    - crypto: api - Fix race condition in crypto_spawn_alg
    - scsi: qla2xxx: Fix unbound NVME response length
    - NFS: Fix memory leaks and corruption in readdir
    - NFS: Directory page cache pages need to be locked when read
    - jbd2_seq_info_next should increase position index
    - Btrfs: fix missing hole after hole punching and fsync when using
      NO_HOLES
    - btrfs: set trans->drity in btrfs_commit_transaction
    - Btrfs: fix race between adding and putting tree mod seq elements and
      nodes
    - [armhf] tegra: Enable PLLP bypass during Tegra124 LP1
    - iwlwifi: don't throw error when trying to remove IGTK
    - mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
    - sunrpc: expiry_time should be seconds not timeval
    - gfs2: move setting current->backing_dev_info
    - gfs2: fix O_SYNC write handling
    - drm/rect: Avoid division by zero
    - media: rc: ensure lirc is initialized before registering input device
    - xen/balloon: Support xend-based toolstack take two
    - watchdog: fix UAF in reboot notifier handling in watchdog core code
    - bcache: add readahead cache policy options via sysfs interface
    - eventfd: track eventfd_signal() recursion depth
    - aio: prevent potential eventfd recursion on poll
    - [x86] KVM: Refactor picdev_write() to prevent Spectre-v1/L1TF attacks
    - [x86] KVM: Refactor prefix decoding to prevent Spectre-v1/L1TF attacks
    - [x86] KVM: Protect pmu_intel.c from Spectre-v1/L1TF attacks
    - [x86] KVM: Protect DR-based index computations from Spectre-v1/L1TF
      attacks
    - [x86] KVM: Protect kvm_lapic_reg_write() from Spectre-v1/L1TF attacks
    - [x86] KVM: Protect kvm_hv_msr_[get|set]_crash_data() from Spectre-v1/L1TF
      attacks
    - [x86] KVM: Protect ioapic_write_indirect() from Spectre-v1/L1TF attacks
    - [x86] KVM: Protect MSR-based index computations in pmu.h from
      Spectre-v1/L1TF attacks
    - [x86] KVM: Protect ioapic_read_indirect() from Spectre-v1/L1TF attacks
    - [x86] KVM: Protect MSR-based index computations from Spectre-v1/L1TF
      attacks in x86.c
    - [x86] KVM: Protect x86_decode_insn from Spectre-v1/L1TF attacks
    - [x86] KVM: Protect MSR-based index computations in
      fixed_msr_to_seg_unit() from Spectre-v1/L1TF attacks
    - [x86] KVM: Fix potential put_fpu() w/o load_fpu() on MPX platform
    - [ppc64el] KVM: Book3S HV: Uninit vCPU if vcore creation fails
    - [ppc64el] KVM: Book3S PR: Free shared page if mmu initialization fails
    - [x86] kvm: Be careful not to clear KVM_VCPU_FLUSH_TLB bit
      (CVE-2019-3016)
    - [x86] KVM: Don't let userspace set host-reserved cr4 bits
    - [x86] KVM: Free wbinvd_dirty_mask if vCPU creation fails
    - [s390x] KVM: do not clobber registers during guest reset/store status
    - [arm64,armhf] clk: tegra: Mark fuse clock as critical
    - percpu: Separate decrypted varaibles anytime encryption can be enabled
    - scsi: qla2xxx: Fix the endianness of the qla82xx_get_fw_size() return
      type
    - scsi: csiostor: Adjust indentation in csio_device_reset
    - scsi: qla4xxx: Adjust indentation in qla4xxx_mem_free
    - scsi: ufs: Recheck bkops level if bkops is disabled
    - [arm64] phy: qualcomm: Adjust indentation in read_poll_timeout
    - ext2: Adjust indentation in ext2_fill_super
    - [arm64] drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
    - IB/mlx5: Fix outstanding_pi index for GSI qps
    - IB/core: Fix ODP get user pages flow
    - nfsd: fix delay timer on 32-bit architectures
    - nfsd: fix jiffies/time_t mixup in LRU list
    - nfsd: Return the correct number of bytes written to the file
    - ubi: fastmap: Fix inverted logic in seen selfcheck
    - ubi: Fix an error pointer dereference in error handling code
    - bonding/alb: properly access headers in bond_alb_xmit()
    - [armhf] net: dsa: bcm_sf2: Only 7278 supports 2Gb/sec IMP port
    - [arm64,armhf] net: mvneta: move rx_dropped and rx_errors in per-cpu
      stats
    - net_sched: fix a resource leak in tcindex_set_parms()
    - net/mlx5: IPsec, Fix esp modify function attribute
    - net/mlx5: IPsec, fix memory leak at mlx5_fpga_ipsec_delete_sa_ctx
    - [arm64] net: macb: Remove unnecessary alignment check for TSO
    - [arm64] net: macb: Limit maximum GEM TX length in TSO
    - [armhf] net: dsa: b53: Always use dev->vlan_enabled in
      b53_configure_vlan()
    - ext4: fix deadlock allocating crypto bounce page from mempool
    - btrfs: use bool argument in free_root_pointers()
    - btrfs: free block groups after free'ing fs trees
    - btrfs: flush write bio if we loop in extent_write_cache_pages
    - [x86] KVM: mmu: Apply max PA check for MMIO sptes to 32-bit KVM
    - [x86] KVM: Use gpa_t for cr2/gpa to fix TDP support on 32-bit KVM
    - [x86] KVM: nVMX: vmread should not set rflags to specify success in case
      of #PF
    - KVM: Use vcpu-specific gva->hva translation when querying host page size
    - KVM: Play nice with read-only memslots when querying host page size
    - mm: zero remaining unavailable struct pages
    - mm: return zero_resv_unavail optimization
    - mm/page_alloc.c: fix uninitialized memmaps on a partially populated last
      section
    - cifs: fail i/o on soft mounts if sessionsetup errors out
    - [x86] apic/msi: Plug non-maskable MSI affinity race
    - clocksource: Prevent double add_timer_on() for watchdog_timer
    - perf/core: Fix mlock accounting in perf_mmap()
    - rxrpc: Fix service call disconnection
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.104
    - ASoC: pcm: update FE/BE trigger order based on the command
    - [x86] hv_sock: Remove the accept port restriction
    - IB/mlx4: Fix memory leak in add_gid error flow
    - RDMA/netlink: Do not always generate an ACK for some netlink operations
    - RDMA/core: Fix locking in ib_uverbs_event_read
    - scsi: ufs: Fix ufshcd_probe_hba() reture value in case
      ufshcd_scsi_add_wlus() fails
    - PCI/IOV: Fix memory leak in pci_iov_add_virtfn()
    - ath10k: pci: Only dump ATH10K_MEM_REGION_TYPE_IOREG when safe
    - PCI: Don't disable bridge BARs when assigning bus resources
    - nfs: NFS_SWAP should depend on SWAP
    - NFS: Revalidate the file size on a fatal write error
    - NFS/pnfs: Fix pnfs_generic_prepare_to_resend_writes()
    - NFSv4: try lease recovery on NFS4ERR_EXPIRED
    - [arm64] serial: uartps: Add a timeout to the tx empty wait
    - [arm64] gpio: zynq: Report gpio direction at boot
    - spi: spi-mem: Add extra sanity checks on the op param
    - spi: spi-mem: Fix inverted logic in op sanity check
    - rtc: cmos: Stop using shared IRQ
    - [x86] platform/x86: intel_mid_powerbtn: Take a copy of ddata
    - [powerpc*] pseries/vio: Fix iommu_table use-after-free refcount warning
    - [powerpc*] pseries: Allow not having ibm,
      hypertas-functions::hcall-multi-tce for DDW
    - [arm64] iommu/arm-smmu-v3: Populate VMID field for CMDQ_OP_TLBI_NH_VA
    - [arm64,armhf] KVM: vgic-its: Fix restoration of unmapped collections
    - [armel,armhf] 8949/1: mm: mark free_memmap as __init
    - [arm64] cpufeature: Fix the type of no FP/SIMD capability
    - [arm64] ptrace: nofpsimd: Fail FP/SIMD regset operations
    - [arm64,armhf] KVM: Fix young bit from mmu notifier
    - [arm64,armhf] KVM: Fix DFSR setting for non-LPAE aarch32 guests
    - [arm64,armhf] KVM: Make inject_abt32() inject an external abort instead
    - [arm64] KVM: pmu: Don't increment SW_INCR if PMCR.E is unset
    - mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
    - mwifiex: Fix possible buffer overflows in mwifiex_ret_wmm_get_status()
    - mwifiex: Fix possible buffer overflows in mwifiex_cmd_append_vsie_tlv()
    - libertas: don't exit from lbs_ibss_join_existing() with RCU read lock
      held
    - libertas: make lbs_ibss_join_existing() return error code on rates
      overflow
    - scsi: megaraid_sas: Do not initiate OCR if controller is not in ready
      state
    - [x86] stackframe: Move ENCODE_FRAME_POINTER to asm/frame.h
    - [x86] x86/stackframe, x86/ftrace: Add pt_regs frame annotations
    - [arm64] serial: uartps: Move the spinlock after the read of the tx empty
    - padata: fix null pointer deref of pd->pinst
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.105
    - Input: synaptics - switch T470s to RMI4 by default
    - Input: synaptics - enable SMBus on ThinkPad L470
    - Input: synaptics - remove the LEN0049 dmi id from topbuttonpad list
    - ALSA: usb-audio: Fix UAC2/3 effect unit parsing
    - ALSA: hda/realtek - Fix silent output on MSI-GL73
    - ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
    - [arm64] cpufeature: Set the FP/SIMD compat HWCAP bits properly
    - [arm64] nofpsmid: Handle TIF_FOREIGN_FPSTATE flag cleanly
    - ALSA: usb-audio: sound: usb: usb true/false for bool return type
    - ALSA: usb-audio: Add clock validity quirk for Denon MC7000/MCX8000
    - ext4: don't assume that mmp_nodename/bdevname have NUL
    - ext4: fix support for inode sizes > 1024 bytes
    - ext4: fix checksum errors with indexed dirs
    - ext4: add cond_resched() to ext4_protect_reserved_inode (CVE-2020-8992)
    - ext4: improve explanation of a mount failure caused by a misconfigured
      kernel
    - Btrfs: fix race between using extent maps and merging them
    - btrfs: ref-verify: fix memory leaks
    - btrfs: print message when tree-log replay starts
    - btrfs: log message when rw remount is attempted with unclean tree-log
    - [arm64] ssbs: Fix context-switch when SSBS is present on all CPUs
    - [x86] perf/x86/amd: Add missing L2 misses event spec to AMD Family 17h's
      event map
    - nvme: fix the parameter order for nvme_get_log in nvme_get_fw_slot_info
    - [amd64] IB/hfi1: Acquire lock to release TID entries when user file is
      closed
    - [amd64] IB/hfi1: Close window for pq and request coliding
    - IB/rdmavt: Reset all QPs when the device is shut down
    - RDMA/core: Fix invalid memory access in spec_filter_size
    - [amd64] RDMA/hfi1: Fix memory leak in _dev_comp_vect_mappings_create
    - RDMA/rxe: Fix soft lockup problem due to using tasklets in softirq
    - RDMA/core: Fix protection fault in get_pkey_idx_qp_list
    - [s390x] time: Fix clk type in get_tod_clock
    - [x86] perf/x86/intel: Fix inaccurate period in context switch for auto-
      reload
    - NFSv4.1 make cachethis=no for writes
    - jbd2: move the clearing of b_modified flag to the journal_unmap_buffer()
    - jbd2: do not clear the BH_Mapped flag when forgetting a metadata buffer
    - [x86] KVM: mmu: Fix struct guest_walker arrays for 5-level paging
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.106
    - core: Don't skip generic XDP program execution for cloned SKBs
    - enic: prevent waking up stopped tx queues over watchdog reset
    - net/smc: fix leak of kernel memory to user space
    - net/sched: matchall: add missing validation of TCA_MATCHALL_FLAGS
    - net/sched: flower: add missing validation of TCA_FLOWER_FLAGS
    - [x86] KVM: nVMX: Use correct root level for nested EPT shadow page
      tables
    - [x86] drm/gma500: Fixup fbdev stolen size usage evaluation
    - cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order
    - brcmfmac: Fix use after free in brcmf_sdio_readframes()
    - ext4: fix ext4_dax_read/write inode locking sequence for IOCB_NOWAIT
    - ALSA: ctl: allow TLV read operation for callback type of element in
      locked case
    - [powerpc*] powernv/iov: Ensure the pdn for VFs always contains a valid
      PE number
    - [amd64] iommu/vt-d: Fix off-by-one in PASID allocation
    - [x86] pinctrl: baytrail: Do not clear IRQ flags on direct-irq enabled
      pins
    - [x86] efi: Map the entire EFI vendor string before copying it
    - [mips64el,mipsel] Loongson: Fix potential NULL dereference in
      loongson3_platform_init()
    - [arm*] usb: dwc2: Fix IN FIFO allocation
    - [armel,armhf] clocksource/drivers/bcm2835_timer: Fix memory leak of
      timer
    - jbd2: clear JBD2_ABORT flag before journal_reset to update log tail info
      when load journal
    - [armhf] pwm: omap-dmtimer: Simplify error handling
    - [s390x] pci: Fix possible deadlock in recover_store()
    - [powerpc*] iov: Move VF pdev fixup into pcibios_fixup_iov()
    - tracing: Fix tracing_stat return values in error handling paths
    - tracing: Fix very unlikely race of registering two stat tracers
    - ext4, jbd2: ensure panic when aborting with zero errno
    - ath10k: Correct the DMA direction for management tx buffers
    - nbd: add a flush_workqueue in nbd_start_device
    - [s390x] KVM: ENOTSUPP -> EOPNOTSUPP fixups
    - [arm64] clk: qcom: rcg2: Don't crash if our parent can't be found;
      return an error
    - drm/amdgpu: remove 4 set but not used variable in
      amdgpu_atombios_get_connector_info_from_object_table
    - [arm64,armhf] regulator: rk808: Lower log level on optional GPIOs being
      not available
    - NFC: port100: Convert cpu_to_le16(le16_to_cpu(E1) + E2) to use
      le16_add_cpu().
    - selinux: fall back to ref-walk if audit is required
    - selinux: ensure we cleanup the internal AVC counters on error in
      avc_insert()
    - media: cx23885: Add support for AVerMedia CE310B
    - PCI: Add generic quirk for increasing D3hot delay
    - PCI: Increase D3 delay for AMD Ryzen5/7 XHCI controllers
    - media: v4l2-device.h: Explicitly compare grp{id,mask} to zero in
      v4l2_device macros
    - reiserfs: Fix spurious unlock in reiserfs_fill_super() error handling
    - fore200e: Fix incorrect checks of NULL pointer dereference
    - netfilter: nft_tunnel: add the missing ERSPAN_VERSION nla_policy
    - ALSA: usx2y: Adjust indentation in snd_usX2Y_hwdep_dsp_status
    - orinoco: avoid assertion in case of NULL pointer
    - ACPICA: Disassembler: create buffer fields in ACPI_PARSE_LOAD_PASS1
    - scsi: ufs: Complete pending requests in host reset and restore path
    - scsi: aic7xxx: Adjust indentation in ahc_find_syncrate
    - selinux: ensure we cleanup the internal AVC counters on error in
      avc_update()
    - dmaengine: Store module owner in dma_device struct
    - [arm64] clk: sunxi-ng: add mux and pll notifiers for A64 CPU clock
    - tools lib api fs: Fix gcc9 stringop-truncation compilation error
    - [x86] ACPI: button: Add DMI quirk for Razer Blade Stealth 13 late 2019
      lid switch
    - mlx5: work around high stack usage with gcc
    - drm: remove the newline for CRC source name.
    - usbip: Fix unsafe unaligned pointer usage
    - udf: Fix free space reporting for metadata and virtual partitions
    - staging: rtl8188: avoid excessive stack usage
    - [amd64] IB/hfi1: Add software counter for ctxt0 seq drop
    - [armhf] soc/tegra: fuse: Correct straps' address for older Tegra124
      device trees
    - [x86] efi: Don't panic or BUG() on non-critical error conditions
    - rcu: Use WRITE_ONCE() for assignments to ->pprev for hlist_nulls
    - [x86] nmi: Remove irq_work from the long duration NMI handler
    - driver core: platform: Prevent resouce overflow from causing infinite
      loops
    - driver core: Print device when resources present in really_probe()
    - bpf: Return -EBADRQC for invalid map type in __bpf_tx_xdp_map
    - drm/nouveau/secboot/gm20b: initialize pointer in gm20b_secboot_new()
    - drm/nouveau/gr/gk20a,gm200-: add terminators to method lists read from
      fw
    - drm/nouveau: Fix copy-paste error in nouveau_fence_wait_uevent_handler
    - drm/nouveau/fault/gv100-: fix memory leak on module unload
    - [x86] drm/vmwgfx: prevent memory leak in vmw_cmdbuf_res_add
    - [armhf] usb: musb: omap2430: Get rid of musb .set_vbus for omap2430 glue
    - [arm64] iommu/arm-smmu-v3: Use WRITE_ONCE() when changing validity of an
      STE
    - f2fs: set I_LINKABLE early to avoid wrong access by vfs
    - f2fs: free sysfs kobject
    - scsi: iscsi: Don't destroy session if there are outstanding connections
    - watchdog/softlockup: Enforce that timestamp is valid on boot
    - f2fs: fix memleak of kobject
    - [x86] mm: Fix NX bit clearing issue in kernel_map_pages_in_pgd
    - [armhf] pwm: omap-dmtimer: Remove PWM chip in .remove before making it
      unfunctional
    - btrfs: fix possible NULL-pointer dereference in integrity checks
    - btrfs: safely advance counter when looking up bio csums
    - btrfs: device stats, log when stats are zeroed
    - module: avoid setting info->name early in case we can fall back to
      info->mod->name
    - ALSA: hda/hdmi - add retry logic to parse_intel_hdmi()
    - driver core: platform: fix u32 greater or equal to zero comparison
    - ALSA: hda - Add docking station support for Lenovo Thinkpad T420s
    - drm/nouveau/mmu: fix comptag memory leak
    - [powerpc*] sriov: Remove VF eeh_dev state when disabling SR-IOV
    - bcache: cached_dev_free needs to put the sb page
    - [amd64] iommu/vt-d: Remove unnecessary WARN_ON_ONCE()
    - jbd2: switch to use jbd2_journal_abort() when failed to submit the
      commit record
    - jbd2: make sure ESHUTDOWN to be recorded in the journal superblock
    - iwlegacy: ensure loop counter addr does not wrap and cause an infinite
      loop
    - cifs: fix NULL dereference in match_prepath
    - bpf: map_seq_next should always increase position index
    - ceph: check availability of mds cluster on mount after wait timeout
    - [arm64,armhf] irqchip/gic-v3: Only provision redistributors that are
      enabled in ACPI
    - drm/nouveau/disp/nv50-: prevent oops when no channel method map provided
    - ftrace: fpid_next() should increase position index
    - trigger_next should increase position index
    - radeon: insert 10ms sleep in dce5_crtc_load_lut
    - ocfs2: fix a NULL pointer dereference when call
      ocfs2_update_inode_fsync_trans()
    - reiserfs: prevent NULL pointer dereference in reiserfs_insert_item()
    - bcache: explicity type cast in bset_bkey_last()
    - [arm64,armhf] irqchip/gic-v3-its: Reference to its_invall_cmd descriptor
      when building INVALL
    - iwlwifi: mvm: Fix thermal zone registration
    - brd: check and limit max_part par
    - NFS: Fix memory leaks
    - help_next should increase position index
    - cifs: log warning message (once) if out of disk space
    - virtio_balloon: prevent pfn array overflow
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.107
    - [arm64] iommu/qcom: Fix bogus detach logic
    - ALSA: hda: Use scnprintf() for printing texts for sysfs/procfs
    - [x86] ALSA: hda/realtek - Apply quirk for MSI GP63, too
    - [x86] ALSA: hda/realtek - Apply quirk for yet another MSI laptop
    - [armhf] ASoC: sun8i-codec: Fix setting DAI data format
    - ecryptfs: fix a memory leak bug in parse_tag_1_packet()
    - ecryptfs: fix a memory leak bug in ecryptfs_init_messaging()
    - [x86] thunderbolt: Prevent crash if non-active NVMem file is read
    - USB: misc: iowarrior: add support for 2 OEMed devices
    - USB: misc: iowarrior: add support for the 28 and 28L devices
    - USB: misc: iowarrior: add support for the 100 device
    - floppy: check FDC index for errors before assigning it (CVE-2020-9383)
    - vt: fix scrollback flushing on background consoles
    - vt: selection, handle pending signals in paste_selection
    - vt: vt_ioctl: fix race in VT_RESIZEX
    - [arm*] staging: android: ashmem: Disallow ashmem memory from being
      remapped (CVE-2020-0009)
    - [x86] staging: vt6656: fix sign of rx_dbm to bb_pre_ed_rssi.
    - xhci: Force Maximum Packet size for Full-speed bulk devices to valid
      range.
    - xhci: fix runtime pm enabling for quirky Intel hosts
    - xhci: Fix memory leak when caching protocol extended capability PSI
      tables - take 2
    - usb: host: xhci: update event ring dequeue pointer on purpose
    - USB: core: add endpoint-blacklist quirk
    - USB: quirks: blacklist duplicate ep on Sound Devices USBPre2
    - usb: uas: fix a plug & unplug racing
    - USB: Fix novation SourceControl XL after suspend
    - USB: hub: Don't record a connect-change event during reset-resume
    - USB: hub: Fix the broken detection of USB3 device in SMSC hub
    - [arm*] usb: dwc2: Fix SET/CLEAR_FEATURE and GET_STATUS flows
    - [arm64,armhf] usb: dwc3: gadget: Check for IOC/LST bit in TRB->ctrl
      fields
    - staging: rtl8188eu: Fix potential security hole
    - staging: rtl8188eu: Fix potential overuse of kernel memory
    - staging: rtl8723bs: Fix potential security hole
    - staging: rtl8723bs: Fix potential overuse of kernel memory
    - [powerpc*] tm: Fix clearing MSR[TS] in current when reclaiming on signal
      delivery
    - jbd2: fix ocfs2 corrupt when clearing block group bits
    - [x86] mce/amd: Publish the bank pointer only after setup has succeeded
    - [x86] mce/amd: Fix kobject lifetime
    - [x86] cpu/amd: Enable the fixed Instructions Retired counter IRPERF
    - serial: 8250: Check UPF_IRQ_SHARED in advance
    - [armhf] tty: serial: imx: setup the correct sg entry for tx dma
    - serdev: ttyport: restore client ops on deregistration
    - Revert "ipc,sem: remove uneeded sem_undo_list lock usage in exit_sem()"
    - mm/memcontrol.c: lost css_put in memcg_expand_shrinker_maps()
    - nvme-multipath: Fix memory leak with ana_log_buf
    - genirq/irqdomain: Make sure all irq domain flags are distinct
    - mm/vmscan.c: don't round up scan size for online memory cgroup
    - drm/amdgpu/soc15: fix xclk for raven
    - [x86] xhci: apply XHCI_PME_STUCK_QUIRK to Intel Comet Lake platforms
    - [x86] KVM: nVMX: Don't emulate instructions in guest mode
      (CVE-2020-2732)
    - [x86] KVM: don't notify userspace IOAPIC on edge-triggered interrupt EOI
    - drm/nouveau/kms/gv100-: Re-set LUT after clearing for modesets
    - ext4: fix a data race in EXT4_I(inode)->i_disksize
    - ext4: add cond_resched() to __ext4_find_entry()
    - ext4: fix potential race between online resizing and write operations
    - ext4: fix potential race between s_group_info online resizing and access
    - ext4: fix potential race between s_flex_groups online resizing and
      access
    - ext4: fix mount failure with quota configured as module
    - ext4: rename s_journal_flag_rwsem to s_writepages_rwsem
    - ext4: fix race between writepages and enabling EXT4_EXTENTS_FL
    - [x86] KVM: nVMX: Refactor IO bitmap checks into helper function
    - [x86] KVM: nVMX: Check IO instruction VM-exit conditions
    - [x86] KVM: nVMX: handle nested posted interrupts when apicv is disabled
      for L1
    - [x86] KVM: apic: avoid calculating pending eoi from an uninitialized val
    - btrfs: fix bytes_may_use underflow in prealloc error condtition
    - btrfs: reset fs_root to NULL on error in open_ctree
    - btrfs: do not check delayed items are empty for single transaction
      cleanup
    - Btrfs: fix btrfs_wait_ordered_range() so that it waits for all ordered
      extents
    - scsi: Revert "target: iscsi: Wait for all commands to finish before
      freeing a session"
    - usb: gadget: composite: Fix bMaxPower for SuperSpeedPlus
    - [arm*] usb: dwc2: Fix in ISOC request length checking
    - staging: rtl8723bs: fix copy of overlapping memory
    - ecryptfs: replace BUG_ON with error handling code
    - genirq/proc: Reject invalid affinity masks (again)
    - bpf, offload: Replace bitwise AND by logical AND in
      bpf_prog_offload_info_fill
    - ALSA: seq: Avoid concurrent access to queue flags
    - ALSA: seq: Fix concurrent access to queue current tick/time
    - netfilter: xt_hashlimit: limit the max size of hashtable
    - rxrpc: Fix call RCU cleanup using non-bh-safe locks
    - ata: ahci: Add shutdown to freeze hardware resources of ahci
    - xen: Enable interrupts when calling _cond_resched()
    - [s390x] mm: Explicitly compare PAGE_DEFAULT_KEY against zero in
      storage_key_init_range
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.108
    - [arm64,armhf] irqchip/gic-v3-its: Fix misuse of GENMASK macro
    - iwlwifi: pcie: fix rb_allocator workqueue allocation
    - ipmi:ssif: Handle a possible NULL pointer reference
    - [arm64] drm/msm: Set dma maximum segment size for mdss
    - dax: pass NOWAIT flag to iomap_apply
    - mac80211: consider more elements in parsing CRC
    - cfg80211: check wiphy driver existence for drvinfo report
    - [s390x] zcrypt: fix card and queue total counter wrap
    - qmi_wwan: re-add DW5821e pre-production variant
    - qmi_wwan: unconditionally reject 2 ep interfaces
    - [arm64] soc/tegra: fuse: Fix build with Tegra194 configuration
    - net: ena: fix potential crash when rxfh key is NULL
    - net: ena: fix uses of round_jiffies()
    - net: ena: add missing ethtool TX timestamping indication
    - net: ena: fix incorrect default RSS key
    - net: ena: rss: fix failure to get indirection table
    - net: ena: rss: store hash function as values and not bits
    - net: ena: fix incorrectly saving queue numbers when setting RSS
      indirection table
    - net: ena: ethtool: use correct value for crc32 hash
    - net: ena: ena-com.c: prevent NULL pointer dereference
    - cifs: Fix mode output in debugging statements
    - cfg80211: add missing policy for NL80211_ATTR_STATUS_CODE
    - sysrq: Restore original console_loglevel when sysrq disabled
    - sysrq: Remove duplicated sysrq message
    - net: fib_rules: Correctly set table field when table number exceeds 8
      bits
    - net: sched: correct flower port blocking
    - sctp: move the format error check out of __sctp_sf_do_9_1_abort
    - ipv6: Fix route replacement with dev-only route
    - ipv6: Fix nlmsg_flags when splitting a multipath route
    - qede: Fix race between rdma destroy workqueue and link change event
    - ext4: potential crash on allocation error in ext4_alloc_flex_bg_array()
    - audit: fix error handling in audit_data_to_entry()
    - ACPICA: Introduce ACPI_ACCESS_BYTE_WIDTH() macro
    - [arm64,x86] ACPI: watchdog: Fix gas->access_width usage
    - [x86] KVM: VMX: check descriptor table exits on instruction emulation
    - HID: ite: Only bind to keyboard USB interface on Acer SW5-012 keyboard
      dock
    - HID: core: fix off-by-one memset in hid_report_raw_event()
    - HID: core: increase HID report buffer size to 8KiB
    - tracing: Disable trace_printk() on post poned tests
    - Revert "PM / devfreq: Modify the device name as devfreq(X) for sysfs"
    - amdgpu/gmc_v9: save/restore sdpif regs during S3
    - vhost: Check docket sk_family instead of call getname (CVE-2020-10942)
    - HID: alps: Fix an error handling path in 'alps_input_configured()'
    - HID: hiddev: Fix race in in hiddev_disconnect()
    - [x86] hv_netvsc: Fix unwanted wakeup in netvsc_attach()
    - [s390x] qeth: vnicc Fix EOPNOTSUPP precedence
    - net: netlink: cap max groups which will be considered in netlink_bind()
    - [amd64] net: atlantic: fix use after free kasan warn
    - [amd64] net: atlantic: fix potential error handling
    - net/smc: no peer ID in CLC decline for SMCD
    - net: ena: make ena rxfh support ETH_RSS_HASH_NO_CHANGE
    - namei: only return -ECHILD from follow_dotdot_rcu()
    - mwifiex: drop most magic numbers from
      mwifiex_process_tdls_action_frame()
    - [x86] KVM: SVM: Override default MMIO mask if memory encryption is
      enabled
    - KVM: Check for a bad hva before dropping into the ghc slow path
    - sched/fair: Optimize update_blocked_averages()
    - sched/fair: Fix O(nr_cgroups) in the load balancing path
    - perf stat: Use perf_evsel__is_clocki() for clock events
    - perf stat: Fix shadow stats for clock events
    - [arm64] drivers: net: xgene: Fix the order of the arguments of
      'alloc_etherdev_mqs()'
    - kprobes: Set unoptimized flag after unoptimizing code
    - [armhf] pwm: omap-dmtimer: put_device() after of_find_device_by_node()
    - perf hists browser: Restore ESC as "Zoom out" of DSO/thread/etc
    - [x86] KVM: Remove spurious kvm_mmu_unload() from vcpu destruction path
    - [x86] KVM: Remove spurious clearing of async #PF MSR
    - netfilter: nft_tunnel: no need to call htons() when dumping ports
    - mm/huge_memory.c: use head to check huge zero page
    - mm, thp: fix defrag setting if newline is not used
    - audit: always check the netlink payload length in audit_receive_msg()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.109
    - [x86] EDAC/amd64: Set grain per DIMM
    - ALSA: hda/realtek - Fix a regression for mute led on Lenovo Carbon X1
    - [armhf] net: dsa: bcm_sf2: Forcibly configure IMP port for 1Gb/sec
    - kprobes: Fix optimize_kprobe()/unoptimize_kprobe() cancellation logic
    - [x86] ALSA: hda: do not override bus codec_mask in link_get()
    - usb: gadget: composite: Support more than 500mA MaxPower
    - usb: gadget: ffs: ffs_aio_cancel(): Save/restore IRQ flags
    - usb: gadget: serial: fix Tx stall after buffer overflow
    - [arm64] drm/msm/mdp5: rate limit pp done timeout warnings
    - [arm64] drm: msm: Fix return type of dsi_mgr_connector_mode_valid for
      kCFI
    - scsi: megaraid_sas: silence a warning
    - [arm64] drm/msm/dsi: save pll state before dsi host is powered off
    - [arm64] drm/msm/dsi/pll: call vco set rate explicitly
    - [armhf] net: dsa: b53: Ensure the default VID is untagged
    - [s390x] cio: cio_ignore_proc_seq_next should increase position index
    - [s390x] qdio: fill SL with absolute addresses
    - ice: Don't tell the OS that link is going down
    - [arm64] net: thunderx: workaround BGX TX Underflow issue
    - ALSA: hda/realtek - Add Headset Mic supported
    - ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus Master
    - cifs: don't leak -EAGAIN for stat() during reconnect
    - usb: storage: Add quirk for Samsung Fit flash
    - usb: quirks: add NO_LPM quirk for Logitech Screen Share
    - [arm64,armhf] usb: dwc3: gadget: Update chain bit correctly when using
      sg list
    - usb: core: hub: fix unhandled return by employing a void function
    - usb: core: hub: do error out if usb_autopm_get_interface() fails
    - usb: core: port: do error out if usb_autopm_get_interface() fails
    - vgacon: Fix a UAF in vgacon_invert_region (CVE-2020-8647, CVE-2020-8649)
    - mm, numa: fix bad pmd by atomically check for pmd_trans_huge when
      marking page tables prot_numa
    - mm: fix possible PMD dirty bit lost in set_pmd_migration_entry()
    - fat: fix uninit-memory access for partial initialized inode
    - [arm64] tty:serial:mvebu-uart:fix a wrong return
    - serial: 8250_exar: add support for ACCES cards
    - vt: selection, close sel_buffer race (CVE-2020-8648)
    - vt: selection, push console lock down
    - vt: selection, push sel_lock up
    - [arm64,armhf] media: v4l2-mem2mem.c: fix broken links
    - [x86] pkeys: Manually set X86_FEATURE_OSPKE to preserve existing changes
    - [arm64,armhf] dmaengine: tegra-apb: Fix use-after-free
    - [arm64,armhf] dmaengine: tegra-apb: Prevent race conditions of tasklet
      vs free list
    - dm cache: fix a crash due to incorrect work item cancelling
    - dm: report suspended device during destroy
    - dm writecache: verify watermark during resume
    - [x86] ASoC: topology: Fix memleak in soc_tplg_link_elems_load()
    - [x86] ASoC: topology: Fix memleak in soc_tplg_manifest_load()
    - [x86] ASoC: intel: skl: Fix pin debug prints
    - [x86] ASoC: intel: skl: Fix possible buffer overflow in debug outputs
    - [armhf] dmaengine: imx-sdma: remove dma_slave_config direction usage and
      leave sdma_event_enable()
    - ASoC: pcm: Fix possible buffer overflow in dpcm state sysfs output
    - ASoC: dapm: Correct DAPM handling of active widgets during shutdown
    - [armhf] drm/sun4i: Fix DE2 VI layer format support
    - [armhf] drm/sun4i: de2/de3: Remove unsupported VI layer formats
    - RDMA/iwcm: Fix iwcm work deallocation
    - RMDA/cm: Fix missing ib_cm_destroy_id() in ib_cm_insert_listen()
    - [amd64] IB/hfi1, qib: Ensure RCU is locked when accessing list
    - [armhf] ARM: imx: build v7_cpu_resume() unconditionally
    - hwmon: (adt7462) Fix an error return in ADT7462_REG_VOLT()
    - [powerpc*] fix hardware PMU exception bug on PowerVM compatibility mode
      systems
    - [amd64] efi/x86: Align GUIDs to their size in the mixed mode runtime
      wrapper
    - [amd64] efi/x86: Handle by-ref arguments covering multiple pages in
      mixed mode
    - dm integrity: fix a deadlock due to offloading to an incorrect workqueue
    - scsi: pm80xx: Fixed kernel panic during error recovery for SATA drive
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.110
    - [x86] KVM: SVM: fix up incorrect backport
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.111
    - phy: Revert toggling reset changes.
    - net: phy: Avoid multiple suspends
    - cgroup, netclassid: periodically release file_lock on classid updating
    - gre: fix uninit-value in __iptunnel_pull_header
    - inet_diag: return classid for all socket types
    - ipv6/addrconf: call ipv6_mc_up() for non-Ethernet interface
    - ipvlan: add cond_resched_rcu() while processing muticast backlog
    - ipvlan: do not add hardware address of master to its unicast filter list
    - ipvlan: do not use cond_resched_rcu() in ipvlan_process_multicast()
    - ipvlan: don't deref eth hdr before checking it's set
    - net/ipv6: use configured metric when add peer route
    - netlink: Use netlink header as base to calculate bad attribute offset
    - net: macsec: update SCI upon MAC address change.
    - net: nfc: fix bounds checking bugs on "pipe"
    - net/packet: tpacket_rcv: do not increment ring index on drop
    - [arm64,armhf] net: stmmac: dwmac1000: Disable ACS if enhanced descs are
      not used
    - r8152: check disconnect status after long sleep
    - sfc: detach from cb_page in efx_copy_channel()
    - bnxt_en: reinitialize IRQs when MTU is modified
    - cgroup: memcg: net: do not associate sock with unrelated cgroup
    - net: memcg: late association of sock to memcg
    - net: memcg: fix lockdep splat in inet_csk_accept()
    - devlink: validate length of param values
    - nl802154: add missing attribute validation
    - nl802154: add missing attribute validation for dev_type
    - can: add missing attribute validation for termination
    - macsec: add missing attribute validation for port
    - net: fq: add missing attribute validation for orphan mask
    - team: add missing attribute validation for port ifindex
    - team: add missing attribute validation for array index
    - nfc: add missing attribute validation for SE API
    - nfc: add missing attribute validation for deactivate target
    - nfc: add missing attribute validation for vendor subcommand
    - net: phy: fix MDIO bus PM PHY resuming
    - net/ipv6: need update peer route when modify metric
    - net/ipv6: remove the old peer route if change it to a new one
    - tipc: add missing attribute validation for MTU property
    - devlink: validate length of region addr/len
    - bonding/alb: make sure arp header is pulled before accessing it
    - slip: make slhc_compress() more robust against malicious packets
    - [armhf] net: fec: validate the new settings in fec_enet_set_coalesce()
    - macvlan: add cond_resched() during multicast processing
    - cgroup: cgroup_procs_next should increase position index
    - cgroup: Iterate tasks that did not finish do_exit()
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices
    - virtio-blk: fix hw_queue stopped on arbitrary error
    - [amd64] iommu/vt-d: quirk_ioat_snb_local_iommu: replace WARN_TAINT with
      pr_warn + add_taint
    - netfilter: nf_conntrack: ct_cpu_seq_next should increase position index
    - netfilter: synproxy: synproxy_cpu_seq_next should increase position
      index
    - netfilter: xt_recent: recent_seq_next should increase position index
    - netfilter: x_tables: xt_mttg_seq_next should increase position index
    - workqueue: don't use wq_select_unbound_cpu() for bound works
    - drm/amd/display: remove duplicated assignment to grph_obj_type
    - cifs_atomic_open(): fix double-put on late allocation failure
    - gfs2_atomic_open(): fix O_EXCL|O_CREAT handling on cold dcache
    - [x86] KVM: clear stale x86_emulate_ctxt->intercept value
    - efi: Fix a race and a buffer overflow while reading efivars via sysfs
    - efi: Make efi_rts_work accessible to efi page fault handler
    - mt76: fix array overflow on receiving too many fragments for a packet
    - [x86] mce: Fix logic and comments around MSR_PPIN_CTL
    - [arm64] iommu/dma: Fix MSI reservation allocation
    - [amd64] iommu/vt-d: dmar: replace WARN_TAINT with pr_warn + add_taint
    - [amd64] iommu/vt-d: Fix a bug in intel_iommu_iova_to_phys() for huge
      page
    - batman-adv: Don't schedule OGM for disabled interface
    - [arm64] pinctrl: meson-gxl: fix GPIOX sdio pins
    - pinctrl: core: Remove extra kref_get which blocks hogs being freed
    - [arm64,armhf] i2c: gpio: suppress error on probe defer
    - nl80211: add missing attribute validation for critical protocol
      indication
    - nl80211: add missing attribute validation for beacon report scanning
    - nl80211: add missing attribute validation for channel switch
    - perf bench futex-wake: Restore thread count default to online CPU count
    - netfilter: cthelper: add missing attribute validation for cthelper
    - netfilter: nft_payload: add missing attribute validation for payload
      csum flags
    - netfilter: nft_tunnel: add missing attribute validation for tunnels
    - [amd64] iommu/vt-d: Fix the wrong printing in RHSA parsing
    - [amd64] iommu/vt-d: Ignore devices with out-of-spec domain number
    - [arm64,x86] i2c: acpi: put device when verifying client fails
    - ipv6: restrict IPV6_ADDRFORM operation
    - net/smc: check for valid ib_client_data
    - net/smc: cancel event worker during device removal
    - efi: Add a sanity check to efivar_store_raw()
    - batman-adv: Avoid free/alloc race when handling OGM2 buffer
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.112
    - [x86] perf/amd/uncore: Replace manual sampling check with
      CAP_NO_INTERRUPT flag
    - [armhf] mmc: sdhci-omap: Add platform specific reset callback
    - [armhf] mmc: sdhci-omap: Workaround errata regarding SDR104/HS200 tuning
      failures (i929)
    - ACPI: watchdog: Allow disabling WDAT at boot
    - HID: apple: Add support for recent firmware on Magic Keyboards
    - [x86] HID: i2c-hid: add Trekstor Surfbook E11B to descriptor override
    - cfg80211: check reg_rule for NULL in handle_channel_custom()
    - scsi: libfc: free response frame from GPN_ID
    - net: usb: qmi_wwan: restore mtu min/max values after raw_ip switch
    - mac80211: rx: avoid RCU list traversal under mutex
    - signal: avoid double atomic counter increments for user accounting
    - slip: not call free_netdev before rtnl_unlock in slip_open
    - [x86,arm64] hinic: fix a irq affinity bug
    - [x86,arm64] hinic: fix a bug of setting hw_ioctxt
    - sfc: fix timestamp reconstruction at 16-bit rollover points
    - jbd2: fix data races at struct journal_head
    - [armhf] mmc: sdhci-omap: Don't finish_mrq() on a command error during
      tuning
    - [armhf] mmc: sdhci-omap: Fix Tuning procedure for temperatures < -20C
    - driver core: Remove the link if there is no driver with AUTO flag
    - driver core: Fix adding device links to probing suppliers
    - driver core: Make driver core own stateful device links
    - driver core: Add device link flag DL_FLAG_AUTOPROBE_CONSUMER
    - driver core: Remove device link creation limitation
    - driver core: Fix creation of device links with PM-runtime flags
    - mm: slub: add missing TID bump in kmem_cache_alloc_bulk()
    - efi: Fix debugobjects warning on 'efi_rts_work'
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.113
    - [arm64] spi: qup: call spi_qup_pm_resume_runtime before suspending
    - [amd64] spi: pxa2xx: Add CS control clock quirk
    - [armhf] drm/exynos: dsi: fix workaround for the legacy clock name
    - [arm64] drivers/perf: arm_pmu_acpi: Fix incorrect checking of gicc
      pointer
    - dm bio record: save/restore bi_end_io and bi_integrity
    - dm integrity: use dm_bio_record and dm_bio_restore
    - xenbus: req->body should be updated before req->state
    - xenbus: req->err should be updated before req->state
    - block, bfq: fix overwrite of bfq_group pointer in bfq_find_set_group()
    - USB: Disable LPM on WD19's Realtek Hub
    - usb: quirks: add NO_LPM quirk for RTL8153 based ethernet adapters
    - USB: serial: option: add ME910G1 ECM composition 0x110b
    - [arm64,armhf] usb: host: xhci-plat: add a shutdown
    - USB: serial: pl2303: add device-id for HP LD381
    - [x86] usb: xhci: apply XHCI_SUSPEND_DELAY to AMD XHCI controller
      1022:145c
    - ALSA: line6: Fix endless MIDI read loop
    - ALSA: seq: virmidi: Fix running status after receiving sysex
    - ALSA: seq: oss: Fix running status after receiving sysex
    - ALSA: pcm: oss: Avoid plugin buffer overflow
    - ALSA: pcm: oss: Remove WARNING from snd_pcm_plug_alloc() checks
    - [armhf] iio: st_sensors: remap SMO8840 to LIS2DH12
    - mmc: rtsx_pci: Fix support for speed-modes that relies on tuning
    - staging: rtl8188eu: Add device id for MERCUSYS MW150US v2
    - staging/speakup: fix get_word non-space look-ahead
    - [x86] intel_th: Fix user-visible error codes
    - [x86] intel_th: pci: Add Elkhart Lake CPU support
    - xhci: Do not open code __print_symbolic() in xhci trace events
    - btrfs: fix log context list corruption after rename whiteout error
    - drm/amd/amdgpu: Fix GPR read from debugfs (v2)
    - drm/lease: fix WARNING in idr_destroy
    - memcg: fix NULL pointer dereference in
      __mem_cgroup_usage_unregister_event
    - mm: slub: be more careful about the double cmpxchg of freelist
    - mm, slub: prevent kmalloc_node crashes and memory leaks
    - page-flags: fix a crash at SetPageError(THP_SWAP)
    - [x86] mm: split vmalloc_sync_all() (Closes: #953017)
    - USB: cdc-acm: fix close_delay and closing_wait units in TIOCSSERIAL
    - USB: cdc-acm: fix rounding error in TIOCSSERIAL
    - futex: Fix inode life-time issue
    - futex: Unbreak futex hashing
    - Revert "vrf: mark skb for multicast or link-local as enslaved to VRF"
    - Revert "ipv6: Fix handling of LLA with VRF and sockets bound to VRF"
    - ALSA: hda/realtek: Fix pop noise on ALC225
    - [arm64] smp: fix smp_send_stop() behaviour
    - [arm64] smp: fix crash_smp_send_stop() behaviour
    - [arm64,armhf] drm/bridge: dw-hdmi: fix AVI frame colorimetry
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.114
    - mmc: core: Allow host controllers to require R1B for CMD6
    - mmc: core: Respect MMC_CAP_NEED_RSP_BUSY for erase/trim/discard
    - mmc: core: Respect MMC_CAP_NEED_RSP_BUSY for eMMC sleep command
    - [armhf] mmc: sdhci-omap: Fix busy detection by enabling
      MMC_CAP_NEED_RSP_BUSY
    - [arm64,armhf] mmc: sdhci-tegra: Fix busy detection by enabling
      MMC_CAP_NEED_RSP_BUSY
    - geneve: move debug check after netdev unregister
    - macsec: restrict to ethernet devices
    - net: cbs: Fix software cbs to consider packet sending time
    - [armhf] net: dsa: Fix duplicate frames flooded by learning
    - [arm64,armhf] net: mvneta: Fix the case where the last poll did not
      process all rx
    - net/packet: tpacket_rcv: avoid a producer race condition
    - net: qmi_wwan: add support for ASKEY WWHC050
    - net_sched: cls_route: remove the right filter from hashtable
    - net_sched: keep alloc_hash updated after hash allocation
    - [arm64,armhf] net: stmmac: dwmac-rk: fix error path in rk_gmac_probe
    - slcan: not call free_netdev before rtnl_unlock in slcan_open
    - bnxt_en: fix memory leaks in bnxt_dcbnl_ieee_getets()
    - bnxt_en: Reset rings if ring reservation fails during open()
    - net: ip_gre: Separate ERSPAN newlink / changelink callbacks
    - net: ip_gre: Accept IFLA_INFO_DATA-less configuration
    - r8169: re-enable MSI on RTL8168c
    - tcp: repair: fix TCP_QUEUE_SEQ implementation
    - vxlan: check return value of gro_cells_init()
    - cgroup-v1: cgroup_pidlist_next should update position index
    - nfs: add minor version to nfs_server_key for fscache
    - drivers/of/of_mdio.c:fix of_mdiobus_register()
    - cgroup1: don't call release_agent when it is ""
    - [s390x] qeth: handle error when backing RX buffer
    - scsi: ipr: Fix softlockup when rescanning devices in petitboot
    - mac80211: Do not send mesh HWMP PREQ if HWMP is disabled
    - [x86] ftrace: Anotate text_mutex split between
      ftrace_arch_code_modify_post_process() and
      ftrace_arch_code_modify_prepare()
    - [x86] Input: synaptics - enable RMI on HP Envy 13-ad105ng
    - Input: avoid BIT() macro usage in the serio.h UAPI header
    - ceph: check POOL_FLAG_FULL/NEARFULL in addition to OSDMAP_FULL/NEARFULL
    - perf probe: Do not depend on dwfl_module_addrsym()
    - scsi: sd: Fix optimal I/O size for devices that change reported values
    - nl80211: fix NL80211_ATTR_CHANNEL_WIDTH attribute type
    - mac80211: mark station unauthorized before key removal
    - [x86] gpiolib: acpi: Correct comment for HP x2 10 honor_wakeup quirk
    - gpiolib: acpi: Rework honor_wakeup option into an ignore_wake option
    - [x86] gpiolib: acpi: Add quirk to ignore EC wakeups on HP x2 10 BYT +
      AXP288 model
    - genirq: Fix reference leaks on irq affinity notifiers
    - xfrm: handle NETDEV_UNREGISTER for xfrm device
    - vti[6]: fix packet tx through bpf_redirect() in XinY cases
    - RDMA/mlx5: Block delay drop to unprivileged users
    - xfrm: fix uctx len check in verify_sec_ctx_len
    - xfrm: add the missing verify_sec_ctx_len check in xfrm_add_acquire
    - xfrm: policy: Fix doulbe free in xfrm_policy_timer
    - afs: Fix some tracing details
    - netfilter: flowtable: reload ip{v6}h in nf_flow_tuple_ip{v6}
    - netfilter: nft_fwd_netdev: validate family and chain type
    - bpf/btf: Fix BTF verification of enum members in struct/union
    - vti6: Fix memory leak of skb if input policy check fails
    - mac80211: add option for setting control flags
    - mac80211: set IEEE80211_TX_CTRL_PORT_CTRL_PROTO for nl80211 TX
    - USB: serial: option: add support for ASKEY WWHC050
    - USB: serial: option: add BroadMobi BM806U
    - USB: serial: option: add Wistron Neweb D19Q1
    - USB: cdc-acm: restore capability check order
    - USB: serial: io_edgeport: fix slab-out-of-bounds read in
      edge_interrupt_callback
    - [arm64,armhf] usb: musb: fix crash with highmen PIO and usbmon
    - media: flexcop-usb: fix endpoint sanity check
    - media: usbtv: fix control-message timeouts
    - staging: rtl8188eu: Add ASUS USB-N10 Nano B1 to device table
    - [x86] ahci: Add Intel Comet Lake H RAID PCI ID
    - libfs: fix infoleak in simple_attr_read()
    - media: ov519: add missing endpoint sanity checks (CVE-2020-11608)
    - media: dib0700: fix rc endpoint lookup
    - media: stv06xx: add missing descriptor sanity checks (CVE-2020-11609)
    - media: xirlink_cit: add missing descriptor sanity checks
      (CVE-2020-11668)
    - mac80211: Check port authorization in the ieee80211_tx_dequeue() case
    - mac80211: fix authentication with iwlwifi/mvm
    - vt: selection, introduce vc_is_sel
    - vt: ioctl, switch VT_IS_IN_USE and VT_BUSY to inlines
    - vt: switch vt_dont_switch to bool
    - vt: vt_ioctl: remove unnecessary console allocation checks
    - vt: vt_ioctl: fix VT_DISALLOCATE freeing in-use virtual console
    - vt: vt_ioctl: fix use-after-free in vt_in_use()
    - [x86] platform: pmc_atom: Add Lex 2I385SW to critclk_systems DMI table
    - bpf: Explicitly memset the bpf_attr structure
    - bpf: Explicitly memset some bpf info structures declared on the stack
    - [x86] gpiolib: acpi: Add quirk to ignore EC wakeups on HP x2 10 CHT +
      AXP288 model
    - perf map: Fix off by one in strncpy() size argument
    - [armel] bcm2835-rpi-zero-w: Add missing pinctrl name
    - [armhf] dts: N900: fix onenand timings
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.115
    - ipv4: fix a RCU-list lock in fib_triestat_seq_show
    - net, ip_tunnel: fix interface lookup with no key
    - sctp: fix refcount bug in sctp_wfree
    - sctp: fix possibly using a bad saddr with a given dst
    - nvme-rdma: Avoid double freeing of async event data
    - drm/bochs: downgrade pci_request_region failure from error to warning
    - drm/amdgpu: fix typo for vcn1 idle check
    - [x86] tools/power turbostat: Fix gcc build warnings
    - [x86] tools/power turbostat: Fix missing SYS_LPI counter on some
      Chromebooks
    - [armhf] drm/etnaviv: replace MMU flush marker with flush sequence
    - media: rc: IR signal for Panasonic air conditioner too long
    - misc: rtsx: set correct pcr_ops for rts522A
    - [x86] mei: me: add cedar fork device ids
    - ALSA: hda/ca0132 - Add Recon3Di quirk to handle integrated sound on EVGA
      X99 Classified motherboard
    - rxrpc: Fix sendmsg(MSG_WAITALL) handling
    - net: Fix Tx hash bound checking
    - padata: always acquire cpu_hotplug_lock before pinst->lock
    - mm: mempolicy: require at least one nodeid for MPOL_PREFERRED
      (CVE-2020-11565)
    - ipv6: don't auto-add link-local address to lag ports
    - [armhf] net: dsa: bcm_sf2: Do not register slave MDIO bus with OF
    - [armhf] net: dsa: bcm_sf2: Ensure correct sub-node is parsed
    - net: phy: micrel: kszphy_resume(): add delay after genphy_resume()
      before accessing PHY registers
    - [arm64,armhf] net: stmmac: dwmac1000: fix out-of-bounds mac address reg
      setting
    - slcan: Don't transmit uninitialized stack data in padding
      (CVE-2020-11494)
    - random: always use batched entropy for get_random_u{32,64}
    - [arm64,armhf] usb: dwc3: gadget: Wrap around when skip TRBs
    - [armhf] hwrng: imx-rngc - fix an error path
    - [amd64] IB/hfi1: Call kobject_put() when kobject_init_and_add() fails
    - [amd64] IB/hfi1: Fix memory leaks in sysfs registration and
      unregistration
    - ceph: remove the extra slashes in the server path
    - ceph: canonicalize server path in place
    - RDMA/ucma: Put a lock around every call to the rdma_cm layer
    - RDMA/cma: Teach lockdep about the order of rtnl and lock
    - Bluetooth: RFCOMM: fix ODEBUG bug in rfcomm_dev_ioctl
    - RDMA/cm: Update num_paths in cma_resolve_iboe_route error flow
    - fbcon: fix null-ptr-deref in fbcon_switch
    - [arm64] clk: qcom: rcg: Return failure for RCG update
    - [arm64] drm/msm: stop abusing dma_map/unmap for cache
    - [arm64] Fix size of __early_cpu_boot_status
    - [arm64] rpmsg: glink: Remove chunk size word align warning
    - [arm64,armhf] usb: dwc3: don't set gadget->is_otg flag
    - drm_dp_mst_topology: fix broken drm_dp_sideband_parse_remote_dpcd_read()
    - [arm64] drm/msm: Use the correct dma_sync calls in msm_gem
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.116
    - [armhf] dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high
      voltage
    - [arm64,armhf] bus: sunxi-rsb: Return correct data when mixing 16-bit and
      8-bit reads
    - [x86,arm64] hinic: fix a bug of waitting for IO stopped
    - [x86,arm64] hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass the sign of offset delta in FW CMD
    - qlcnic: Fix bad kzalloc null test
    - [armhf] cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
    - [arm64] media: venus: hfi_parser: Ignore HEVC encoding for V1
    - null_blk: Fix the null_add_dev() error path
    - null_blk: Handle null_add_dev() failures properly
    - null_blk: fix spurious IO errors after failed past-wp access
    - xhci: bail out early if driver can't accress host in resume
    - [x86] Don't let pgprot_modify() change the page encryption bit
    - block: keep bdi->io_pages in sync with max_sectors_kb for stacked
      devices
    - sched: Avoid scale real weight down to zero
    - libata: Remove extra scsi_host_put() in ata_scsi_add_hosts()
    - [amd64,x86] pstore/platform: fix potential mem leak if pstore_init_fs
      failed
    - gfs2: Don't demote a glock until its revokes are written
    - [i386] efi/x86: Ignore the memory attributes table on i386
    - genirq/irqdomain: Check pointer in irq_domain_alloc_irqs_hierarchy()
    - block: Fix use-after-free issue accessing struct io_cq
    - [arm64,armhf] usb: dwc3: core: add support for disabling SS instances in
      park mode
    - [arm64,armhf] irqchip/gic-v4: Provide irq_retrigger to avoid circular
      locking dependency
    - md: check arrays is suspended in mddev_detach before call quiesce
      operations
    - firmware: fix a double abort case with fw_load_sysfs_fallback
    - block, bfq: fix use-after-free in bfq_idle_slice_timer_body
    - btrfs: qgroup: ensure qgroup_rescan_running is only set when the worker
      is at least queued
    - btrfs: remove a BUG_ON() from merge_reloc_roots()
    - btrfs: track reloc roots based on their commit root bytenr
    - IB/mlx5: Replace tunnel mpls capability bits for tunnel_offloads
    - uapi: rename ext2_swab() to swab() and share globally in swab.h
    - slub: improve bit diffusion for freelist ptr obfuscation
    - ASoC: fix regwmask
    - ASoC: dapm: connect virtual mux with default value
    - ASoC: dpcm: allow start or stop during pause for backend
    - [x86] ASoC: topology: use name_prefix for new kcontrol
    - usb: gadget: f_fs: Fix use after free issue as part of queue failure
    - usb: gadget: composite: Inform controller driver of self-powered
    - ALSA: hda: Add driver blacklist
    - ALSA: hda: Fix potential access overflow in beep helper
    - ALSA: ice1724: Fix invalid access for enumerated ctl items
    - ALSA: pcm: oss: Fix regression by buffer overflow fix
    - ALSA: doc: Document PC Beep Hidden Register on Realtek ALC256
    - ALSA: hda/realtek - Set principled PC Beep configuration for ALC256
    - [x86] ALSA: hda/realtek - Remove now-unnecessary XPS 13 headphone noise
      fixups
    - [x86] ALSA: hda/realtek - Add quirk for MSI GL63
    - [x86] acpi: ignore unspecified bit positions in the ACPI global lock
      field
    - nvme-fc: Revert "add module to ops template to allow module references"
    - nvme: Treat discovery subsystems as unique subsystems
    - PCI: pciehp: Fix indefinite wait on sysfs requests
    - PCI/ASPM: Clear the correct bits when enabling L1 substates
    - PCI: Add boot interrupt quirk mechanism for Xeon chipsets
    - tpm: Don't make log failures fatal
    - tpm: tpm1_bios_measurements_next should increase position index
    - tpm: tpm2_bios_measurements_next should increase position index
    - KEYS: reaching the keys quotas correctly
    - [amd64,x86] pstore: pstore_ftrace_seq_next should increase position
      index
    - [mips*el] tlbex: Fix LDDIR usage in setup_pw() for Loongson-3
    - [mips*/octeon] irq: Fix potential NULL pointer dereference
    - ath9k: Handle txpower changes even when TPC is disabled
    - signal: Extend exec_id to 64bits
    - [i386] x86/entry/32: Add missing ASM_CLAC to general_protection entry
    - [x86] KVM: nVMX: Properly handle userspace interrupt window request
    - [s390x] KVM: vsie: Fix region 1 ASCE sanity shadow address checks
    - [s390x] KVM: vsie: Fix delivery of addressing exceptions
    - [x86] KVM: Allocate new rmap and large page tracking when moving memslot
    - [x86] KVM: VMX: Always VMCLEAR in-use VMCSes during crash with kexec
      support
    - [x86] KVM: Gracefully handle __vmalloc() failure during VM allocation
    - [x86] KVM: VMX: fix crash cleanup when KVM wasn't used
    - CIFS: Fix bug which the return value by asynchronous read is error
    - Btrfs: fix crash during unmount due to race with delayed inode workers
    - btrfs: set update the uuid generation as soon as possible
    - btrfs: drop block from cache on error in relocation
    - btrfs: fix missing file extent item for hole after ranged fsync
    - btrfs: fix missing semaphore unlock in btrfs_sync_file
    - [powerpc*] pseries: Drop pointless static qualifier in
      vpa_debugfs_init()
    - [x86] speculation: Remove redundant arch_smt_update() invocation
    - mm: Use fixed constant in page_frag_alloc instead of size + 1
    - dm writecache: add cond_resched to avoid CPU hangs
    - [s390x] scsi: zfcp: fix missing erp_lock in port recovery trigger for
      point-to-point
    - [arm64] armv8_deprecated: Fix undef_hook mask for thumb setend
    - [armhf] drm/etnaviv: rework perfmon query infrastructure
    - [powerpc*] pseries: Avoid NULL pointer dereference when drmem is
      unavailable
    - NFS: Fix a page leak in nfs_destroy_unlinked_subrequests()
    - ext4: fix a data race at inode->i_blocks
    - fs/filesystems.c: downgrade user-reachable WARN_ONCE() to pr_warn_once()
    - ocfs2: no need try to truncate file beyond i_size
    - [s390x] diag: fix display of diagnose call statistics
    - [x86] Input: i8042 - add Acer Aspire 5738z to nomux list
    - kmod: make request_module() return an error when autoloading is disabled
    - [powerpc*] cpufreq: powernv: Fix use-after-free
    - hfsplus: fix crash and filesystem corruption when deleting files
    - libata: Return correct status in sata_pmp_eh_recover_pm() when
      ATA_DFLAG_DETACH is set
    - ipmi: fix hung processes in __get_guid()
    - xen/blkfront: fix memory allocation flags in blkfront_setup_indirect()
    - [powerpc*] powernv/idle: Restore AMR/UAMOR/AMOR after idle
      (CVE-2020-11669)
    - [powerpc*] 64/tm: Don't let userspace set regs->trap via sigreturn
    - [powerpc*] hash64/devmap: Use H_PAGE_THP_HUGE when setting up huge
      devmap PTE entries
    - [powerpc*] xive: Use XIVE_BAD_IRQ instead of zero to catch non
      configured IPIs
    - [powerpc*] kprobes: Ignore traps that happened in real mode
    - scsi: mpt3sas: Fix kernel panic observed on soft HBA unplug
    - [powerpc*] Add attributes for setjmp/longjmp
    - [powerpc*] Make setjmp/longjmp signature standard
    - btrfs: use nofs allocations for running delayed items
    - dm zoned: remove duplicate nr_rnd_zones increase in dmz_init_zone()
    - drm/dp_mst: Fix clearing payload state on topology disable
    - drm: Remove PageReserved manipulation from drm_pci_alloc
    - ftrace/kprobe: Show the maxactive number on kprobe_events
    - [armhf] etnaviv: perfmon: fix total and idle HI cyleces readout
    - [amd64] efi/x86: Fix the deletion of variables in mixed mode
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.117
    - [amd64,arm64] amd-xgbe: Use __napi_schedule() in BH context
    - net: ipv6: do not consider routes via gateways for anycast address check
    - net: revert default NAPI poll timeout to 2 jiffies
    - [arm64,armhf] net: stmmac: dwmac-sunxi: Provide TX and RX fifo sizes
    - ovl: fix value of i_ino for lower hardlink corner case
    - scsi: ufs: Fix ufshcd_hold() caused scheduling while atomic
    - jbd2: improve comments about freeing data buffers whose page mapping is
      NULL
    - ext4: fix incorrect group count in ext4_fill_super error message
    - ext4: fix incorrect inodes per group in error message
    - [x86] ASoC: Intel: mrfld: fix incorrect check on p->sink
    - [x86] ASoC: Intel: mrfld: return error codes when an error occurs
    - ALSA: usb-audio: Filter error from connector kctl ops, too
    - ALSA: usb-audio: Don't override ignore_ctl_error value from the map
    - ALSA: usb-audio: Don't create jack controls for PCM terminals
    - ALSA: usb-audio: Check mapping at creating connector controls, too
    - keys: Fix proc_keys_next to increase position index
    - tracing: Fix the race between registering 'snapshot' event trigger and
      triggering 'snapshot' operation
    - btrfs: check commit root generation in should_ignore_root
    - mac80211_hwsim: Use kstrndup() in place of kasprintf()
    - [arm64,armhf] usb: dwc3: gadget: don't enable interrupt when disabling
      endpoint
    - [arm64,armhf] usb: dwc3: gadget: Don't clear flags before transfer ended
    - ext4: do not zeroout extents beyond i_disksize
    - [x86] kvm: Host feature SSBD doesn't imply guest feature SPEC_CTRL_SSBD
    - scsi: target: fix hang when multiple threads try to destroy the same
      iscsi session
    - [x86] microcode/AMD: Increase microcode PATCH_MAX_SIZE
    - wil6210: check rx_buff_mgmt before accessing it
    - wil6210: ignore HALP ICR if already handled
    - wil6210: add general initialization/size checks
    - wil6210: make sure Rx ring sizes are correlated
    - wil6210: remove reset file from debugfs
    - mm/vmalloc.c: move 'area->pages' after if statement
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.118
    - [armel,armhf] bpf: Fix offset overflow for BPF_MEM BPF_DW
    - scsi: sg: add sg_remove_request in sg_common_write
    - ext4: use non-movable memory for superblock readahead
    - [arm64,armhf] watchdog: sp805: fix restart handler
    - [armel,armhf] arm, bpf: Fix bugs with ALU64 {RSH, ARSH} BPF_K shift by 0
    - netfilter: nf_tables: report EOPNOTSUPP on unsupported flags/object type
    - [arm64] irqchip/mbigen: Free msi_desc on device teardown
    - ALSA: hda: Don't release card at firmware loading error
    - of: overlay: kmemleak in dup_and_fixup_symbol_prop()
    - [x86] Hyper-V: Report crash register data or kmsg before running crash
      kernel
    - rbd: avoid a deadlock on header_rwsem when flushing notifies
    - rbd: call rbd_dev_unprobe() after unwatching and flushing notifies
    - xsk: Add missing check on user supplied headroom size
    - [x86] Hyper-V: Unload vmbus channel in hv panic callback
    - [x86] Hyper-V: Free hv_panic_page when fail to register kmsg dump
    - [x86] Hyper-V: Trigger crash enlightenment only once during system
      crash.
    - [x86] Hyper-V: Report crash register data when sysctl_record_panic_msg
      is not set
    - [x86] Hyper-V: Report crash data in die() when panic_on_oops is set
    - power: supply: bq27xxx_battery: Silence deferred-probe error
    - [arm64,armhf] clk: tegra: Fix Tegra PMC clock out parents
    - [armhf] soc: imx: gpc: fix power up sequencing
    - NFSv4/pnfs: Return valid stateids in nfs_layout_find_inode_by_stateid()
    - NFS: direct.c: Fix memory leak of dreq when nfs_get_lock_context fails
    - [s390x] cpuinfo: fix wrong output when CPU0 is offline
    - [s390x] cpum_sf: Fix wrong page count in error message
    - ext4: do not commit super on read-only bdev
    - cifs: Allocate encryption header through kmalloc
    - include/linux/swapops.h: correct guards for non_swap_entry()
    - percpu_counter: fix a data race at vm_committed_as
    - [s390x] KVM: vsie: Fix possible race when shadowing region 3 tables
    - [x86] ACPI: fix CPU hotplug deadlock
    - [amd64] drm/amdkfd: kfree the wrong pointer
    - NFS: Fix memory leaks in nfs_pageio_stop_mirroring()
    - f2fs: fix NULL pointer dereference in f2fs_write_begin()
    - [arm*] drm/vc4: Fix HDMI mode validation
    - [amd64] iommu/vt-d: Fix mm reference leak
    - power: supply: axp288_fuel_gauge: Broaden vendor check for Intel Compute
      Sticks.
    - libnvdimm: Out of bounds read in __nd_ioctl()
    - f2fs: fix to wait all node page writeback
    - [armhf] net: dsa: bcm_sf2: Fix overflow checks
    - fbdev: potential information leak in do_fb_ioctl()
    - mtd: lpddr: Fix a double free in probe()
    - mtd: phram: fix a double free issue in error path
    - KEYS: Don't write out to userspace while holding key semaphore
    - bpf: fix buggy r0 retval refinement for tracing helpers

  [ Salvatore Bonaccorso ]
  * Refresh "Revert "objtool: Fix CONFIG_STACK_VALIDATION=y warning for
    out-of-tree modules"" for context changes in 4.19.99
  * Refresh "ARM: dts: bcm283x: Correct vchiq compatible string" for context
    changes in 4.19.99
  * Drop "tools/lib/api/fs/fs.c: Fix misuse of strncpy()"
  * Refresh "net: ena: add MAX_QUEUES_EXT get feature admin command" for
    context changes in 4.19.108
  * [rt] Update to 4.19.115-rt48:
    - Revert "genirq: Do not invoke the affinity callback via a workqueue on
      RT"
  * [rt] Refresh "pci/switchtec: Don't use completion's wait queue" for
    context changes in 4.19.116
  * Refresh "firmware: Remove redundant log messages from drivers" for context
    changes in 4.19.118
  * f2fs: fix to avoid memory leakage in f2fs_listxattr (CVE-2020-0067)
  * net: ipv6: add net argument to ip6_dst_lookup_flow
  * net: ipv6_stub: use ip6_dst_lookup_flow instead of ip6_dst_lookup
    (CVE-2020-1749)
  * blktrace: Protect q->blk_trace with RCU (CVE-2019-19768)
  * blktrace: fix dereference after null check

  [ Ben Hutchings ]
  * [x86] Drop "Add a SysRq option to lift kernel lockdown" (Closes: #947021)
    - This patch allowed remotely disabling lockdown using usbip
    - Lockdown can be disabled by running "mokutil --disable-validation",
      rebooting, and confirming the change when prompted
  * debian/README.source: Refer to upload checklist in kernel-team.git
  * Bump ABI to 9

  [ YunQiang Su ]
  * [mips*] enable CONFIG_MIPS_O32_FP64_SUPPORT.
  * [mips*] enable CONFIG_CPU_HAS_MSA except octeon.

  [ Steve McIntyre ]
  * [arm64] Include the Hisilicon Hibmc drm driver in fb-modules
    (Closes: #951274)

  [ Noah Meyerhans ]
  * [cloud] Enable CONFIG_KSM
    (Closes: #955366)

 -- Ben Hutchings <benh@debian.org>  Sun, 26 Apr 2020 14:04:11 +0100

linux (4.19.98-1+deb10u1) buster-security; urgency=high

  * [x86] KVM: nVMX: Don't emulate instructions in guest mode (CVE-2020-2732)
  * do_last(): fetch directory ->i_mode and ->i_uid before it's too late
    (CVE-2020-8428)
  * vfs: fix do_last() regression
  * vhost: Check docket sk_family instead of call getname (CVE-2020-10942)
  * mm: mempolicy: require at least one nodeid for MPOL_PREFERRED
    (CVE-2020-11565)
  * [s390x] mm: fix page table upgrade vs 2ndary address mode accesses
    (CVE-2020-11884)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Apr 2020 07:05:39 +0200

linux (4.19.98-1) buster; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.88
    - [arm64] clk: meson: gxbb: let sar_adc_clk_div set the parent clock rate
    - ASoC: compress: fix unsigned integer overflow check
    - reset: Fix memory leak in reset_control_array_put()
    - [armhf] clk: samsung: exynos5433: Fix error paths
    - [armel/marvell,armhf] ASoC: kirkwood: fix external clock probe defer
    - [armel/marvell,armhf] ASoC: kirkwood: fix device remove ordering
    - [armhf] clk: samsung: exynos5420: Preserve PLL configuration during
      suspend/resume
    - [x86] pinctrl: cherryview: Allocate IRQ chip dynamic
    - [armhf] dts: imx6qdl-sabreauto: Fix storm of accelerometer interrupts
    - reset: fix reset_control_ops kerneldoc comment
    - [armhf,arm64] clk: sunxi: Fix operator precedence in sunxi_divs_clk_setup
    - [armhf] clk: sunxi-ng: a80: fix the zero'ing of bits 16 and 18
    - [armhf] dts: sun8i-a83t-tbs-a711: Fix WiFi resume from suspend
    - [ppc64el] bpf: Fix tail call implementation
    - idr: Fix integer overflow in idr_for_each_entry
    - idr: Fix idr_alloc_u32 on 32-bit systems
    - [x86] resctrl: Prevent NULL pointer dereference when reading mondata
    - [armhf] clk: ti: dra7-atl-clock: Remove ti_clk_add_alias call
    - [armhf] clk: ti: clkctrl: Fix failed to enable error with double udelay
      timeout
    - bridge: ebtables: don't crash when using dnat target in output chains
    - can: peak_usb: report bus recovery as well
    - can: rx-offload: can_rx_offload_queue_tail(): fix error handling, avoid
      skb mem leak
    - can: rx-offload: can_rx_offload_offload_one(): do not increase the
      skb_queue beyond skb_queue_len_max
    - can: rx-offload: can_rx_offload_offload_one(): increment rx_fifo_errors
      on queue overflow or OOM
    - can: rx-offload: can_rx_offload_offload_one(): use ERR_PTR() to
      propagate error value in case of errors
    - can: rx-offload: can_rx_offload_irq_offload_timestamp(): continue on
      error
    - can: rx-offload: can_rx_offload_irq_offload_fifo(): continue on error
    - [armhf] can: flexcan: increase error counters if skb enqueueing via
      can_rx_offload_queue_sorted() fails
    - [arm64] watchdog: meson: Fix the wrong value of left time
    - ceph: return -EINVAL if given fsc mount option on kernel w/o support
    - net/fq_impl: Switch to kvmalloc() for memory allocation
    - mac80211: fix station inactive_time shortly after boot
    - block: drbd: remove a stray unlock in __drbd_send_protocol()
    - scsi: target/tcmu: Fix queue_cmd_ring() declaration
    - scsi: lpfc: Fix kernel Oops due to null pring pointers
    - scsi: lpfc: Fix dif and first burst use in write commands
    - tracing: Lock event_mutex before synth_event_mutex
    - [armhf] dts: imx*: Fix memory node duplication
    - [armhf] dts: Fix hsi gdd range for omap4
    - [arm64] mm: Prevent mismatched 52-bit VA support
    - [arm64] smp: Handle errors reported by the firmware
    - [armhf] bus: ti-sysc: Check for no-reset and no-idle flags at the child
      level
    - [arm64] RDMA/hns: Fix the bug while use multi-hop of pbl
    - [x86] RDMA/vmw_pvrdma: Use atomic memory allocation in create AH
    - [armhf] PM / AVS: SmartReflex: NULL check before some freeing functions
      is not needed
    - xfs: zero length symlinks are not valid
    - ACPI / LPSS: Ignore acpi_device_fix_up_power() return value
    - scsi: lpfc: Enable Management features for IF_TYPE=6
    - scsi: qla2xxx: Fix NPIV handling for FC-NVMe
    - scsi: qla2xxx: Fix for FC-NVMe discovery for NPIV port
    - nvme: provide fallback for discard alloc failure
    - [s390x] zcrypt: make sysfs reset attribute trigger queue reset
    - crypto: user - support incremental algorithm dumps
    - mwifiex: fix potential NULL dereference and use after free
    - mwifiex: debugfs: correct histogram spacing, formatting
    - brcmfmac: set F2 watermark to 256 for 4373
    - brcmfmac: set SDIO F1 MesBusyCtrl for CYW4373
    - rtl818x: fix potential use after free
    - bcache: do not check if debug dentry is ERR or NULL explicitly on remove
    - bcache: do not mark writeback_running too early
    - xfs: require both realtime inodes to mount
    - nvme: fix kernel paging oops
    - ubifs: Fix default compression selection in ubifs
    - ubi: Put MTD device after it is not used
    - ubi: Do not drop UBI device reference before using
    - iwlwifi: move iwl_nvm_check_version() into dvm
    - iwlwifi: mvm: force TCM re-evaluation on TCM resume
    - iwlwifi: pcie: fix erroneous print
    - iwlwifi: pcie: set cmd_len in the correct place
    - [armhf,arm64] gpio: pca953x: Fix AI overflow on PCAL6524
    - gpiolib: Fix return value of gpio_to_desc() stub if !GPIOLIB
    - [x86] kvm: vmx: Set IA32_TSC_AUX for legacy mode guests
    - [x86] Revert "KVM: nVMX: reset cache/shadows when switching loaded VMCS"
    - [x86] Revert "KVM: nVMX: move check_vmentry_postreqs() call to
      nested_vmx_enter_non_root_mode()"
    - VSOCK: bind to random port for VMADDR_PORT_ANY
    - [amd64] mmc: meson-gx: make sure the descriptor is stopped on errors
    - [armhf] mtd: rawnand: sunxi: Write pageprog related opcodes to WCMD_SET
    - [armhf] usb: ehci-omap: Fix deferred probe for phy handling
    - btrfs: Check for missing device before bio submission in btrfs_map_bio
    - btrfs: fix ncopies raid_attr for RAID56
    - btrfs: dev-replace: set result code of cancel by status of scrub
    - Btrfs: allow clear_extent_dirty() to receive a cached extent state
      record
    - btrfs: only track ref_heads in delayed_ref_updates
    - [x86] HID: intel-ish-hid: fixes incorrect error handling
    - serial: 8250: Rate limit serial port rx interrupts during input overruns
    - [x86] kprobes/xen: blacklist non-attachable xen interrupt functions
    - xen/pciback: Check dev_data before using it
    - kprobes: Blacklist symbols in arch-defined prohibited area
    - [amd64] kprobes: Show x86-64 specific blacklisted symbols correctly
    - [armhf] memory: omap-gpmc: Get the header of the enum
    - net/mlx5: Continue driver initialization despite debugfs failure
    - netfilter: nf_nat_sip: fix RTP/RTCP source port translations
    - exofs_mount(): fix leaks on failure exits
    - bnxt_en: Return linux standard errors in bnxt_ethtool.c
    - bnxt_en: Save ring statistics before reset.
    - bnxt_en: query force speeds before disabling autoneg mode.
    - [s390x] KVM: unregister debug feature on failing arch init
    - dm flakey: Properly corrupt multi-page bios.
    - gfs2: take jdata unstuff into account in do_grow
    - dm raid: fix false -EBUSY when handling check/repair message
    - xfs: Align compat attrlist_by_handle with native implementation.
    - xfs: Fix bulkstat compat ioctls on x32 userspace.
    - IB/qib: Fix an error code in qib_sdma_verbs_send()
    - vxlan: Fix error path in __vxlan_dev_create()
    - [ppc64el] xmon: fix dump_segments()
    - drivers/regulator: fix a missing check of return value
    - Bluetooth: hci_bcm: Handle specific unknown packets after firmware
      loading
    - RDMA/srp: Propagate ib_post_send() failures to the SCSI mid-layer
    - scsi: qla2xxx: deadlock by configfs_depend_item
    - scsi: csiostor: fix incorrect dma device in case of vport
    - brcmfmac: Fix access point mode
    - ath6kl: Only use match sets when firmware supports it
    - ath6kl: Fix off by one error in scan completion
    - [ppc64el] perf: Fix unit_sel/cache_sel checks
    - [ppc64el] prom: fix early DEBUG messages
    - [ppc64el] mm: Make NULL pointer deferences explicit on bad page faults.
    - [ppc64el] vfio/spapr_tce: Get rid of possible infinite loop
    - [ppc64el] powernv/eeh/npu: Fix uninitialized variables in
      opal_pci_eeh_freeze_status
    - drbd: ignore "all zero" peer volume sizes in handshake
    - drbd: reject attach of unsuitable uuids even if connected
    - drbd: do not block when adjusting "disk-options" while IO is frozen
    - drbd: fix print_st_err()'s prototype to match the definition
    - IB/rxe: Make counters thread safe
    - bpf/cpumap: make sure frame_size for build_skb is aligned if headroom
      isn't
    - [armhf] regulator: tps65910: fix a missing check of return value
    - [ppc64el] powerpc/pseries: Fix node leak in
      update_lmb_associativity_index()
    - net/netlink_compat: Fix a missing check of nla_parse_nested
    - net/net_namespace: Check the return value of register_pernet_subsys()
    - f2fs: fix block address for __check_sit_bitmap
    - f2fs: fix to dirty inode synchronously
    - [armhf] net: dsa: bcm_sf2: Propagate error value from mdio_write
    - atl1e: checking the status of atl1e_write_phy_reg
    - tipc: fix a missing check of genlmsg_put
    - net: marvell: fix a missing check of acpi_match_device
    - ocfs2: clear journal dirty flag after shutdown journal
    - vmscan: return NODE_RECLAIM_NOSCAN in node_reclaim() when CONFIG_NUMA is
      n
    - mm/page_alloc.c: free order-0 pages through PCP in page_frag_free()
    - mm/page_alloc.c: use a single function to free page
    - mm/page_alloc.c: deduplicate __memblock_free_early() and memblock_free()
    - netfilter: nf_tables: fix a missing check of nla_put_failure
    - xprtrdma: Prevent leak of rpcrdma_rep objects
    - infiniband/qedr: Potential null ptr dereference of qp
    - lib/genalloc.c: fix allocation of aligned buffer from non-aligned chunk
    - lib/genalloc.c: use vzalloc_node() to allocate the bitmap
    - drivers/base/platform.c: kmemleak ignore a known leak
    - lib/genalloc.c: include vmalloc.h
    - mtd: Check add_mtd_device() ret code
    - tipc: fix memory leak in tipc_nl_compat_publ_dump
    - net/core/neighbour: tell kmemleak about hash tables
    - [armhf,arm64] ata: ahci: mvebu: do Armada 38x configuration only on
      relevant SoCs
    - PCI/MSI: Return -ENOSPC from pci_alloc_irq_vectors_affinity()
    - net/core/neighbour: fix kmemleak minimal reference count for hash tables
    - serial: 8250: Fix serial8250 initialization crash
    - [armhf] gpu: ipu-v3: pre: don't trigger update if buffer address doesn't
      change
    - sfc: suppress duplicate nvmem partition types in efx_ef10_mtd_probe
    - ip_tunnel: Make none-tunnel-dst tunnel port work with lwtunnel
    - decnet: fix DN_IFREQ_SIZE
    - net/smc: prevent races between smc_lgr_terminate() and smc_conn_free()
    - net/smc: don't wait for send buffer space when data was already sent
    - mm/hotplug: invalid PFNs from pfn_to_online_page()
    - xfs: end sync buffer I/O properly on shutdown error
    - net/smc: fix sender_free computation
    - blktrace: Show requests without sector
    - net/smc: fix byte_order for rx_curs_confirmed
    - tipc: fix skb may be leaky in tipc_link_input
    - sfc: initialise found bitmap in efx_ef10_mtd_probe
    - geneve: change NET_UDP_TUNNEL dependency to select
    - net: fix possible overflow in __sk_mem_raise_allocated()
    - net: ip_gre: do not report erspan_ver for gre or gretap
    - net: ip6_gre: do not report erspan_ver for ip6gre or ip6gretap
    - sctp: don't compare hb_timer expire date before starting it
    - bpf: decrease usercnt if bpf_map_new_fd() fails in
      bpf_map_get_fd_by_id()
    - mmc: core: align max segment size with logical block size
    - net: dev: Use unsigned integer as an argument to left-shift
    - kvm: properly check debugfs dentry before using it
    - bpf: drop refcount if bpf_map_new_fd() fails in map_create()
    - [arm64] net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
    - [arm64] net: hns3: fix PFC not setting problem for DCB module
    - [arm64] net: hns3: fix an issue for hclgevf_ae_get_hdev
    - [arm64] net: hns3: fix an issue for hns3_update_new_int_gl
    - [x86] iommu/amd: Fix NULL dereference bug in match_hid_uid
    - apparmor: delete the dentry in aafs_remove() to avoid a leak
    - scsi: libsas: Support SATA PHY connection rate unmatch fixing during
      discovery
    - ACPI / APEI: Don't wait to serialise with oops messages when panic()ing
    - ACPI / APEI: Switch estatus pool to use vmalloc memory
    - [arm64] scsi: hisi_sas: shutdown axi bus to avoid exception CQ returned
    - scsi: libsas: Check SMP PHY control function result
    - [arm64] RDMA/hns: Fix the bug with updating rq head pointer when flush cqe
    - [arm64] RDMA/hns: Bugfix for the scene without receiver queue
    - [arm64] RDMA/hns: Fix the state of rereg mr
    - [arm64] RDMA/hns: Use GFP_ATOMIC in hns_roce_v2_modify_qp
    - ASoC: rt5645: Headphone Jack sense inverts on the LattePanda board
    - [ppc64el] pseries/dlpar: Fix a missing check in dlpar_parse_cc_property()
      (CVE-2019-12614)
    - xdp: fix cpumap redirect SKB creation bug
    - mtd: Remove a debug trace in mtdpart.c
    - [s390x] mm, gup: add missing refcount overflow checks on s390
    - [armhf,arm64] usb: dwc2: use a longer core rest timeout in
      dwc2_core_reset()
    - staging: rtl8192e: fix potential use after free
    - staging: rtl8723bs: Drop ACPI device ids
    - staging: rtl8723bs: Add 024c:0525 to the list of SDIO device-ids
    - USB: serial: ftdi_sio: add device IDs for U-Blox C099-F9P
    - [x86] mei: bus: prefix device names on bus with the bus name
    - [x86] mei: me: add comet point V device id
    - thunderbolt: Power cycle the router if NVM authentication fails
    - xfrm: Fix memleak on xfrm state destroy
    - media: v4l2-ctrl: fix flags for DO_WHITE_BALANCE
    - [arm64] net: macb: fix error format in dev_err()
    - pwm: Clear chip_data in pwm_put()
    - macvlan: schedule bc_work even if error
    - net: psample: fix skb_over_panic
    - openvswitch: fix flow command message size
    - sctp: Fix memory leak in sctp_sf_do_5_2_4_dupcook
    - slip: Fix use-after-free Read in slip_open
    - openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
    - openvswitch: remove another BUG_ON()
    - tipc: fix link name length check
    - sctp: cache netns in sctp_ep_common
    - net: sched: fix `tc -s class show` no bstats on class with nolock
      subqueues
    - [arm64] net: macb: add missed tasklet_kill
    - ext4: add more paranoia checking in ext4_expand_extra_isize handling
      (CVE-2019-19767)
    - [arm64] net: macb: Fix SUBNS increment and increase resolution
    - [arm64] net: macb driver, check for SKBTX_HW_TSTAMP
    - mtd: spi-nor: cast to u64 to avoid uint overflows
    - tcp: exit if nothing to retransmit on RTO timeout
    - HID: core: check whether Usage Page item is after Usage ID items
    - [x86] platform: hp-wmi: Fix ACPI errors caused by too small buffer
    - [x86] platform: hp-wmi: Fix ACPI errors caused by passing 0 as input size
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.89
    - rsi: release skb if rsi_prepare_beacon fails (CVE-2019-19071)
    - [arm64] tegra: Fix 'active-low' warning for Jetson TX1 regulator
    - usb: gadget: u_serial: add missing port entry locking
    - [arm64] tty: serial: msm_serial: Fix flow control
    - [armhf,arm64] serial: pl011: Fix DMA ->flush_buffer()
    - serial: serial_core: Perform NULL checks for break_ctl ops
    - autofs: fix a leak in autofs_expire_indirect()
    - [arm64] RDMA/hns: Correct the value of HNS_ROCE_HEM_CHUNK_LEN
    - iwlwifi: pcie: don't consider IV len in A-MSDU
    - exportfs_decode_fh(): negative pinned may become positive without the
      parent locked
    - audit_get_nd(): don't unlock parent too early
    - xfrm: release device reference for invalid state
    - sched/core: Avoid spurious lock dependencies
    - perf/core: Consistently fail fork on allocation failures
    - ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
    - [armhf,arm64] drm/sun4i: tcon: Set min division of TCON0_DCLK to 1.
    - rsxx: add missed destroy_workqueue calls in remove
    - i2c: core: fix use after free in of_i2c_notify
    - serial: core: Allow processing sysrq at port unlock time
    - cxgb4vf: fix memleak in mac_hlist initialization
    - iwlwifi: mvm: synchronize TID queue removal
    - iwlwifi: trans: Clear persistence bit when starting the FW
    - iwlwifi: mvm: Send non offchannel traffic via AP sta
    - [armhf] 8813/1: Make aligned 2-byte getuser()/putuser() atomic on ARMv6+
    - audit: Embed key into chunk
    - netfilter: nf_tables: don't use position attribute on rule replacement
    - net/mlx5: Release resource on error flow
    - [arm64] clk: sunxi-ng: a64: Fix gate bit of DSI DPHY
    - ice: Fix NVM mask defines
    - dlm: fix possible call to kfree() for non-initialized pointer
    - [armhf] dts: exynos: Fix LDO13 min values on Odroid XU3/XU4/HC1
    - [armhf,arm64] rtc: max77686: Fix the returned value in case of error in
      'max77686_rtc_read_time()'
    - i40e: don't restart nway if autoneg not supported
    - virtchnl: Fix off by one error
    - [armhf] clk: rockchip: fix rk3188 sclk_smc gate data
    - [armhf] clk: rockchip: fix rk3188 sclk_mac_lbtest parameter ordering
    - [armhf] dts: rockchip: Fix rk3288-rock2 vcc_flash name
    - dlm: fix missing idr_destroy for recover_idr
    - [armhf,arm64] net: dsa: mv88e6xxx: Work around mv886e6161 SERDES missing
      MII_PHYSID2
    - [s390x] scsi: zfcp: update kernel message for invalid FCP_CMND length,
      it's not the CDB
    - [s390x] scsi: zfcp: drop default switch case which might paper over
      missing case
    - [armhf] bus: ti-sysc: Fix getting optional clocks in clock_roles
    - [armhf] dts: imx6: RDU2: fix eGalax touchscreen node
    - crypto: ecc - check for invalid values in the key verification test
    - crypto: bcm - fix normal/non key hash algorithm failure
    - [arm64] dts: zynqmp: Fix node names which contain "_"
    - [arm64] pinctrl: qcom: ssbi-gpio: fix gpio-hog related boot issues
    - [arm*] firmware: raspberrypi: Fix firmware calls with large buffers
    - mm/vmstat.c: fix NUMA statistics updates
    - [arm64] clk: rockchip: fix I2S1 clock gate register for rk3328
    - [arm64] clk: rockchip: fix ID of 8ch clock of I2S1 for rk3328
    - sctp: count sk_wmem_alloc by skb truesize in sctp_packet_transmit
    - regulator: Fix return value of _set_load() stub
    - USB: serial: f81534: fix reading old/new IC config
    - xfs: extent shifting doesn't fully invalidate page cache
    - net-next/hinic:fix a bug in set mac address
    - net-next/hinic: fix a bug in rx data flow
    - ice: Fix return value from NAPI poll
    - ice: Fix possible NULL pointer de-reference
    - iomap: FUA is wrong for DIO O_DSYNC writes into unwritten extents
    - iomap: sub-block dio needs to zeroout beyond EOF
    - iomap: dio data corruption and spurious errors when pipes fill
    - iomap: readpages doesn't zero page tail beyond EOF
    - iw_cxgb4: only reconnect with MPAv1 if the peer aborts
    - [mips*/octeon] octeon-platform: fix typing
    - net/smc: use after free fix in smc_wr_tx_put_slot()
    - [armhf] dts: exynos: Use Samsung SoC specific compatible for DWC2 module
    - media: pulse8-cec: return 0 when invalidating the logical address
    - media: cec: report Vendor ID after initialization
    - iwlwifi: fix cfg structs for 22000 with different RF modules
    - net/ipv6: re-do dad when interface has IFF_NOARP flag change
    - [x86] dmaengine: dw-dmac: implement dma protection control setting
    - [armhf,arm64] usb: dwc3: debugfs: Properly print/set link state for HS
    - [armhf,arm64] usb: dwc3: don't log probe deferrals; but do log other
      error codes
    - ACPI: fix acpi_find_child_device() invocation in acpi_preset_companion()
    - f2fs: fix to account preflush command for noflush_merge mode
    - f2fs: fix count of seg_freed to make sec_freed correct
    - f2fs: change segment to section in f2fs_ioc_gc_range
    - [armhf] dts: rockchip: Fix the PMU interrupt number for rv1108
    - [armhf] dts: rockchip: Assign the proper GPIO clocks for rv1108
    - f2fs: fix to allow node segment for GC by ioctl path
    - nvme: Free ctrl device name on init failure
    - dma-mapping: fix return type of dma_set_max_seg_size()
    - [armhf] serial: imx: fix error handling in console_setup
    - [armhf] i2c: imx: don't print error message on probe defer
    - [arm64] clk: meson: Fix GXL HDMI PLL fractional bits width
    - [armhf,arm64] gpu: host1x: Fix syncpoint ID field size on Tegra186
    - lockd: fix decoding of TEST results
    - sctp: increase sk_wmem_alloc when head->truesize is increased
    - [x86] iommu/amd: Fix line-break in error log reporting
    - [armhf] dts: sun8i: a23/a33: Fix OPP DTC warnings
    - [armhf] dts: sun8i: v3s: Change pinctrl nodes to avoid warning
    - nfsd: fix a warning in __cld_pipe_upcall()
    - bpf: btf: implement btf_name_valid_identifier()
    - bpf: btf: check name validity for various types
    - [armhf] OMAP1/2: fix SoC name printing
    - [arm64] dts: meson-gxl-libretech-cc: fix GPIO lines names
    - [arm64] dts: meson-gxbb-nanopi-k2: fix GPIO lines names
    - [arm64] dts: meson-gxbb-odroidc2: fix GPIO lines names
    - [arm64] dts: meson-gxl-khadas-vim: fix GPIO lines names
    - net/x25: fix called/calling length calculation in x25_parse_address_block
    - net/x25: fix null_x25_address handling
    - tcp: make tcp_space() aware of socket backlog
    - tcp: fix off-by-one bug on aborting window-probing socket
    - tcp: fix SNMP under-estimation on failed retransmission
    - tcp: fix SNMP TCP timeout under-estimation
    - kbuild: fix single target build for external module
    - mtd: fix mtd_oobavail() incoherent returned value
    - [arm64] clk: meson: meson8b: fix the offset of vid_pll_dco's N value
    - [armhf,arm64] clk: sunxi-ng: h3/h5: Fix CSI_MCLK parent
    - [arm64] clk: qcom: Fix MSM8998 resets
    - dlm: fix invalid cluster name warning
    - net/mlx4_core: Fix return codes of unsupported operations
    - pstore/ram: Avoid NULL deref in ftrace merging failure path
    - [mips*/octeon] cvmx_pko_mem_debug8: use oldest forward compatible
      definition
    - nfsd: Return EPERM, not EACCES, in some SETATTR cases
    - media: uvcvideo: Abstract streaming object lifetime
    - [armhf] dts: sun8i: h3: Fix the system-control register range
    - tty: Don't block on IO when ldisc change is pending
    - media: stkwebcam: Bugfix for wrong return values
    - sctp: frag_point sanity check
    - IB/hfi1: Ignore LNI errors before DC8051 transitions to Polling state
    - IB/hfi1: Close VNIC sdma_progress sleep window
    - mlx4: Use snprintf instead of complicated strcpy
    - [armhf] dts: sunxi: Fix PMU compatible strings
    - [armhf] dts: am335x-pdu001: Fix polarity of card detection input
    - net: aquantia: fix RSS table and key sizes
    - sched/fair: Scale bandwidth quota and period without losing quota/period
      ratio precision
    - fuse: verify nlink
    - fuse: verify attributes
    - [x86] ALSA: hda/realtek - Enable internal speaker of ASUS UX431FLC
    - [x86] ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
    - [x86] ALSA: hda/realtek - Dell headphone has noise on unmute for ALC236
    - ALSA: pcm: oss: Avoid potential buffer overflows
    - [x86] ALSA: hda - Add mute led support for HP ProBook 645 G4
    - [x86] Input: synaptics - switch another X1 Carbon 6 to RMI/SMbus
    - [x86] Input: synaptics-rmi4 - re-enable IRQs in f34v7_do_reflash
    - [x86] Input: synaptics-rmi4 - don't increment rmiaddr for SMBus transfers
    - [x86] Input: goodix - add upside-down quirk for Teclast X89 tablet
    - Input: Fix memory leak in psxpad_spi_probe
    - [i386] mm: Sync only to VMALLOC_END in vmalloc_sync_all()
    - [x86] PCI: Avoid AMD FCH XHCI USB PME# from D0 defect
    - xfrm interface: fix memory leak on creation
    - xfrm interface: avoid corruption on changelink
    - xfrm interface: fix list corruption for x-netns
    - xfrm interface: fix management of phydev
    - CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
    - CIFS: Fix SMB2 oplock break processing
    - tty: vt: keyboard: reject invalid keycodes
    - can: slcan: Fix use-after-free Read in slcan_open
    - kernfs: fix ino wrap-around detection
    - jbd2: Fix possible overflow in jbd2_log_space_left()
    - [arm64] drm/msm: fix memleak on release
    - [i386] drm/i810: Prevent underflow in ioctl
    - [armhf,arm64] KVM: vgic: Don't rely on the wrong pending table
    - [x86] KVM: do not modify masked bits of shared MSRs
    - [x86] KVM: fix presentation of TSX feature in ARCH_CAPABILITIES
    - [x86] KVM: Grab KVM's srcu lock when setting nested state
    - crypto: af_alg - cast ki_complete ternary op to int
    - [x86] crypto: ccp - fix uninitialized list head
    - crypto: ecdh - fix big endian bug in ECC library
    - crypto: user - fix memory leak in crypto_report (CVE-2019-19062)
    - mwifiex: update set_mac_address logic
    - can: ucan: fix non-atomic allocation in completion handler
    - RDMA/qib: Validate ->show()/store() callbacks before calling them
    - iomap: Fix pipe page leakage during splicing
    - thermal: Fix deadlock in thermal thermal_zone_device_check
    - vcs: prevent write access to vcsu devices (CVE-2019-19252)
    - binder: Fix race between mmap() and binder_alloc_print_pages()
    - binder: Handle start==NULL in binder_update_page_range()
    - ALSA: hda - Fix pending unsol events at shutdown
    - perf script: Fix invalid LBR/binary mismatch error
    - splice: don't read more than available pipe space
    - iomap: partially revert 4721a601099 (simulated directio short read on
      EFAULT)
    - xfs: add missing error check in xfs_prepare_shift()
    - ASoC: rsnd: fixup MIX kctrl registration
    - [x86] KVM: fix out-of-bounds write in KVM_GET_EMULATED_CPUID
      (CVE-2019-19332)
    - net: qrtr: fix memort leak in qrtr_tun_write_iter (CVE-2019-19079)
    - appletalk: Fix potential NULL pointer dereference in
      unregister_snap_client (CVE-2019-19227)
    - appletalk: Set error code if register_snap_client failed
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.90
    - usb: gadget: configfs: Fix missing spin_lock_init()
    - [x86] usb: gadget: pch_udc: fix use after free
    - scsi: qla2xxx: Fix driver unload hang
    - [arm64] media: venus: remove invalid compat_ioctl32 handler
    - USB: uas: honor flag to avoid CAPACITY16
    - USB: uas: heed CAPACITY_HEURISTICS
    - usb: Allow USB device to be warm reset in suspended state
    - staging: rtl8188eu: fix interface sanity check
    - staging: rtl8712: fix interface sanity check
    - staging: gigaset: fix general protection fault on probe
    - staging: gigaset: fix illegal free on probe errors
    - staging: gigaset: add endpoint-type sanity check
    - usb: xhci: only set D3hot for pci device
    - xhci: Fix memory leak in xhci_add_in_port()
    - xhci: Increase STS_HALT timeout in xhci_suspend()
    - xhci: handle some XHCI_TRUST_TX_LENGTH quirks cases as default behaviour.
    - [armhf] dts: pandora-common: define wl1251 as child node of mmc3
    - [x86] iio: imu: inv_mpu6050: fix temperature reporting using bad unit
    - USB: atm: ueagle-atm: add missing endpoint check
    - USB: idmouse: fix interface sanity checks
    - USB: serial: io_edgeport: fix epic endpoint lookup
    - usb: roles: fix a potential use after free
    - USB: adutux: fix interface sanity check
    - usb: core: urb: fix URB structure initialization function
    - usb: mon: Fix a deadlock in usbmon between mmap and read
    - tpm: add check after commands attribs tab allocation
    - virtio-balloon: fix managed page counts when migrating pages between
      zones
    - [armhf,arm64] usb: dwc3: gadget: Fix logical condition
    - [armhf,arm64] usb: dwc3: ep0: Clear started flag on completion
    - btrfs: check page->mapping when loading free space cache
    - btrfs: use refcount_inc_not_zero in kill_all_nodes
    - Btrfs: fix metadata space leak on fixup worker failure to set range as
      delalloc
    - Btrfs: fix negative subv_writers counter and data space leak after
      buffered write
    - btrfs: Avoid getting stuck during cyclic writebacks
    - btrfs: Remove btrfs_bio::flags member
    - Btrfs: send, skip backreference walking for extents with many references
    - btrfs: record all roots for rename exchange on a subvol
    - rtlwifi: rtl8192de: Fix missing code to retrieve RX buffer address
    - rtlwifi: rtl8192de: Fix missing callback that tests for hw release of
      buffer
    - rtlwifi: rtl8192de: Fix missing enable interrupt flag
    - ovl: fix corner case of non-unique st_dev;st_ino
    - ovl: relax WARN_ON() on rename to self
    - [armhf] hwrng: omap - Fix RNG wait loop timeout
    - dm writecache: handle REQ_FUA
    - dm zoned: reduce overhead of backing device checks
    - workqueue: Fix spurious sanity check failures in destroy_workqueue()
    - workqueue: Fix pwq ref leak in rescuer_thread()
    - ASoC: rt5645: Fixed buddy jack support.
    - ASoC: rt5645: Fixed typo for buddy jack support.
    - ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
    - md: improve handling of bio with REQ_PREFLUSH in md_flush_request()
    - blk-mq: avoid sysfs buffer overflow with too many CPU cores
    - cgroup: pids: use atomic64_t for pids->limit
    - ar5523: check NULL before memcpy() in ar5523_cmd()
    - [s390x] mm: properly clear _PAGE_NOEXEC bit when it is not supported
    - media: cec.h: CEC_OP_REC_FLAG_ values were swapped
    - cpuidle: Do not unset the driver if it is there already
    - erofs: zero out when listxattr is called with no xattr
    - [x86] intel_th: Fix a double put_device() in error path
    - [x86] intel_th: pci: Add Ice Lake CPU support
    - [x86] intel_th: pci: Add Tiger Lake CPU support
    - PM / devfreq: Lock devfreq in trans_stat_show
    - [ppc64el] cpufreq: powernv: fix stack bloat and hard limit on number of
      CPUs
    - ACPI / hotplug / PCI: Allocate resources directly under the non-hotplug
      bridge
    - ACPI: OSL: only free map once in osl.c
    - ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
    - ACPI: PM: Avoid attaching ACPI PM domain to certain devices
    - [arm64] pinctrl: armada-37xx: Fix irq mask access in
      armada_37xx_irq_set_type()
    - [armhf] pinctrl: samsung: Add of_node_put() before return in error path
    - [armhf] pinctrl: samsung: Fix device node refcount leaks in Exynos wakeup
      controller init
    - [armhf] pinctrl: samsung: Fix device node refcount leaks in init code
    - [armhf] mmc: host: omap_hsmmc: add code for special init of wl1251 to get
      rid of pandora_wl1251_init_card
    - [armhf] dts: omap3-tao3530: Fix incorrect MMC card detection GPIO
      polarity
    - ppdev: fix PPGETTIME/PPSETTIME ioctls
    - [ppc64el] Allow 64bit VDSO __kernel_sync_dicache to work across ranges
      >4GB
    - [ppc64el] xive: Prevent page fault issues in the machine crash handler
    - [ppc64el] Allow flush_icache_range to work across ranges >4GB
    - [ppc64el] xive: Skip ioremap() of ESB pages for LSI interrupts
    - video/hdmi: Fix AVI bar unpack
    - quota: Check that quota is not dirty before release
    - ext2: check err when partial != NULL
    - quota: fix livelock in dquot_writeback_dquots
    - ext4: Fix credit estimate for final inode freeing
    - reiserfs: fix extended attributes on the root directory
    - block: fix single range discard merge
    - [s390x] scsi: zfcp: trace channel log even for FCP command responses
    - scsi: qla2xxx: Fix DMA unmap leak
    - scsi: qla2xxx: Fix hang in fcport delete path
    - scsi: qla2xxx: Fix session lookup in qlt_abort_work()
    - scsi: qla2xxx: Fix qla24xx_process_bidir_cmd()
    - scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online() return value
    - scsi: qla2xxx: Fix message indicating vectors used by driver
    - scsi: qla2xxx: Fix SRB leak on switch command timeout
    - xhci: make sure interrupts are restored to correct state
    - usb: typec: fix use after free in typec_register_port()
    - [armhf] omap: pdata-quirks: remove openpandora quirks for mmc3 and wl1251
    - scsi: lpfc: Cap NPIV vports to 256
    - scsi: lpfc: Correct code setting non existent bits in sli4 ABORT WQE
    - scsi: lpfc: Correct topology type reporting on G7 adapters
    - sch_cake: Correctly update parent qlen when splitting GSO packets
    - net/smc: do not wait under send_lock
    - [arm64] net: hns3: clear pci private data when unload hns3 driver
    - [arm64] net: hns3: change hnae3_register_ae_dev() to int
    - [arm64] net: hns3: Check variable is valid before assigning it to another
    - [arm64] scsi: hisi_sas: send primitive NOTIFY to SSP situation only
    - [arm64] scsi: hisi_sas: Reject setting programmed minimum linkrate > 1.5G
    - [x86] MCE/AMD: Turn off MC4_MISC thresholding on all family 0x15 models
    - [x86] MCE/AMD: Carve out the MC4_MISC thresholding quirk
    - ath10k: fix fw crash by moving chip reset after napi disabled
    - [ppc64el] Fix vDSO clock_getres()
    - ext4: work around deleting a file with i_nlink == 0 safely
      (CVE-2019-19447)
    - mm/shmem.c: cast the type of unmap_start to u64
    - rtc: disable uie before setting time and enable after
    - splice: only read in as much information as there is pipe buffer space
    - ext4: fix a bug in ext4_wait_for_tail_page_commit
    - [armhf,arm64] mfd: rk808: Fix RK818 ID template
    - mm, thp, proc: report THP eligibility for each vma
    - [s390x] smp,vdso: fix ASCE handling
    - blk-mq: make sure that line break can be printed
    - workqueue: Fix missing kfree(rescuer) in destroy_workqueue()
    - perf callchain: Fix segfault in thread__resolve_callchain_sample()
    - gre: refetch erspan header from skb->data after pskb_may_pull()
    - sunrpc: fix crash when cache_head become valid before update
    - net/mlx5e: Fix SFF 8472 eeprom length
    - leds: trigger: netdev: fix handling on interface rename
    - gfs2: fix glock reference problem in gfs2_trans_remove_revoke
    - of: overlay: add_changeset_property() memory leak
    - kernel/module.c: wakeup processes in module_wq on module unload
    - cifs: Fix potential softlockups while refreshing DFS cache
    - [x86] gpiolib: acpi: Add Terra Pad 1061 to the
      run_edge_events_on_boot_blacklist
    - raid5: need to set STRIPE_HANDLE for batch head
    - scsi: qla2xxx: Change discovery state before PLOGI
    - [x86] iio: imu: mpu6050: add missing available scan masks
    - idr: Fix idr_get_next_ul race with idr_remove
    - of: unittest: fix memory leak in attach_node_and_children
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.91
    - inet: protect against too small mtu values.
    - mqprio: Fix out-of-bounds access in mqprio_dump
    - net: bridge: deny dev_set_mac_address() when unregistering
    - net: dsa: fix flow dissection on Tx path
    - net: ethernet: ti: cpsw: fix extra rx interrupt
    - net: sched: fix dump qlen for sch_mq/sch_mqprio with NOLOCK subqueues
    - [arm64] net: thunderx: start phy before starting autonegotiation
    - openvswitch: support asymmetric conntrack
    - tcp: md5: fix potential overestimation of TCP option space
    - tipc: fix ordering of tipc module init and exit routine
    - net/mlx5e: Query global pause state before setting prio2buffer
    - tcp: fix rejected syncookies due to stale timestamps
    - tcp: tighten acceptance of ACKs not matching a child socket
    - tcp: Protect accesses to .ts_recent_stamp with {READ,WRITE}_ONCE()
    - [arm64] Revert "arm64: preempt: Fix big-endian when checking preempt
      count in assembly"
    - mmc: block: Make card_busy_detect() a bit more generic
    - mmc: block: Add CMD13 polling for MMC IOCTLS with R1B response
    - PCI/PM: Always return devices to D0 when thawing
    - PCI: pciehp: Avoid returning prematurely from sysfs requests
    - [x86] PCI: Fix Intel ACS quirk UPDCR register address
    - PCI/MSI: Fix incorrect MSI-X masking on resume
    - [arm64] PCI: Apply Cavium ACS quirk to ThunderX2 and ThunderX3
    - [arm64] rpmsg: glink: Set tail pointer to 0 at end of FIFO
    - [arm64] rpmsg: glink: Fix reuse intents memory leak issue
    - [arm64] rpmsg: glink: Fix use after free in open_ack TIMEOUT case
    - [arm64] rpmsg: glink: Put an extra reference during cleanup
    - [arm64] rpmsg: glink: Fix rpmsg_register_device err handling
    - [arm64] rpmsg: glink: Don't send pending rx_done during remove
    - [arm64] rpmsg: glink: Free pending deferred work on remove
    - cifs: smbd: Return -EAGAIN when transport is reconnecting
    - cifs: smbd: Add messages on RDMA session destroy and reconnection
    - cifs: smbd: Return -EINVAL when the number of iovs exceeds
      SMBDIRECT_MAX_SGE
    - cifs: Don't display RDMA transport on reconnect
    - CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
    - CIFS: Close open handle after interrupted close
    - [armhf] tegra: Fix FLOW_CTLR_HALT register clobbering by tegra_resume()
    - vfio/pci: call irq_bypass_unregister_producer() before freeing irq
    - dma-buf: Fix memory leak in sync_file_merge()
    - [arm64] drm: meson: venc: cvbs: fix CVBS mode matching
    - dm mpath: remove harmful bio-based optimization
    - dm btree: increase rebalance threshold in __rebalance2()
    - scsi: iscsi: Fix a potential deadlock in the timeout handler
    - scsi: qla2xxx: Change discovery state before PLOGI
    - drm/radeon: fix r1xx/r2xx register checker for POT textures
    - xhci: fix USB3 device initiated resume race with roothub autosuspend
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.92
    - af_packet: set defaule value for tmo
    - [amd64] fjes: fix missed check in fjes_acpi_add
    - [arm64] net: hisilicon: Fix a BUG trigered by wrong bytes_compl
    - net: qlogic: Fix error paths in ql_alloc_large_buffers()
    - net: usb: lan78xx: Fix suspend/resume PHY register access error
    - qede: Disable hardware gro when xdp prog is installed
    - qede: Fix multicast mac configuration
    - sctp: fully initialize v4 addr in some functions
    - btrfs: don't double lock the subvol_sem for rename exchange
    - btrfs: do not call synchronize_srcu() in inode_tree_del
    - Btrfs: fix missing data checksums after replaying a log tree
    - btrfs: send: remove WARN_ON for readonly mount
    - btrfs: abort transaction after failed inode updates in create_subvol
    - btrfs: skip log replay on orphaned roots
    - btrfs: do not leak reloc root if we fail to read the fs root
    - btrfs: handle ENOENT in btrfs_uuid_tree_iterate
    - Btrfs: fix removal logic of the tree mod log that leads to
      use-after-free issues
    - ALSA: pcm: Avoid possible info leaks from PCM stream buffers
    - ALSA: hda/ca0132 - Keep power on during processing DSP response
    - ALSA: hda/ca0132 - Avoid endless loop
    - ALSA: hda/ca0132 - Fix work handling in delayed HP detection
    - [arm64,armhf] drm/panel: Add missing drm_panel_init() in panel drivers
    - drm/amdgpu: grab the id mgr lock while accessing passid_mapping
    - spi: Add call to spi_slave_abort() function when spidev driver is
      released
    - [x86] staging: rtl8192u: fix multiple memory leaks on error path
    - staging: rtl8188eu: fix possible null dereference
    - rtlwifi: prevent memory leak in rtl_usb_probe (CVE-2019-19063)
    - libertas: fix a potential NULL pointer dereference
    - ath10k: fix backtrace on coredump
    - IB/iser: bound protection_sg size by data_sg size
    - [arm64] media: venus: core: Fix msm8996 frequency table
    - ath10k: fix offchannel tx failure when no ath10k_mac_tx_frm_has_freq
    - pinctrl: devicetree: Avoid taking direct reference to device name string
    - [amd64] drm/amdkfd: fix a potential NULL pointer dereference
    - [arm64] media: venus: Fix occasionally failures to suspend
    - [armhf] hwrng: omap3-rom - Call clk_disable_unprepare() on exit only if
      not idled
    - media: flexcop-usb: fix NULL-ptr deref in flexcop_usb_transfer_init()
    - [arm64,armhf] drm/bridge: dw-hdmi: Refuse DDC/CI transfers on the
      internal I2C controller
    - block: Fix writeback throttling W=1 compiler warnings
    - mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring
      (CVE-2019-19057)
    - drm/drm_vblank: Change EINVAL by the correct errno
    - media: cx88: Fix some error handling path in 'cx8800_initdev()'
    - [armhf] media: ti-vpe: vpe: Fix Motion Vector vpdma stride
    - [armhf] media: ti-vpe: vpe: fix a v4l2-compliance warning about invalid
      pixel format
    - [armhf] media: ti-vpe: vpe: fix a v4l2-compliance failure about frame
      sequence number
    - [armhf] media: ti-vpe: vpe: Make sure YUYV is set as default format
    - [armhf] media: ti-vpe: vpe: fix a v4l2-compliance failure causing a
      kernel panic
    - [armhf] media: ti-vpe: vpe: ensure buffers are cleaned up properly in
      abort cases
    - [armhf] media: ti-vpe: vpe: fix a v4l2-compliance failure about invalid
      sizeimage
    - [x86] syscalls/x86: Use the correct function type in SYSCALL_DEFINE0
    - [x86] mm: Use the correct function type for native_set_fixmap()
    - ath10k: Correct error handling of dma_map_single()
    - [arm64,armhf] drm/bridge: dw-hdmi: Restore audio when setting a mode
    - perf report: Add warning when libunwind not compiled in
    - usb: usbfs: Suppress problematic bind and unbind uevents.
    - Bluetooth: missed cpu_to_le16 conversion in hci_init4_req
    - Bluetooth: Workaround directed advertising bug in Broadcom controllers
    - Bluetooth: hci_core: fix init for HCI_USER_CHANNEL
    - [x86] mce: Lower throttling MCE messages' priority to warning
    - [x86] drm/gma500: fix memory disclosures due to uninitialized bytes
    - rtl8xxxu: fix RTL8723BU connection failure issue after warm reboot
    - ipmi: Don't allow device module unload when in use
    - [x86] ioapic: Prevent inconsistent state when moving an interrupt
    - md/bitmap: avoid race window between md_bitmap_resize and
      bitmap_file_clear_bit
    - [arm64] psci: Reduce the waiting time for cpu_psci_cpu_kill()
    - i40e: initialize ITRN registers with correct values
    - net: phy: dp83867: enable robust auto-mdix
    - [arm64,armhf] drm/tegra: sor: Use correct SOR index on Tegra210
    - ACPI: button: Add DMI quirk for Medion Akoya E2215T
    - RDMA/qedr: Fix memory leak in user qp and mr
    - [arm64,armhf] gpu: host1x: Allocate gather copy for host1x
    - [arm64,armhf] net: dsa: LAN9303: select REGMAP when LAN9303 enable
    - [arm64] phy: qcom-usb-hs: Fix extcon double register after power cycle
    - [s390x] time: ensure get_clock_monotonic() returns monotonic values
    - [s390x] mm: add mm_pxd_folded() checks to pxd_free()
    - [arm64] net: hns3: add struct netdev_queue debug info for TX timeout
    - libata: Ensure ata_port probe has completed before detach
    - loop: fix no-unmap write-zeroes request behavior
    - Bluetooth: Fix advertising duplicated flags
    - pinctrl: amd: fix __iomem annotation in amd_gpio_irq_handler()
    - ixgbe: protect TX timestamping from API misuse
    - media: rcar_drif: fix a memory disclosure (CVE-2019-18786)
    - media: v4l2-core: fix touch support in v4l_g_fmt
    - rfkill: allocate static minor
    - bnx2x: Fix PF-VF communication over multi-cos queues.
    - ALSA: timer: Limit max amount of slave instances
    - rtlwifi: fix memory leak in rtl92c_set_fw_rsvdpagepkt()
    - perf probe: Fix to find range-only function instance
    - perf probe: Fix to list probe event with correct line number
    - perf jevents: Fix resource leak in process_mapfile() and main()
    - perf probe: Walk function lines in lexical blocks
